<%@ page language="java"
         contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"
	  import="kr.co.kihyun.beans.entity.*, kr.co.kihyun.beans.entity.util.*,
                kr.co.kihyun.lang.MLong,
                java.util.Date,
                javax.jdo.PersistenceManager, javax.jdo.JDOObjectNotFoundException"%>
<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Long reportID = MLong.parseLong(request.getParameter("reportID"));
if(reportID == null) {
	response.sendError(HttpServletResponse.SC_BAD_REQUEST,
			"reportID 매개변수가 null이거나 숫자형식이 아닙니다");
	return;
}
try {
	TotReportProcess process = TotReportProcess.valueOf(request.getParameter("prss"));
	TotReport report = pm.getObjectById(TotReport.class, reportID);
	report.setProcess(process);
	if(process == TotReportProcess.COMP)
		report.setRegDate(new Date());
	pm.makePersistent(report);
} catch (IllegalArgumentException iae) {
	StringBuilder errMsg = new StringBuilder(100).append("prss 매개변수가 올바르지 않습니다. [");
	for(int i = 0; i < TotReportProcess.values().length; i++) {
		if(i != 0)
			errMsg.append(",");
		errMsg.append(TotReportProcess.values()[i].name());
	}
	errMsg.append("] 중에 하나여야 합니다");
	response.sendError(HttpServletResponse.SC_BAD_REQUEST, errMsg.toString());
} catch (NullPointerException npe) {
	response.sendError(HttpServletResponse.SC_BAD_REQUEST,
			"prss 매개변수에는 null이 올 수 없습니다");
} catch (JDOObjectNotFoundException jonfe) {
	response.sendError(HttpServletResponse.SC_NOT_FOUND,
			"reportID : "+reportID);
} finally {
	pm.close();
}
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Insert title here</title>
</head>
<body>
</body>
</html>
