<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <title>jsTree v.1.0 - full featured demo</title>
 <meta name="title" content="jsTree - jQuery tree plugin - Documentation" />


 <script type="text/javascript" src="/test/jquery-1.6.4.js"></script>
 <script type="text/javascript" src="/test/_lib/jquery.cookie.js"></script>
 <script type="text/javascript" src="/test/_lib/jquery.hotkeys.js"></script>
 <script type="text/javascript" src="/test/jquery.jstree.js"></script>
 <link rel="canonical" href="/test/themes" />
 <link type="text/css" rel="stylesheet" href="/test/_docs/syntax/!style.css"/>
 <style type="text/css">
 html, body { margin:0; padding:0; }
 body, td, th, pre, code, select, option, input, textarea { font-family:verdana,arial,sans-serif; font-size:10px; }
 .demo, .demo input, .jstree-dnd-helper, #vakata-contextmenu { font-size:10px; font-family:Verdana; }
 #container { width:780px; margin:10px auto; overflow:hidden; position:relative; }
 #demo { width:auto; height:400px; overflow:auto; border:1px solid gray; }

 #text { margin-top:1px; }

 #alog { font-size:9px !important; margin:5px; border:1px solid silver; }
 </style>
 <script>
     $(document).ready(function() {


     });
 </script>

</head>

<body>

<div id="demo" class="demo"></div>

<script>
$(function () {
    $("#demo").jstree({
        "plugins": [ "themes", "json_data" ,"checkbox","sort","ui","crrm","contextmenu","search","dnd"],
        "themes" : {
            "theme" :"classic",
            "dots" : true,
            "icon" : false
        },
		"json_data" : {
            "data" : [
	{
        "data" : "A node",
        "children" : [ { "data" : "Only child" } ],
        "state" : "open",
        "attr" : { "id":"000001"}
    },
	{
        "data" : "B node",
        "children" :
            [
                {
                    "data" : "A child",
                    "state" : "closed",
                    "attr" : { "id":"000003"},
                    "children" :
                        [
                            {
                                "data": "hahaha",
                                
                                "attr" : { "id":"000004"}
                            }
                        ]
                },
                {
                    "data" : "B child",
                    
                    "attr" : { "id":"000003"},
                    "children" :
                        [
                            {
                                "data": "hahaha",
                                
                                "attr" : { "id":"000004"}
                            }
                        ]
                }
            ],
        
        "attr" : { "id":"000002"}
    }
]

        }
    })
    $("#demo").bind("create.jstree",function(e,data) {
        alert("aaaa");
    })
    $("#demo").bind("remove.jstree",function(e,data) {
        alert('bbb');
    });
});

 </script>
</body>
</html>


