
<%@page import="java.net.URLDecoder"%>
<%
/************************************************************@@
  * Program Name	: doc_list.jsp
  * Description		: //  
  * Author			: 
  * Create Date		: 2004.10.11
  * History			:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=euc-kr" import="java.util.Date"
	import="java.util.List" import="java.text.SimpleDateFormat"
	import="java.net.URLEncoder"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.util.MDate" import="kr.co.kihyun.lang.MString"
	import="kr.co.kihyun.lang.MInteger" import="kr.co.kihyun.lang.MLong"
	import="kr.co.kihyun.lang.Encoder" import="kr.co.kihyun.moumi.MoumiConfig"
	import="kr.co.kihyun.moumi.doc.MDoc"
	import="kr.co.kihyun.moumi.report.MReport"
	import="kr.co.kihyun.beans.user.User"
	import="kr.co.kihyun.beans.user.Dept"
	import="kr.co.kihyun.beans.totsys.report.Report"
	import="kr.co.kihyun.beans.totsys.doc.Doc"
	import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.entity.*" import="org.slf4j.Logger"
	import="org.slf4j.LoggerFactory" import="javax.jdo.Query"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Transaction tx = pm.currentTransaction();
try{
	Logger LOG = LoggerFactory.getLogger(this.getClass());
	/********** session userId **********/
	String usID = HttpSSOLogin.getLoginID(request);
	int sysAuth = HttpSSOLogin.getSysAuth(request);
	String dpID = HttpSSOLogin.getDeptID(request);

	/****** Parameter ******/
	Long docID = MLong.parseLong(request.getParameter("docID"),null);
	String accAuth = clearXSS(request.getParameter("accAuth"),"");
	String strPage = clearXSS(request.getParameter("strPage"),"");
	String findOption = clearXSS(request.getParameter("findOption"),"");
	//String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")),"");
        String findWord = clearXSS(URLDecoder.decode(request.getParameter("findWord"), "UTF-8"),"");
	int listType = MInteger.parseInt(request.getParameter("listType"));
	int prssENG = MInteger.parseInt(request.getParameter("prssENG"));
	int recog = MInteger.parseInt(request.getParameter("recog"), -1);

	tx.begin();

	TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
	String docName = totDoc.getName();

       	tx.rollback();

	/****** all, send report ******/
	int allReportCount = 0;
	int sendReportCount = 0;
	Report report = new Report();
	allReportCount = report.getAllCount(docID);
	sendReportCount = report.getSendCount(docID);


	List<TotReport> reportList = totDoc.getPrssReports(pm, listType, findOption, findWord,null);

	Query q = null;
	if(recog != -1){
		q = pm.newQuery(TotReport.class, reportList);
		StringBuilder filter = new StringBuilder(150)
		.append("this.recog.ordinal() == recog");
		q.setFilter(filter.toString()); LOG.debug("filter: {}", filter.toString());
		q.declareParameters("int recog");
		q.setOrdering("id DESC");
		reportList = (List<TotReport>) q.execute(recog);
	}

	response.setHeader("Accept-Ranges", "bytes");
        //response.setHeader("Content-Disposition","attachment; filename="+(URLEncoder.encode(docName, "UTF-8")).replaceAll(":","_").replace("+","%20" )+".xls;");
        //LJH
        response.setHeader("Content-Disposition","attachment; filename="+(URLEncoder.encode(docName, "UTF-8")).replaceAll(":","_").replace("+"," " )+".xls;");
%>
<html xmlns:o="urn:schemas-microsoft-com:office:office"
	xmlns:x="urn:schemas-microsoft-com:office:excel"
	xmlns="http://www.w3.org/TR/REC-html40">
<head>
<meta http-equiv="Content-Type"
	content="text/html; charset=ks_c_5601-1987">
<meta name="ProgId" content="Excel.Sheet">
<meta name="Generator" content="Microsoft Excel 10">
</head>
<body>
<table width="100%" border="1" cellpadding="0" cellspacing="0">
	<tr>
		<td height="30" valign="bottom"><!----   ---->
		<table width="100%" border="1" cellpadding="0" cellspacing="0">
			<tr>
				<td height="30" valign="bottom" colspan="11"><font
					color="009999"><%=TotReportProcess.ALL%> : </font><%= allReportCount %>&nbsp;
				<font color="009999"><%=TotReportProcess.COMP%>: </font><%= sendReportCount %>&nbsp;
				<font color="009999"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.process.not_report") %>
				: </font><%= (allReportCount-sendReportCount) %></td>
			</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td>
		<table border="1" width="100%" cellpadding="0" cellspacing="0">
			<tr style="padding-top: 3">
<!--				<td align="center" valign="middle" class="kecttep_tdmenu"
					rowspan="2"></td>-->
				<td width="40" align="center" valign="middle" class="kecttep_tdmenu"
					rowspan="2">ȣ</td>
				<td align="center" valign="middle" nowrap class="kecttep_col_tdmenu"
					colspan="2"> /μ</td>
				<td align="center" valign="middle" nowrap class="kecttep_tdmenu"
					rowspan="2">ȭȣ</td>
				<td align="center" valign="middle" nowrap class="kecttep_tdmenu"
					rowspan="2"><%=TotDocProcess.PRSS%>Ͻ</td>
				<td width="90" align="center" valign="middle" nowrap
					class="kecttep_tdmenu" rowspan="2"><%=TotDocProcess.PRSS%></td>
				<td align="center" valign="middle" nowrap
					class="kecttep_last_tdmenu"
					colspan=<%if(MoumiConfig.is2Step() && MoumiConfig.getUseRecog()){ %>
					"4"<%}else if(MoumiConfig.is2Step() || MoumiConfig.getUseRecog()){%>"3"<%}else{%>"2"<%}%>></td>
			</tr>
			<tr>
				<td align="center" valign="middle" nowrap class="kecttep_sub_tdmenu">μ</td>
				<td width="90" align="center" valign="middle" nowrap
					class="kecttep_sub_tdmenu"></td>
				<%if(MoumiConfig.is2Step()){ %>
				<td width="60" align="center" valign="middle" nowrap
					class="kecttep_sub_tdmenu"><%=TotDocType.SUB_DOC %></td>
				<%} %>
				<%if(MoumiConfig.getUseRecog()){ %>
				<td width="60" align="center" valign="middle" nowrap
					class="kecttep_sub_tdmenu"></td>
				<%} %>
				<td width="60" align="center" valign="middle" nowrap
					class="kecttep_sub_tdmenu">ǰ</td>
				<td width="60" align="center" valign="middle" nowrap
					class="kecttep_last_tdmenu">÷</td>
			</tr>

			<%
						tx.begin();
						for(int index = 0; index < reportList.size(); index++){%>
			<tr style="padding-top: 3" valign="middle"
				onmouseover="this.style.backgroundColor='F9F9F9'"
				onmouseout="this.style.backgroundColor='white'" bgColor=#ffffff>
				<td height="25" align="center" valign="middle" nowrap
					class="kecttep_graytd">&nbsp;<%= index+1 %></td>
				<td align="left" valign="middle" nowrap class="kecttep_graytd">&nbsp;<%if(reportList.get(index).getProcess() == TotReportProcess.READ || reportList.get(index).getProcess() == TotReportProcess.COMP || reportList.get(index).getProcess() == TotReportProcess.RETURN){%>
				<%}%><%=reportList.get(index).getDept(pm).getUpperDept(pm) == null ? "" : reportList.get(index).getDept(pm).getUpperDept(pm).getName()+" - "%><%= reportList.get(index).getDept(pm).getName() %></td>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">&nbsp;<%= MString.checkNull(reportList.get(index).getOwnerName(pm)) %>&nbsp;</td>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">&nbsp;<%= MString.checkNull(reportList.get(index).getDept(pm).getPhone()) %></td>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">&nbsp;
				<%if(reportList.get(index).getProcess() == TotReportProcess.RETURN || reportList.get(index).getProcess() == TotReportProcess.COMP || reportList.get(index).getProcess() == TotReportProcess.NOT){%>
				<%= reportList.get(index).getSubmitDate() == null ? "" : new SimpleDateFormat("yy/MM/dd HH:mm:ss").format(reportList.get(index).getSubmitDate()) %>
				<%}%>
				</td>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">
				<%
								if(TotReportProcess.ACCEPT == reportList.get(index).getProcess() && TotReportType.NOT_REPORT_REQ == reportList.get(index).getType()){%>
				<img src="images/bt_not_report.gif" border="0"> <%}else{
									if(reportList.get(index).isDeleted()){
										out.write(""+MoumiConfig.getMessageBundle().getString("moumi.message.doc")+" ");
									}else{
                                                                                //v2. 14.丮  (getParameter)_CWE-22/23 : Ž
										out.write(reportList.get(index).getProcess().toString());
									}
								}
							%>
				</td>
				<%if(MoumiConfig.is2Step()){ %>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">
				<%if(reportList.get(index).getSlaveTotDoc()==null){%> &nbsp; <%}else{%>
				蹮 <%}%>
				</td>
				<%}%>

				<%if(MoumiConfig.getUseRecog()){ %>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">
				<%if(reportList.get(index).getProcess() == TotReportProcess.COMP || reportList.get(index).getProcess() == TotReportProcess.TEMP || reportList.get(index).getProcess() == TotReportProcess.APPROVE){%>
				<%= reportList.get(index).getRecog().toString() %> <%}else{%> &nbsp; <%}%>
				</td>
				<%}%>
				<td align="center" valign="middle" nowrap class="kecttep_graytd">
				<%if(MString.isNull(reportList.get(index).getNote())){%> &nbsp; <%}else{%>
				ǰ <%}%>
				</td>
				<td align="center" valign="middle" nowrap
					class="kecttep_last_graytd">&nbsp;
					<%if (!reportList.get(index).getAttachments().isEmpty()){%>
					÷
					<%}%>
				</td>
			</tr>
			<%
						}
						tx.rollback();
						%>
		</table>
		</td>
	</tr>
	<%if(reportList.size() <= 0){%>
	<tr>
		<td class="kecttep_none_tdmenu" height="25" align="center">ش <%= MoumiConfig.getMessageBundle().getString("moumi.message.doc") %>
		ϴ.</td>
		<%}%>
	</tr>
</table>
</body>
<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
	if(tx.isActive())
		tx.rollback();
	pm.close();
}
%>
