
<%@page import="kr.co.kihyun.service.vo.TotDocVO"%>
<%    /**
     * **********************************************************
     * @@ Program Name : report_list.jsp
     * @@ Description	: //  
     * @@ Author	: ũ
     * @@ Create Date	: 2010.11.21
     * @@ History	: 2014.10.14 Update by KWON,HAN
     * @@***********************************************************
     */
%>
<%@ page contentType="text/html; charset=euc-kr"
         import="java.util.Date"
         import="java.util.List"
         import="java.util.ArrayList"
         import="java.util.Map"
         import="java.util.HashMap"
         import="java.text.SimpleDateFormat"
         import="java.net.URLEncoder"
         import="java.net.URLDecoder"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.util.MDate"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.MLong"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.moumi.MoumiConfig"
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.moumi.Moumi"
         import="kr.co.kihyun.moumi.report.MReport"
         import="kr.co.kihyun.beans.user.User"
         import="kr.co.kihyun.beans.user.Dept"
         import="kr.co.kihyun.beans.totsys.report.Report"
         import="kr.co.kihyun.beans.totsys.doc.Doc"
         import="javax.jdo.PersistenceManager"
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.*"
         import="org.slf4j.Logger"
         import="org.slf4j.LoggerFactory"
         import="kr.co.kihyun.service.TotDocService" 
         import="kr.co.kihyun.service.PrssReportsService" 
         import="kr.co.kihyun.service.vo.PrssReportsVO"
         import="kr.co.kihyun.service.vo.ReportCountVO"         
         import="javax.jdo.Query"%>
<%@page import="kr.co.kihyun.beans.entity.TotReportProcess"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%  PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        //request.setCharacterEncoding("euc-kr");
        Logger LOG = LoggerFactory.getLogger(this.getClass());
        /**
         * ******** session userId *********
         */
        String usID = HttpSSOLogin.getLoginID(request);
        int sysAuth = HttpSSOLogin.getSysAuth(request);
        String dpID = HttpSSOLogin.getDeptID(request);
        String docType = clearXSS(request.getParameter("docType"), null);

        /**
         * **** Parameter *****
         */
        Long docID = MLong.parseLong(request.getParameter("docID"), null);
        String accAuth = clearXSS(request.getParameter("accAuth"), "");

        String searchDepth = clearXSS(request.getParameter("searchDepth"), "");
        String strPage = clearXSS(request.getParameter("strPage"), "");
        String findOption = clearXSS(request.getParameter("findOption"), "");
        String findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
        String stDate = clearXSS(request.getParameter("stDate"), "");
        String edDate = clearXSS(request.getParameter("edDate"), "");

        int innerStrPage = 0;
        String innerFindOption = "";
        String innerFindWord = "";

        if ("inner".equals(searchDepth)) {
            innerStrPage = MInteger.parseInt(request.getParameter("innerStrPage"), 1);
            innerFindOption = clearXSS(request.getParameter("innerFindOption"), "");
            innerFindWord = URLDecoder.decode(MString.checkNull(request.getParameter("innerFindWord")), "UTF-8");
        } else {
            innerStrPage = MInteger.parseInt(request.getParameter("innerStrPage"), 1);
            innerFindOption = clearXSS(request.getParameter("innerFindOption"), "");
            //˻  ذ
            //innerFindWord = clearXSS(Encoder.toJava(request.getParameter("innerFindWord")), "");     
            innerFindWord = URLDecoder.decode(MString.checkNull(request.getParameter("innerFindWord")), "UTF-8");
        }
        if (innerStrPage <= 0) {
            innerStrPage = 1;
        }

        String howSort = clearXSS(request.getParameter("howSort"), "");
        String procMode = request.getParameter("proc_mode");

        //ڵȸ 
        if (!MString.isNull(procMode)) {
            tx.begin();
            TotDocService docService = new TotDocService(pm);
            if (procMode.equals("auto_return")) {
                String autoRtnYn = MString.checkNull(request.getParameter("autoRtnYn"), "N");
                docService.updateAutoRtnYnForDoc(docID, autoRtnYn);
            }
            tx.commit();
        }

        int listType = MInteger.parseInt(request.getParameter("listType"));
        int prssENG = MInteger.parseInt(request.getParameter("prssENG"));
        String listNum = clearXSS(request.getParameter("listNum"), "");

        //¡ ⺻ ִ Ķ
        int intlistNum = 30;
        if (!"".equals(listNum)) {
            intlistNum = MInteger.parseInt(request.getParameter("listNum"), 30);
        }
        //==============================

//        int subStrPage = MInteger.parseInt(request.getParameter("subStrPage"), 1);
        int recog = MInteger.parseInt(request.getParameter("recog"), -1);
        tx.begin();

        String sort = clearXSS(request.getParameter("sort"), "");

        TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
        String userId = totDoc.getUser();
        String regDocYN = totDoc.getRegularDocYn();
        AccessAuth docAccAuth = totDoc.getAccessAuth();
//        String docName = totDoc.getName();
        String regID = totDoc.getUser(pm).getId();
        String deptID = totDoc.getDept(pm).getId();
        Date endDate = totDoc.getEndDate();

        tx.rollback();
        String tmpStr = totDoc.getName() + "_" + new SimpleDateFormat("yyyy-MM-dd").format(endDate);

        /**
         * **** all, send report *****
         */
        int allReportCount = 0;
        int sendReportCount = 0;
        int notReportCount = 0;
        int noteReportCount = 0;

        /**
         * ********** Ʈ   ***********
         */
        int pageSize = 0;
        int currentPage = 0;
        int currentPageSetUp = 0;
        //int recordSize = listNum;
        int recordSize = intlistNum;

        //currentPage = subStrPage;
        currentPage = innerStrPage;

        currentPageSetUp = (int) (currentPage / 10) * 10;
        if (currentPage % 10 == 0) {
            currentPageSetUp -= 10;
        }

        //======================================================================
        PrssReportsService prssService = new PrssReportsService(pm);
        //˻Ķ
        Map params = new HashMap();
        params.put("docId", docID);
        params.put("listType", listType);
        params.put("findOption", innerFindOption);
        params.put("filterValue", innerFindWord);
        params.put("howSort", howSort);
        params.put("sort", sort);
        params.put("regDocYN", regDocYN);

        //˻ ڵ尹ȸ    
        prssService.createPrssReportListSearchQuery(params);

        //ڵ尹ȸ Ͽ ڵ尹 
        int count = prssService.getCountFromMainQuery();

        if ((count % recordSize) == 0) {
            pageSize = (int) (count / recordSize);
        } else {
            pageSize = (int) (count / recordSize) + 1;
        }

        if (currentPage > pageSize) {
            currentPage = pageSize;
        }

        innerStrPage = currentPage; //Ķͷ ѱ  Ѵ.

        int startNo = (currentPage - 1) * recordSize + 1;
        int endNo = currentPage * recordSize;

        List list = null;

        //˻ȸ 
        if (count > 0) {
            //¡ó  ߰Ķ 
            prssService.getParams().put("startNo", startNo);
            prssService.getParams().put("endNo", endNo);

            //˻ ¡ó   ȯ
            prssService.convertToPagenatingQuery();

            //ϴ ڵ尡 ϸ ȸ
            list = prssService.executeQuery(PrssReportsVO.class);
        }
        //======================================================================
        List reportList = null;
        reportList = prssService.getReportDeptListByDocId(docID);

        List prssList = null;
        prssList = prssService.getReportCountByDocId(docID,regDocYN);

        if (prssList != null && prssList.size() > 0) {
            for (Object obj : prssList) {
                ReportCountVO countVO = (ReportCountVO) obj;

                allReportCount = MInteger.parseInt(countVO.getAllCount().toString(), 0);
                sendReportCount = MInteger.parseInt(countVO.getSendCount().toString(), 0);
                notReportCount = MInteger.parseInt(countVO.getNotCount().toString(), 0);
                noteReportCount = MInteger.parseInt(countVO.getNoteCount().toString(), 0);
            }
        }
        //======================================================================        

//        //page link
//        String uri = "report_list.jsp?docID=" + docID
//                                     + "&accAuth=" + accAuth 
//                                     + "&strPage=" + strPage
//                                     + "&findOption=" + MString.checkNull(findOption) 
//                                     + "&findWord=" + MString.checkNull(findWord)    
//                                     + "&searchDepth=" + "none"
//                                     + "&innerStrPage=" + innerStrPage
//                                     + "&innerFindOption=" + MString.checkNull(innerFindOption) 
//                                     + "&innerFindWord=" + MString.checkNull(innerFindWord)    
//                                     + "&listType=" + listType 
//                                     + "&recog=" + recog 
//                                     + "&docType=" + MString.checkNull(docType) 
//                                     + "&listNum=" + listNum 
//                                     + "&sort=" + sort 
//                                     + "&howSort=" + howSort;
////System.out.println("uri::" + uri.toString());
//        String savePath = MoumiConfig.getRepoPerRoot().getPath() + "/fileUpload";

%>
<HTML>
    <HEAD>
        <TITLE><%=Moumi.getTitle()%></TITLE>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=euc-kr">

        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/SquareButtons.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <script src="/totsys/common/js/popup.js"></script>
        <script type="text/javascript" src="/test/jquery-1.6.4.js"></script>
        <script type="text/javascript" src="/totsys/common/js/jquery.custom.indicator.js"></script>
        <script language="JavaScript">
            var cpt_layer = null;




            function docAllSendMail() {
                var checkValue = 0;
                var reportIDs = "";


                tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                tmp3 = 0;

                for (i = tmp1; i < tmp2; i++) {
                    if (document.getElementById("checkPrss" + i).value == <%= MReport.ACCEPT%> || document.getElementById("checkPrss" + i).value == <%= MReport.TEMP%>) {
                        if (reportIDs.length == 0) {
                            reportIDs = document.getElementById("checkReportID" + i).value;
                        } else {
                            reportIDs = reportIDs + "," + document.getElementById("checkReportID" + i).value;
                        }
                        checkValue++;
                    }
                    tmp3++;
                }
                mailLink(reportIDs);
            }

            function docSendMail() {
                var checkValue = 0;
                var reportIDs = "";
                if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                    if (check.checked == true) {
                        if (typeof (checkPrss0) != 'undefined' && (document.getElementById("checkPrss0").value == <%= MReport.ACCEPT%> || document.getElementById("checkPrss" + i).value == <%= MReport.TEMP%>)) {
                            if (reportIDs.length == 0) {
                                reportIDs = document.getElementById("checkReportID0").value;
                            } else {
                                reportIDs = reportIDs + "," + document.getElementById("checkReportID0").value;
                            }
                        } else {
                            if (reportIDs.length == 0) {
                                reportIDs = document.getElementById("checkUser<%=((currentPage - 1) * recordSize)%>").value;
                            } else {
                                reportIDs = reportIDs + "," + document.getElementById("checkUser<%=((currentPage - 1) * recordSize)%>").value;
                            }
                        }
                        checkValue++;
                    }
                } else if (<%=count%> != 0) {
                    tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                    tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                    tmp3 = 0;

                    for (i = tmp1; i < tmp2; i++) {
                        if (check[tmp3].checked == true) {
                            if (document.getElementById("checkPrss" + i).value == <%= MReport.ACCEPT%> || document.getElementById("checkPrss" + i).value == <%= MReport.TEMP%>) {
                                if (reportIDs.length == 0) {
                                    reportIDs = document.getElementById("checkReportID" + i).value;
                                } else {
                                    reportIDs = reportIDs + "," + document.getElementById("checkReportID" + i).value;
                                }
                                checkValue++;
                            }
                        }
                        tmp3++;
                    }
                }
                if (checkValue > 0) {
                    mailLink(reportIDs);
                } else {
                    alert("׸ ϼž մϴ.");
                    return;
                }
            }


            function mailLink(reportIDs) {
                var tmpRptIDList = "";

                if (reportIDs.length == 0) {
                    tmpRptIDList = null;
                } else {
                    tmpRptIDList = reportIDs;
                }
                window.open('/totsys/mail/AdmReportMail.jsp?docID=' +<%=docID%> + '&rptID=' + tmpRptIDList, 'reselect', 'toolbar=no,directories=no, scrollbars=no, resizable=no, menubar=no, status=no, location=no,width=550,height=630,top=200,left=350');

            }




            //÷ϴٿε
            function fileDownLoad() {
                var checkValue = 0;
                var reportIDs = "";
                if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                    if (check.checked == true) {
                        //2014.10.08 Update by KWON,HAN : Ϸ -> Ϸ, ȸû
                        //if (typeof (checkPrss0) != 'undefined' && document.getElementById("checkPrss0").value == <%= MReport.COMP%>) {
                        if (typeof (checkPrss0) != 'undefined' && (document.getElementById("checkPrss0").value == <%= MReport.COMP%> || document.getElementById("checkPrss" + i).value == <%= MReport.NOTE%>)) {
                            if (reportIDs.length == 0) {
                                reportIDs = document.getElementById("checkReportID0").value;
                            } else {
                                reportIDs = reportIDs + "," + document.getElementById("checkReportID0").value;
                            }
                        } else {
                            if (reportIDs.length == 0) {
                                reportIDs = document.getElementById("checkUser<%=((currentPage - 1) * recordSize)%>").value;
                            } else {
                                reportIDs = reportIDs + "," + document.getElementById("checkUser<%=((currentPage - 1) * recordSize)%>").value;
                            }
                        }
                        checkValue++;
                    }
                } else if (<%=count%> != 0) {
                    tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                    tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                    tmp3 = 0;

                    for (i = tmp1; i < tmp2; i++) {
                        if (check[tmp3].checked == true) {
                            //2014.10.08 Update by KWON,HAN : Ϸ -> Ϸ, ȸû
                            //if (document.getElementById("checkPrss" + i).value == <%= MReport.COMP%>) {
                            if (document.getElementById("checkPrss" + i).value == <%= MReport.COMP%> || document.getElementById("checkPrss" + i).value == <%= MReport.NOTE%>) {
                                if (reportIDs.length == 0) {
                                    reportIDs = document.getElementById("checkReportID" + i).value;
                                } else {
                                    reportIDs = reportIDs + "," + document.getElementById("checkReportID" + i).value;
                                }
                                checkValue++;
                            }
                        }
                        tmp3++;
                    }
                }
                //üũڽ   
                if (checkValue > 0) {
                    // μ Ͽϴ.\\n\\nõ μ ÷ι Ͻðڽϱ?
                    if (confirm(checkValue + '<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectDocPress")%>')) {
                        location.href = "/servlet/kr.co.kihyun.beans.totsys.totper.HttpFileDownLoad?saveAs=<%=URLEncoder.encode(tmpStr, "UTF-8")%>.zip&docID=<%=docID%>&listType=<%=listType%>&docType=<%=docType%>&reportIDs=" + reportIDs;
                    }

                    //     ٿεѴ.
                } else {
                    //డ  ÷ι Ͻðڽϱ?
                    if (confirm('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.allDocPress")%>')) {
                        location.href = "/servlet/kr.co.kihyun.beans.totsys.totper.HttpFileDownLoad?saveAs=<%=URLEncoder.encode(tmpStr, "UTF-8")%>.zip&docID=<%=docID%>&listType=<%=listType%>&docType=<%=docType%>";
                    }
                }
            }

            //
            function excelLink() {
                var str = "/totsys/common/inc/documents/report/report_list_excel.jsp?docID=<%=docID%>&listType=<%= listType%>&accAuth=<%= accAuth%>&strPage=<%= innerStrPage%>&findOption=<%= MString.checkNull(innerFindOption)%>&findWord=<%= URLEncoder.encode(MString.checkNull(innerFindWord), "UTF-8")%>&recog=<%=recog%>&sort=<%=sort%>&howSort=<%=howSort%>";
                location.href = str;
            }

            /**
             * ̵óԼ
             * @param {type} p_secu_yn
             * @returns {undefined}
             */
            function fn_goToPage(p_page) {
                //document.searchForm.strPage.value = p_page;
                document.searchForm.innerStrPage.value = p_page;
                document.searchForm.submit();
            }

            /*
             *  ̵óϴ Լ
             */
            function fn_goToList() {
                document.listForm.submit();
            }


            function popupWindow(dept, prssENG) {
                window.open('/totsys/totper/mydocbox/prssbox/reports/popup_repdept_reselect.jsp?docID=<%=docID%>&deptID=' + dept + '&prssENG=' + prssENG, 'reselect', 'toolbar=no,directories=no, scrollbars=no, resizable=no, menubar=no, status=no, location=no,width=550,height=320,top=200,left=350')
            }

            function selectAll() {
                var obj = document.getElementsByName("check");
                for (var i = 0; i < obj.length; i++) {
                    if (obj[i].disabled == false) {
                        obj[i].checked = true;
                    }
                }
            }

            function cancelAll() {
                var obj = document.getElementsByName("check");
                for (var i = 0; i < obj.length; i++) {
                    obj[i].checked = false;
                }
            }

            //μʱȭ
            function changePrss() {
                //ʱȭ ʼ̴.        
                prssChange.changeReportID.value = "";

                if (("<%=regID%>" == "<%=usID%>") || ("<%=deptID%>" == "<%=dpID%>" && ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_TOTADM%>") || ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_SYSADM%>")) || ("<%=sysAuth%>" == "<%=MoumiConfig.TOTADM%>" || "<%=sysAuth%>" == "<%=MoumiConfig.SYSADM%>")) {
                    var checkValue = 0;
                    var APPROVE = 0;
                    var docOwnerIDList = "";
                    if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                        if (check.checked == true) {
                            if (typeof (checkPrss0) != 'undefined') {
                                if (prssChange.changeReportID.value.length == 0) {
                                    if (document.getElementById("checkPrss0").value != <%= MReport.APPROVE%>) {
                                        prssChange.changeReportID.value += document.getElementById("checkReportID0").value;
                                    } else {
                                        APPROVE = 1;
                                    }
                                } else if (document.getElementById("checkPrss0").value != <%= MReport.APPROVE%>) {
                                    prssChange.changeReportID.value += "," + document.getElementById("checkReportID0").value;
                                }
                            } else if (document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.NOT_LIST%> || document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.COMP_LIST%>) {
                                if (prssChange.changeReportID.value.length == 0) {
                                    if (document.getElementById("checkPrss<%=((currentPage - 1) * recordSize)%>").value != <%= MReport.APPROVE%>) {
                                        prssChange.changeReportID.value += document.getElementById("checkReportID<%=((currentPage - 1) * recordSize)%>").value;
                                    } else {
                                        APPROVE = 1;
                                    }
                                } else if (document.getElementById("checkPrss<%=((currentPage - 1) * recordSize)%>").value != <%= MReport.APPROVE%>) {
                                    prssChange.changeReportID.value += "," + document.getElementById("checkReportID<%=((currentPage - 1) * recordSize)%>").value;
                                } else {
                                    APPROVE = 1;
                                }
                            } else if (document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.APPROVE%>) {
                                APPROVE = 1;
                            }
                            checkValue++;
                        }

                    } else if (<%=count%> != 0) {
                        tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                        tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                        tmp3 = 0;

                        for (i = tmp1; i < tmp2; i++) {
                            if (check[tmp3].checked == true) {
                                if (prssChange.changeReportID.value.length == 0) {
                                    checkValue++;
                                    //赥Ÿ  μʱȭ . MJH ߰
                                    if (document.getElementById("checkSlaveTotDoc" + i).value == "null") {
                                        document.getElementById("checkSlaveTotDoc" + i).value = "";
                                    }
                                    docOwnerIDList += document.getElementById("checkSlaveTotDoc" + i).value;

                                    if (docOwnerIDList != "") {
                                        alert("赥Ÿ  μʱȭ   ϴ.");
                                        checkALL(this.checked);
                                        exitFlag = true;
                                        return false;

                                    } else {
                                        prssChange.changeReportID.value += document.getElementById("checkReportID" + i).value;
                                    }

                                } else {
                                    checkValue++;
                                    //赥Ÿ  μʱȭ . MJH ߰
                                    if (document.getElementById("checkSlaveTotDoc" + i).value == "null") {
                                        document.getElementById("checkSlaveTotDoc" + i).value = "";
                                    }
                                    docOwnerIDList += document.getElementById("checkSlaveTotDoc" + i).value;

                                    if (docOwnerIDList != "") {
                                        alert("赥Ÿ  μʱȭ Ҽ ϴ.");
                                        checkALL(this.checked);
                                        exitFlag = true;
                                        return false;

                                    } else {
                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID" + i).value;
                                    }
                                }
                            }
                            tmp3++;
                        }
                    }
            <%if (sysAuth == 9 || sysAuth == 7) {%>
                    prssChange.uri.value = "mmReportAccept";
            <%}%>
                    if (checkValue > 0 && APPROVE == 0) {


                        var exitFlag = false;
                        var $checked = $("input:checkbox[name=check]:checked");
                        var chkVal = "";
                        var okCnt = 0;

                        for (var i = 0; i < checkValue; i++) {
                            chkVal = $checked[i].value;

                            if ($("#checkPrss" + chkVal).val() == '<%= TotReportProcess.APPROVE.ordinal()%>') {         // 5
                                document.getElementById("check" + chkVal).checked = false;
                                exitFlag = true;
                                //break;
                            } else {
                                okCnt = okCnt + 1;
                            }
                        }
                        if (okCnt == 0) {
                            document.getElementById("checkAll").checked = false;
                        }
                        if (exitFlag == true) {
                            alert("° []̸ μʱȭ   ϴ.");
                            return false;
                        }

                        if (<%=listType%> == <%= MReport.ALL_LIST%> || <%=listType%> == <%= MReport.NOT_COMP_LIST%>) {
                            if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectInt")%>")) {
                                prssChange.submit();
                            }
                        } else if (<%=listType%> == <%= MReport.TEMP%> || <%=listType%> == <%= MReport.RETURN%>) {
                            if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectRemoteSubmit")%>")) {
                                prssChange.submit();
                            }
                        } else if (<%=listType%> == <%= MReport.ACCEPT%>) {
                            /*
                             if(confirm(checkValue+"<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectRemoteNot")%>")){
                             prssChange.submit();
                             }
                             */
                        } else if (<%=listType%> == <%= MReport.RETURN%>) {
                            if (confirm("<%=TotReportProcess.RETURN%>><%=TotReportProcess.COMP%>")) {
                                                    prssChange.submit();
                                                }
                                            } else if (<%=listType%> == <%= MReport.COMP%>) {
                                                if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectReturn")%>")) {
                                                    window.open('/totsys/memo/rereport/pop_rereport.jsp', 'rereport', 'width=601, height=300,toolbar=no, directories=no, status=no, menubar=no, resizable=no');
                                                    prssChange.submit();
                                                }
                                            } else if (<%=listType%> == <%= MReport.NOT%>) {
                                                if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectReturn")%>")) {
                                                    window.open('/totsys/memo/rereport/pop_rereport.jsp', 'rereport', 'width=601, height=300,toolbar=no, directories=no, status=no, menubar=no, resizable=no');
                                                    prssChange.submit();
                                                }
                                                /*if(confirm(checkValue+"<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectReturn")%>")){
                                                 prssChange.submit();
                                                 }*/
                                            } else {
                                                prssChange.submit();
                                            }
                                        } else if (APPROVE == 1) {
                                            alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.recogWaitDuring")%>");
                                        } else {
                                            alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptStatus")%>");
                                        }

                                    } else {
                                        alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.docModify")%>");
                                    }
                                }

                                //ڷ 
                                function changeReDocTotal() {
                                    //ʱȭ ʼ̴.
                                    prssChange.changeReportID.value = "";

                                    if (("<%=regID%>" == "<%=usID%>") || ("<%=deptID%>" == "<%=dpID%>" && ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_TOTADM%>") || ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_SYSADM%>")) || ("<%=sysAuth%>" == "<%=MoumiConfig.TOTADM%>" || "<%=sysAuth%>" == "<%=MoumiConfig.SYSADM%>"))
                                    {
                                        var checkValue = 0;
                                        var APPROVE = 0;
                                        if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                                            if (check.checked == true) {
                                                if (typeof (checkPrss0) != 'undefined') {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        if (document.getElementById("checkPrss0").value != <%= MReport.APPROVE%>) {
                                                            prssChange.changeReportID.value += document.getElementById("checkReportID0").value;
                                                        } else {
                                                            APPROVE = 1;
                                                        }
                                                    } else if (document.getElementById("checkPrss0").value != <%= MReport.APPROVE%>) {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID0").value;
                                                    }

                                                } else if (document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.NOT_LIST%> || document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.COMP_LIST%>) {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        if (document.getElementById("checkPrss<%=((currentPage - 1) * recordSize)%>").value != <%= MReport.APPROVE%>) {
                                                            prssChange.changeReportID.value += document.getElementById("checkReportID<%=((currentPage - 1) * recordSize)%>").value;
                                                        } else {
                                                            APPROVE = 1;
                                                        }
                                                    } else if (document.getElementById("checkPrss<%=((currentPage - 1) * recordSize)%>").value != <%= MReport.APPROVE%>) {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID<%=((currentPage - 1) * recordSize)%>").value;
                                                    } else {
                                                        APPROVE = 1;
                                                    }
                                                } else if (document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.APPROVE%>) {
                                                    APPROVE = 1;
                                                }
                                                checkValue++;
                                            }

                                        } else if (<%=count%> != 0) {
                                            tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                                            tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                                            tmp3 = 0;

                                            for (i = tmp1; i < tmp2; i++) {
                                                if (check[tmp3].checked == true) {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        prssChange.changeReportID.value += document.getElementById("checkReportID" + i).value;
                                                    } else {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID" + i).value;
                                                    }
                                                    checkValue++;
                                                }
                                                tmp3++;
                                            }
                                        }

                                        if (checkValue > 0 && APPROVE == 0) {
                                          if (confirm(checkValue + " μ ڷḦ  Ͻðڽϱ? ")) {
                                                document.prssChange.changePrss.value = "return";
                                                prssChange.submit();
                                            }
                                        } else {
                                            
                                        tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                                        tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                                        tmp3 = 0;

                                        for (i = tmp1; i < tmp2; i++) {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        prssChange.changeReportID.value += document.getElementById("checkReportID" + i).value;
                                                    } else {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID" + i).value;
                                                    }
                                                checkValue++;
                                            tmp3++;
                                        }
                                        if (confirm(checkValue + " μ ڷḦ  Ͻðڽϱ? ")) {
                                        document.prssChange.changePrss.value = "return";
                                        prssChange.submit();
                                        }
                                        }
   
                                    } else {
                                        alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.docModify")%>");   //ڽ  ڷḸ  մϴ.
                                    }
                                }
                                
                                //Է û
                                function changePrssMore() {
                                    //ʱȭ ʼ̴.
                                    prssChange.changeReportID.value = "";

                                    if (("<%=regID%>" == "<%=usID%>") || ("<%=deptID%>" == "<%=dpID%>" && ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_TOTADM%>") || ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_SYSADM%>")) || ("<%=sysAuth%>" == "<%=MoumiConfig.TOTADM%>" || "<%=sysAuth%>" == "<%=MoumiConfig.SYSADM%>"))
                                    {
                                        var checkValue = 0;
                                        var APPROVE = 0;
                                        if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                                            if (check.checked == true) {
                                                if (typeof (checkPrss0) != 'undefined') {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        if (document.getElementById("checkPrss0").value != <%= MReport.APPROVE%>) {
                                                            prssChange.changeReportID.value += document.getElementById("checkReportID0").value;
                                                        } else {
                                                            APPROVE = 1;
                                                        }
                                                    } else if (document.getElementById("checkPrss0").value != <%= MReport.APPROVE%>) {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID0").value;
                                                    }

                                                } else if (document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.NOT_LIST%> || document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.COMP_LIST%>) {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        if (document.getElementById("checkPrss<%=((currentPage - 1) * recordSize)%>").value != <%= MReport.APPROVE%>) {
                                                            prssChange.changeReportID.value += document.getElementById("checkReportID<%=((currentPage - 1) * recordSize)%>").value;
                                                        } else {
                                                            APPROVE = 1;
                                                        }
                                                    } else if (document.getElementById("checkPrss<%=((currentPage - 1) * recordSize)%>").value != <%= MReport.APPROVE%>) {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID<%=((currentPage - 1) * recordSize)%>").value;
                                                    } else {
                                                        APPROVE = 1;
                                                    }
                                                } else if (document.getElementById("changeReportID<%=((currentPage - 1) * recordSize)%>").value == <%= MReport.APPROVE%>) {
                                                    APPROVE = 1;
                                                }
                                                checkValue++;
                                            }

                                        } else if (<%=count%> != 0) {
                                            tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                                            tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                                            tmp3 = 0;

                                            for (i = tmp1; i < tmp2; i++) {
                                                if (check[tmp3].checked == true) {
                                                    if (prssChange.changeReportID.value.length == 0) {
                                                        prssChange.changeReportID.value += document.getElementById("checkReportID" + i).value;
                                                    } else {
                                                        prssChange.changeReportID.value += "," + document.getElementById("checkReportID" + i).value;
                                                    }
                                                    checkValue++;
                                                }
                                                tmp3++;
                                            }
                                        }

                                        <%if (sysAuth == 9 || sysAuth == 7) {%>
                                        prssChange.uri.value = "mmReportAccept";
                                        <%}%>

                                        if (checkValue > 0 && APPROVE == 0) {

                                            var exitFlag = false;
                                            var $checked = $("input:checkbox[name=check]:checked");
                                            var chkVal = "";
                                            var okCnt = 0;

                                            for (var i = 0; i < checkValue; i++) {
                                                chkVal = $checked[i].value;

                                                if ($("#checkPrss" + chkVal).val() == '<%= TotReportProcess.COMP.ordinal()%>'        //Ϸ 6,
                                                        || $("#checkPrss" + chkVal).val() == '<%= TotReportProcess.NOTE.ordinal()%>'     //ڷȸû 14
                                                        || $("#checkPrss" + chkVal).val() == '<%= TotReportProcess.NOT.ordinal()%>') {   //ش 12
                                                    okCnt = okCnt + 1;
                                                } else {
                                                    document.getElementById("check" + chkVal).checked = false;
                                                    exitFlag = true;
                                                    //break;
                                                }
                                            }
                                            if (okCnt == 0) {
                                                document.getElementById("checkAll").checked = false;
                                            }
                                            if (exitFlag == true) {
                                                alert("° [Ϸ, ڷȸû, ش] 쿡 \nԷ¿û   ֽϴ.");
                                                return false;
                                            }

                                            if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectReturn")%>")) {
                                                document.prssChange.changePrss.value = "return";
                                                window.open('/totsys/memo/rereport/pop_rereport.jsp', 'rereport', 'width=640, height=350,toolbar=no, directories=no, status=no, menubar=no, resizable=no');
                                                //prssChange.submit();
                                            }
                                        } else if (APPROVE == 1) {
                                            alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.recogWaitDuring")%>");  //
                                        } else {
                                            alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptStatus")%>");  //º μ ּ.
                                        }
                                    } else {
                                        alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.docModify")%>");   //ڽ  ڷḸ  մϴ.
                                    }
                                }                             

                                /**
                                 *üũڽ ü  ũƮ ߰
                                 **/
                                function checkALL(checkYn) {
                                    frm = document.approOpen;
                                    var checklist = document.getElementsByName("check");
                                    if (checklist.length > 0) {
                                        for (var i = 0; i < checklist.length; i++) {
                                            checklist[i].checked = checkYn;
                                        }
                                    }
                                }


                                function find2() {
                                    var word = document.searchForm.innerFindWord.value.length;
                                    var option = document.searchForm.innerFindOption.options[document.searchForm.innerFindOption.selectedIndex].value;

                                    document.searchForm.innerFindOption.value = option;

                                    if (document.searchForm.innerFindWord.value == "") {
                                        alert("˻ ܾ Է ּ");
                                        return;
                                    }

                                    if (document.searchForm.innerFindOption.value != "id" && word < 2) {
                                        alert("˻ 2 ̻̾ մϴ.!");
                                        return;
                                    }

                                    document.searchForm.submit();
                                }

                                function fn_onChangedAutoReturn(p_checkbox) {
                                    document.autoRtnForm.autoRtnYn.value = p_checkbox.checked ? "Y" : "N";
                                    document.autoRtnForm.submit();
                                }

                                var gEventY = 0;
                                var gEventX = 0;
                                /**
                                 * Ajax Ͽ  ÷ Ʈ ûϴ Լ
                                 * @param {type} p_deptId
                                 * @param {type} p_lov_type
                                 * @returns {undefined}
                                 */
                                function popupViewInner(p_index, obj_id, p_reportID) {
                                    gEventY = window.event.clientY + document.body.scrollTop;
                                    gEventX = window.event.clientX + document.body.scrollLeft;

                                    $.ajax({
                                        url: "/servlet/kr.co.kihyun.service.servlet.AjaxProcessServlet",
                                        type: "POST",
                                        dataType: "json",
                                        data: {
                                            proc_type: "attatch_file",
                                            index: p_index,
                                            file_index: obj_id,
                                            report_id: p_reportID
                                        },
                                        success: function(data) {
                                            fn_callBackForSuccess(data);
                                        },
                                        error: function(e) {
                                            alert("error=" + e);
                                        },
                                        beforeSend: function() {
                                            $.customIndicator.show(window.self);
                                        },
                                        complete: function() {
                                            $.customIndicator.hide(window.self);
                                        }
                                    });
                                }

                                /**
                                 * fn_getDeptLOVԼ   ȣǴ Լ
                                 * @param {type} data
                                 * @returns {undefined}
                                 */
                                function fn_callBackForSuccess(data) {
                                    var fileList = "";

                                    var index = "";
                                    var fileIndex = "";
                                    var reportID = "";
                                    var fileName = "";
                                    var fileNameEncode = "";

                                    if (data != null) {
                                        for (var i = 0; i < data.length; i++) {
                                            index = data[i].index;
                                            fileIndex = data[i].fileIndex;
                                            reportID = data[i].reportID;

                                            fileName = data[i].fileName;
                                            fileNameEncode = data[i].fileNameEncode;
                                            //fileList += "<a onclick=\"popupClose(\'"+fileIndex+"\');\" href=\'/servlet/kr.co.kihyun.text.html.HttpViewer?saveAs="+ fileNameEncode+ "\&fileName="+ fileNameEncode +"\&reportID="+reportID+"\' target=\'new\'>"+ fileName+ "</a><br/>\n" ;
                                            fileList += "<span style='color: #FF9C1B; font-weight: bold;'>+÷ " + (i + 1) + " : </span><a style='white-space: nowrap;' onclick=\"popupClose(\'" + fileIndex + "\');\" href=\'/servlet/kr.co.kihyun.text.html.HttpViewer?saveAs=" + fileNameEncode + "\&fileName=" + fileNameEncode + "\&reportID=" + reportID + "\' target=\'hiddenIframe\'>" + fileName + "</a><br/>\n";
                                        }
                                        document.getElementById("fileNameList" + index).innerHTML = fileList;
                                    }

                                    $(".ajdxjdrnfl").hide();
                                    /*
                                     //+++++++++++++++++++++++++++++++++++++
                                     //׿ ÷  ŬѴ.
                                     var tempIndex = "";
                                     $(".ajdxjdrnfl").each(function() {
                                     tempIndex = $(this).attr("id")
                                     if(fileIndex != tempIndex) {
                                     cpt_layer = document.getElementById(tempIndex);
                                     cpt_layer.style.display='none'; 
                                     } 
                                     });
                                     */

                                    //cpt_layer = document.getElementById(fileIndex);
                                    cpt_layer = $("#" + fileIndex);

                                    if (cpt_layer.css("display") === "none") {
                                        cpt_layer.css({
                                            "margin-top": function() {
                                                //return gEventY + 10;
                                                return 25;
                                            },
                                            "margin-left": function() {
                                                //return gEventX - parseInt(cpt_layer.width());
                                                return -parseInt(cpt_layer.width());
                                            },
                                            "width": "auto"
                                        });

                                        cpt_layer.slideDown();
                                    }
                                }

                                //
                                function findCheckInner(findForm) {
                                    if (findForm.innerFindWord.value.length < 2) {
                                        alert("˻ܾ ּ 2 ̻ Է ּ.");
                                        findForm.innerFindWord.value = "";
                                        findForm.innerFindWord.focus();
                                        return false;
                                    }

                                    if (findForm.innerFindOption.value == "totDoc.startDate"
                                            || findForm.innerFindOption.value == "totDoc.repoEndDate"
                                            || findForm.innerFindOption.value == "startDate"
                                            || findForm.innerFindOption.value == "regDate"
                                            || findForm.innerFindOption.value == "endDate") {
                                        var str = /[0-9]{2}[\-][0-1][0-9][\-][0-3][0-9]$/;
                                        if (!str.test(findForm.innerFindWord.value)) {
                                            alert("10-12-01 · Է ּ");
                                            findForm.innerFindWord.value = "";
                                            findForm.innerFindWord.focus();
                                            return false;
                                        }
                                    }
                                    return true;
                                }

                                function selectedGO2() {
                                    var tmpTrans = trans.value;
                                    var listType;
                                    var howSort = "";

                                    switch (tmpTrans) {
                                        case "all":
                                            listType = <%= MReport.ALL_LIST%>;   //ü
                                            break;
                                        case "approve":
                                            listType = <%= MReport.APPROVE%>;   //
                                            break;
                                        case "comp":
                                            listType = <%= MReport.COMP_LIST%>;   //Ϸ
                                            break;
                                        case "notcomp":
                                            listType = <%= MReport.NOT_COMP_LIST%>;   //
                                            break;
                                        case "temp":
                                            listType = <%= MReport.TEMP_LIST%>;   //ӽ
                                            break;
                                        case "prss":
                                            listType = <%= MReport.ACCEPT_LIST%>;   //
                                            break;
                                        case "reprss":
                                            listType = <%= MReport.RETURN_LIST%>;   //Է¿û
                                            break;
                                        case "not":
                                            listType = <%= MReport.NOT_LIST%>;   //ش
                                            break;
                                        case "howSort":
                                            listType = <%= MReport.ALL_LIST%>;   //Ͻ
                                            howSort = "submitDate DESC";
                                            break;
                                        case "note":
                                            listType = <%= MReport.COMP%>;   //ڷȸû
                                            break;

                                        default:
                                            alert("Select Error !!!")
                                            return false;
                                    }

                                    document.searchForm.listType.value = listType;
                                    document.searchForm.listNum.value = listNum.value;
//                                    document.searchForm.sort.value = sort.value;
                                    document.searchForm.howSort.value = howSort;
            <%if (MoumiConfig.getUseRecog()) {%>
                                    document.searchForm.recog.value = recog.value;
            <%}%>

                                    document.searchForm.submit();
                                }

        </script>

    </HEAD>
    <body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

        <form name="listForm" method="post" action="/totsys/totper/mydocbox/prssbox/doc_list.jsp">
            <input type="hidden" name="docType"    value="<%= docType%>">
            <input type="hidden" name="strPage"    value="<%= strPage%>">
            <input type="hidden" name="findOption" value="<%= MString.checkNull(findOption)%>">
            <input type="hidden" name="findWord"   value="<%= MString.checkNull(findWord)%>">
            <input type="hidden" name="stDate"     value="<%= stDate%>">
            <input type="hidden" name="edDate"     value="<%= edDate%>">
        </form>

        <form name="prssChange" method="post" action="/servlet/kr.co.kihyun.beans.totsys.totper.HttpReportPrssChange">
            <input type="hidden" name="docID" value="<%=docID%>" id="docID">
            <input type="hidden" name="listType" value="<%=listType%>">
            <input type="hidden" name="uri" value=""> <!-- Ȳ   ǰ ־ ӽû -->
            <input type="hidden" name="changePrss" value="accept">
            <input type="hidden" name="changeReportID" value="">
            <input type="hidden" name="checkSlaveTotDoc" value="">
            <input type="hidden" name="contents" value="">
            <input type="hidden" name="docType" value="<%=docType%>">
            <!-- Ȳ   ǰ ־ ӽû -->
        </form>
        <form name="autoRtnForm" method="post">
            <input type="hidden" name="proc_mode"   value="auto_return">
            <input type="hidden" name="docID"       value="<%= docID%>">
            <input type="hidden" name="accAuth"     value="<%= accAuth%>">
            <input type="hidden" name="strPage"     value="<%= strPage%>">
            <input type="hidden" name="findOption"  value="<%= findOption%>">
            <input type="hidden" name="findWord"    value="<%= findWord%>">
            <input type="hidden" name="listType"    value="<%= listType%>">
            <input type="hidden" name="recog"       value="<%= recog%>">
            <input type="hidden" name="docType"     value="<%= docType%>">
            <input type="hidden" name="listNum"     value="<%= listNum%>">
            <input type="hidden" name="sort"        value="<%= sort%>">
            <input type="hidden" name="howSort"     value="<%= howSort%>">
            <input type="hidden" name="autoRtnYn"   value="">
        </form>
    <tr>
        <td height="30" valign="bottom"><!----   ---->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td height="30" colspan="15" valign="bottom">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="bottom" class="toolbar">
                                <!----  ---->
                                <!--td height="30" valign="bottom"><img src="/totsys/common/images/search_bg_L.gif"/></td-->
                                <td align="left">
                                    <table border="0" cellpadding="0" cellspacing="0">
                                        <tr>
                                            <td nowrap>
                                                <select name="trans" class="inputtxt" onchange="selectedGO2()">
                                                    <option value="all"><%=TotReportProcess.ALL%> <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.progressStatus")%></option>
                                                    <option value="comp"><%=TotReportProcess.COMP%></option>
                                                    <option value="notcomp"><%=TotReportProcess.NOT_REPORT%></option>
                                                    <option value="temp"><%=TotReportProcess.TEMP%></option>
                                                    <option value="approve"></option>
                                                    <option value="prss"><%=TotReportProcess.ACCEPT%></option>
                                                    <option value="reprss"><%=TotReportProcess.RETURN%></option>
                                                    <option value="not"><%=TotReportProcess.NOT%></option>
                                                    <option value="howSort">Ͻ</option>
                                                    <option value="note">ڷȸû</option>
                                                </select>
                                            </td>
                                            <td nowrap>
                                                <select name="listNum" class="inputtxt" onchange="selectedGO2()">
                                                    <option value="" <%= "".equals(listNum) ? " selected" : ""%> ></option>
                                                    <option value="10" <%= "10".equals(listNum) ? " selected" : ""%> >10</option>
                                                    <option value="20" <%= "20".equals(listNum) ? " selected" : ""%> >20</option>
                                                    <option value="30" <%= "30".equals(listNum) ? " selected" : ""%> >30</option>
                                                    <option value="40" <%= "40".equals(listNum) ? " selected" : ""%> >40</option>
                                                    <option value="50" <%= "50".equals(listNum) ? " selected" : ""%> >50</option>
                                                </select>
                                            </td>
                                            <!--                                                                                    <td nowrap>
                                                                                                                                    <select name="sort" class="inputtxt" onchange="selectedGO2()">
                                                                                                                                        <option value="" <%= "".equals(sort) ? " selected" : ""%> >ļ</option>
                                                                                                                                        <option value="1" <%= "1".equals(sort) ? " selected" : ""%> ></option>
                                                                                                                                        <option value="2" <%= "2".equals(sort) ? " selected" : ""%> >б</option>
                                                                                                                                    </select>
                                                                                                                                </td>-->

                                            <%--if (MoumiConfig.getUseRecog()) { // moumi.properties  moumi.use.recog = false %>
                                            <td nowrap>
                                                <select name="recog" class="inputtxt"	onchange="selectedGO2()">
                                                    <option value="-1"><%=TotReportProcess.ALL%> <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.approvalStatus")%></option>
                                                    <option value="1"><%=Recog.PRSS%></option>
                                                    <option value="0"><%=Recog.NOT_RECOG%></option>
                                                </select>
                                            </td>
                                            <%}--%>

                                            <td class="kecttep_button_td" nowrap>
                                                <%if ("PRSS".equals(docType)) {%>    
                                                <%
                                                    if (listType == MReport.ALL_LIST || listType == MReport.COMP_LIST) {
                                                        if (!(sysAuth == 2 && !usID.equals(userId) && docAccAuth == AccessAuth.ALL)) {
                                                %>
                                                <!--// Է¿û button -->
                                                <a onclick="changePrssMore()" href="javascript:void(0);">
                                                    <img src="/totsys/common/images/bt_return2.gif" alt="<%= MoumiConfig.getMessageBundle().getString("moumi.message.button_small.return")%>" />
                                                </a><!-- Է¿û button //-->
                                                <%}
                                                    }%>
                                                <!--//μʱȭ//-->
                                                <%if (listType == MReport.ALL_LIST || listType == MReport.COMP_LIST || listType == MReport.TEMP_LIST || listType == MReport.RETURN_LIST || listType == MReport.NOT_LIST) {//Ϲ  ü 
                                                        if (!(sysAuth == 2 && !usID.equals(userId) && docAccAuth == AccessAuth.ALL)) {
                                                %>
                                                <a onclick="changePrss()" href="javascript:void(0);">
                                                    <img src="/totsys/common/images/bt_accept.gif" alt="<%=MoumiConfig.getMessageBundle().getString("moumi.message.button_small.deptInit")%>" />
                                                </a>
                                                <%}
                                                    }%>
                                                <%}%>  
                                                <!-- ÷ϴٿε button -->
                                                <a href="javascript:void(0);" onclick="fileDownLoad();"><img src="/totsys/common/images/bt_disk.gif" alt="÷ϴٿε" /></a>
                                                <!--  button -->
                                                <a href="javascript:void(0);" onclick="javascript:excelLink();"><img src="/totsys/common/images/bt_excel.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.excel")%>" /></a>
                                            </td>

                                            <!--  -->
                                            <td class="kecttep_button_td">
                                                <a href="javascript:void(0);" onclick="javascript:fn_goToList();">
                                                    <img src="/totsys/common/images/bt_list.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.boardList")%>" />
                                                </a>
                                            </td>

                                            <td align="left" nowrap style="padding-left:1px"><a style="cursor: hand" href="#" onclick="javascript:docSendMail();"><img src="/totsys/common/images/bt_send_email.gif"  border="0" align="absmiddle"></a></td>
                                            <td align="left" nowrap style="padding-left:1px"><a style="cursor: hand" href="#" onclick="javascript:docAllSendMail();"><img src="/totsys/common/images/bt_send_email.jpg"  border="0" align="absmiddle"></a></td>
                                            <%if("Y".equals(totDoc.getRegularDocYn())){%>
                                            <td align="left" nowrap style="padding-left:1px"><a style="cursor: hand" href="#" onclick="javascript:changeReDocTotal();"><img src="/totsys/common/images/bt_reDocTotal.jpg"  border="0" align="absmiddle" alt="ڷ "></a></td>
                                            <%}%>
                                        </tr>
                                    </table>
                                </td>
                                <!--td style="font-family:; font-size:12px;">
                                <%--if (sysAuth != 9) {
                                        if (listType == MReport.ACCEPT_LIST || listType == MReport.RETURN_LIST || listType == MReport.TEMP_LIST) {%>
                                        &nbsp;
                                <%} else {%>
                                <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.status")%>
                                <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.change")%> :
                                <%}
                                } else {
                                    if (listType == MReport.ACCEPT_LIST || listType == MReport.RETURN_LIST) {%>
                                        &nbsp;
                                <%} else {%>
                                <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.status")%>
                                <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.change")%> :
                                <%}
                                    }--%>
                                                        </td-->

                                <td align="right" style="padding-top: 3px; padding-right: 14px; vertical-align: middle;" nowrap>
                                    <span style="">
                                        <!-- ü -->
                                        <a href="report_list.jsp?docID=<%=docID%>&listType=<%= MReport.ALL_LIST%>&accAuth=<%= accAuth%>&strPage=<%= innerStrPage%>&docType=<%=docType%>">
                                            <font color="009999"><%=TotReportProcess.ALL%>: </font><%= allReportCount%>
                                        </a>&nbsp;
                                        <!-- Ϸ -->
                                        <a href="report_list.jsp?docID=<%=docID%>&listType=<%= MReport.COMP_LIST%>&accAuth=<%= accAuth%>&strPage=<%= innerStrPage%>&docType=<%=docType%>">
                                            <font color="009999"><%=TotReportProcess.COMP%>: </font><%= sendReportCount%>
                                        </a>&nbsp;
                                        <!-- ش -->
                                        <a href="report_list.jsp?docID=<%=docID%>&listType=<%= MReport.NOT_LIST%>&accAuth=<%= accAuth%>&strPage=<%= innerStrPage%>&docType=<%=docType%>">
                                            <font color="009999"><%=TotReportProcess.NOT%>: </font><%= notReportCount%>
                                        </a>&nbsp;
                                        <!--  -->
                                        <a href="report_list.jsp?docID=<%=docID%>&listType=<%= MReport.NOT_COMP_LIST%>&accAuth=<%= accAuth%>&strPage=<%= innerStrPage%>&docType=<%=docType%>">
                                            <font color="009999"><%=TotReportProcess.NOT_REPORT%>: </font><%= (allReportCount - sendReportCount - notReportCount)%>
                                        </a>&nbsp;
                                        <!-- ڷȸû -->
                                        <a href="report_list.jsp?docID=<%=docID%>&listType=<%= MReport.NOTE_LIST%>&accAuth=<%= accAuth%>&strPage=<%= innerStrPage%>&docType=<%=docType%>">
                                            ( <font color="009999"><%=TotReportProcess.NOTE%>: </font><%= noteReportCount%> )
                                        </a>
                                    </span>
                                </td>
                            </tr>
                            <tr class="toolbar">
                                <td>
                                    <table width="100%" border="0" cellspacing="0" cellpadding="0" style=" margin: 0; padding: 0">
                                        <tr>
                                            <td width="350">
                                                <form name="searchForm" method="post" action="/totsys/totper/mydocbox/prssbox/reports/report_list.jsp" onsubmit="if (trans.selectedIndex != 0) {
                                                            return findCheckInner(this);
                                                        }" style="margin: 0;padding: 0">
                                                    <span>
                                                        <input type="hidden" name="docID" value="<%= docID%>">
                                                        <input type="hidden" name="accAuth" value="<%= accAuth%>">
                                                        <input type="hidden" name="listType" value="<%= listType%>">
                                                        <input type="hidden" name="recog" value="<%= recog%>">   
                                                        <input type="hidden" name="docType" value="<%= docType%>">   
                                                        <input type="hidden" name="listNum" value="<%= listNum%>">
<!--                                                        <input type="hidden" name="sort" value="<%= sort%>">   -->
                                                        <input type="hidden" name="howSort" value="<%= howSort%>">
                                                        <input type="hidden" name="strPage" value="<%= strPage%>">
                                                        <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
                                                        <input type="hidden" name="findWord"   value="<%=MString.checkNull(findWord)%>">
                                                        <input type="hidden" name="searchDepth" value="inner">
                                                        <input type="hidden" name="innerStrPage" value="<%= innerStrPage%>">
                                                        <select name="innerFindOption" class="inputtxt" onchange="showMSG(this.options[this.selectedIndex].value, msg)">
                                                            <option value="mDept.name"<%= "mDept.name".equals(innerFindOption) ? "selected" : ""%>>
                                                                <%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.process.submit")%><%= Moumi.getMessageBundle().getString("moumi.message.doc.Devision")%>
                                                            </option>
                                                            <!-- <option value="mUser.name"<%= "mUser.name".equals(innerFindOption) ? "selected" : ""%>>
                                                            <%=Moumi.getMessageBundle().getString("moumi.message.menu.submit")%><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%>
                                                           </option> -->
                                                        </select>
                                                        <input name="innerFindWord" type="text" class="inputtxt" size="30" maxlength="30" value="<%=MString.checkNull(innerFindWord)%>" style="ime-mode: active;" />
                                                        <img onclick="find2()" src="/totsys/common/images/bt_search_inquiry2.gif" border="0" align="middle" />
                                                    </span>
                                                </form>
                                            </td>
                                            <%if ("PRSS".equals(docType)) {%>    
                                            <%
                                                if (!(sysAuth == 2 && !usID.equals(userId))) {
                                            %>
                                            <td style="vertical-align: middle; padding: 0">
                                                <label for="">
                                                    ڵȸ<input type="checkbox" onclick="fn_onChangedAutoReturn(this);" <%= MString.checkNull(totDoc.getAutoRtnYn()).equals("Y") ? "checked" : ""%>>
                                                </label>
                                            </td>
                                            <%}%>
                                            <%}%>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    <span id="msg" class="kecttep_date_search" style='display: none; padding-top: 5'>
                                        &nbsp;&nbsp;<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.daySearchForm")%>  <!-- ¥ ˻ 10-12-01  Է -->
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

                <!----  Ʈ  ---->
                <tr>
                    <td colspan="4">
                        <table border="1px" class="kecttep_list_table" bordercolor="#e3e3e3"
                               width="100%" cellpadding="0" cellspacing="0">
                            <tr style="padding-top: 3">
                                <td align="center" valign="middle" class="kecttep_tdmenu" rowspan="1" width="50">
                <!--//<span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.select")%></span>//-->
                                    <input type="checkbox" name="checkAll" id="checkAll" onclick="javascript:checkALL(this.checked)"/>
                                </td>
                                <td width="40" align="center" valign="middle" class="kecttep_tdmenu" rowspan="1"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.number")%></span></td>
                                <td align="center" valign="middle" nowrap class="kecttep_tdmenu"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.submit")%></span><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.devision")%></td>
                                <td width="150" align="center" valign="middle" nowrap class="kecttep_tdmenu"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.submit")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.person")%></span></td>
                                <td align="center" valign="middle" nowrap class="kecttep_tdmenu" rowspan="1"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.telNumber")%> (<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.depart")%>/<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.person")%>)</span></td>
                                <td align="center" valign="middle" nowrap class="kecttep_tdmenu" rowspan="1"><span style="text-align: center;"><%=TotDocProcess.SUBMIT%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.dateTime")%></span></td>
                                <td width="90" align="center" valign="middle" nowrap class="kecttep_tdmenu" rowspan="1"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.progressStatus")%></span></td>
                                    <%if (MoumiConfig.is2Step()) {%>
                                <td width="60" align="center" valign="middle" nowrap class="kecttep_tdmenu"><span style="text-align: center;"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.subdoc")%></span></td>
                                    <%}%>
                                    <%if (MoumiConfig.getUseRecog()) {%>
                                <td width="60" align="center" valign="middle" nowrap class="kecttep_tdmenu"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.approval")%></span></td>
                                    <%}%>
                                <td width="60" align="center" valign="middle" nowrap class="kecttep_tdmenu"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.opinion")%></span></td>
                                <td width="60" align="center" valign="middle" nowrap class="kecttep_last_tdmenu"><span style="text-align: center;"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.add")%></span></td>

                            </tr>
                            <%
                                int index = 0;     //迭   Ű
                                int nextCount = 0; //

                                if (currentPage > 1) {
                                    nextCount = ((currentPage - 1) * recordSize);
                                }
                                //tx.begin();
                                //for (int i = 0; (i < recordSize) && ((nextCount + i) < reportList.size()); i++) {

                                if (count > 0) {
                                    int listCount = list.size();

                                    for (int i = 0; i < listCount; i++) {
                                        index = nextCount + i;

                                        PrssReportsVO prssVO = (PrssReportsVO) list.get(i);
                                        TotReportProcess prss = (TotReportProcess) prssVO.getProcess();

                                        TotDoc slaveTotDoc = prssVO.getSlaveTotDoc(pm);

                                        //Map<String, List<Byte>> attachmentsMap = null;
                                        //if (prss == TotReportProcess.COMP || prss == TotReportProcess.NOTE) {
                                        //    attachmentsMap = prssVO.getAttachmentsMap(pm);
                                        //}
                            %>
                            <tr style="padding-top: 3" valign="middle"
                                onmouseover="this.style.backgroundColor = 'F9F9F9'"
                                onmouseout="this.style.backgroundColor = 'white'" bgColor=#ffffff>
                                <td nowrap class="kecttep_graytd" height="25" align="center" style="width: 50px">
                                    <%if (MoumiConfig.getUseRecog()) {%> <input type="checkbox" name="check" id="check<%=index%>" value="<%=index%>"
                                           <%if (prssVO.getRecogType() != Recog.NOT_RECOG) {%>disabled <%}%> >
                                    <%} else {%>
                                    <input type="checkbox" name="check" id="check<%=index%>" value="<%=index%>">
                                    <%}%>
                                    <input type="hidden" name="checkDept<%=index%>" value="<%=prssVO.getDeptId()%>">
                                    <input type="hidden" name="checkUser<%=index%>" value="<%=prssVO.getUserId() == null ? "" : prssVO.getUserId()%>">
                                    <input type="hidden" name="checkPrss<%=index%>" id="checkPrss<%=index%>" value="<%=prssVO.getProcess().ordinal()%>">
                                    <input type="hidden" name="checkReportID<%=index%>" value="<%=prssVO.getId()%>">
                                    <input type="hidden" name="checkSlaveTotDoc<%=index%>" value="<%=slaveTotDoc%>">
                                </td>
                                <td height="25" align="center" valign="middle" nowrap class="kecttep_graytd">&nbsp;<%= index + 1%></td>
                                <td align="left" valign="middle" nowrap class="kecttep_graytd">&nbsp;<%=prssVO.getUpperDeptName() == null ? "" : prssVO.getOrganName() + " - " + prssVO.getUpperDeptName() + " - "%><%= prssVO.getDeptName()%></td>
                                <td align="center" valign="middle" nowrap class="kecttep_graytd">
                                    &nbsp;
                                    <%if (prss == TotReportProcess.READ || prss == TotReportProcess.COMP || prss == TotReportProcess.NOTE || (prss == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))) {%>
                                    <a href="#" onclick="window.open('/totsys/common/web/documents/report/report_view.jsp?docID=<%= docID%>&reportID=<%=prssVO.getId()%>&docType=<%= docType%>', '', 'width=840,height=600,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no');">
                                        <%}%><%= MString.checkNull(prssVO.getOwnerName())%><%if (prssVO.getUserId() != null) {%>(<%= MString.checkNull(prssVO.getUserId())%>) <%}%>
                                        <%if (prss == TotReportProcess.READ || prss == TotReportProcess.COMP || prss == TotReportProcess.NOTE || prss == TotReportProcess.RETURN) {%>
                                        <img src="/totsys/common/images/bt_search.jpg" /> <%}%> </a>&nbsp;
                                </td>
                                <td align="center" valign="middle" nowrap class="kecttep_graytd">&nbsp;<%= MString.checkNull(prssVO.getDeptPhone())%>/<%= MString.checkNull(prssVO.getUserPhone())%></td>
                                <!-- Ͻ : Է¿û, Ϸ, ش  쿡 ǥõȴ  -->
                                <td align="center" valign="middle" nowrap class="kecttep_graytd">&nbsp;
                                    <%if (prss == TotReportProcess.RETURN || prss == TotReportProcess.COMP || prss == TotReportProcess.NOT) {%>
                                    <%= prssVO.getSubmitDate() == null ? "" : new SimpleDateFormat("yyyy/MM/dd HH:mm:ss").format(prssVO.getSubmitDate())%>
                                    <%}%>
                                </td>
                                <!--  -->
                                <td align="center" valign="middle" nowrap class="kecttep_graytd" id="checkProcess<%=index%>">
                                    <%
                                        if (TotReportProcess.ACCEPT == prss && TotReportType.NOT_REPORT_REQ == prssVO.getReportType()) {
                                    %>
                                    <a href="#" onclick="javascript:popupWindow(<%=prssVO.getDeptId()%>,<%=prssENG%>);"><img src="images/bt_not_report.gif" border="0"></a>
                                        <%
                                            } else {
                    //                            if (prssVO.isDeleted()) {
                                                //                                out.write(MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.reportDocDelete"));
                                                //                            } else {
                                                out.write(prssVO.getProcess().toString());
                                                //}
                                            }
                                        %>
                                </td>

                                <!-- ڷ -->
                                <%if (MoumiConfig.is2Step()) {%>
                                <td align="center" valign="middle" nowrap class="kecttep_graytd">
                                    <%if (slaveTotDoc == null) {%>
                                    &nbsp;
                                    <%} else {%>
                                    <img src="/totsys/totper/mydocbox/prssbox/reports/images/checkok.gif">
                                    <%}%>
                                </td>
                                <%}%>
                                <%if (MoumiConfig.getUseRecog()) {%>
                                <td align="center" valign="middle" nowrap class="kecttep_graytd">
                                    <%if (prss == TotReportProcess.COMP || prss == TotReportProcess.TEMP || prss == TotReportProcess.APPROVE) {%>
                                    <%= prssVO.getRecogType().toString()%> <%} else {%> &nbsp;
                                    <%}%>
                                </td>
                                <%}%>
                                <!-- ȸû -->
                                <td align="center" valign="middle" nowrap class="kecttep_graytd">
                                    <!--%if(MString.isNull(reportList.get(index).getNote())){%> &nbsp; <//%}else{%-->
                                    <%if (prss == TotReportProcess.NOTE) {%>
                                    <!--%if(reportList.get(index).getProcess()== TotReportProcess.COMP || reportList.get(index).getProcess() == TotReportProcess.NOTE){ %--> <!--//Ϸ 6//-->
                                    <!--%if(reportList.get(index).getProcess() == TotReportProcess.READ || reportList.get(index).getProcess() == TotReportProcess.COMP || reportList.get(index).getProcess() == TotReportProcess.RETURN || reportList.get(index).getProcess() == TotReportProcess.NOTE){%-->
                                    <img style="cursor: hand;"  onclick="opener('/totsys/common/web/note/popup_note_confirm.jsp?docID=<%=docID%>&id=<%=prssVO.getId()%>&user_id=<%=prssVO.getUserId()%>'
                                                    , 'preview', '400', '220', 'center', 'middle', 'no', 'no');" src="/totsys/totper/mydocbox/prssbox/reports/images/approve.gif" border="0">
                                    <!--%}%-->
                                    <%} else {%> &nbsp;
                                    <%}%>
                                    <!--%}%-->
                                </td>
                                <!-- ÷ -->
                                <td align="center" valign="middle" nowrap class="kecttep_last_graytd">
                                    <% if (!"Y".equals(prssVO.getIsAttachments())) { /*if (attachmentsMap == null || attachmentsMap.isEmpty()) {*/%> &nbsp; <%} else {%>
                                    <!-- 2014.10.08 Update by KWON,HAN : Ϸ -> Ϸ, ȸû -->
                                    <%if (prss == TotReportProcess.COMP || prss == TotReportProcess.NOTE || (prss == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))) {%>
                                    <%--                    <a href="#" onclick="popupView('file<%=index%>');"><img src="/totsys/totper/mydocbox/prssbox/reports/images/disk.gif"></a>  --%>                    
                                    <a href="javascript:void(0);" onclick="popupViewInner('<%=index%>', 'file<%=index%>', '<%=prssVO.getId()%>');"><img src="/totsys/totper/mydocbox/prssbox/reports/images/disk.gif"></a> 
                                    <div class="ajdxjdrnfl" id="file<%=index%>" style="display: none; position: absolute; z-index: 2;">
                                        <table style="border: 1px solid #ABBDDD; padding: 2px;" width="100%" cellspacing="0">
                                            <tr bgcolor="#EEEEFF">
                                                <td align="left" style="border-bottom: 1px solid #ABBDDD;">
                                                    &nbsp;&nbsp;<strong>÷</strong>
                                                </td>
                                                <td align="right" style="border-bottom: 1px solid #ABBDDD;">
                                                    <a style="display: inline; border: 1px solid #abbddd; width: 15px; height: 7px; padding: 2px 0 0 0; margin: 2px 3px 2px 0; text-align: center;" href="javascript:void(0);" onclick="popupClose('file<%=index%>');" title="ݱ">X</a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" bgcolor="white" style="padding: 2px; white-space: nowrap;">
                                                    <span id="fileNameList<%=index%>" style="white-space: nowrap;">
                                                        <%--
                                                                                            <%
                                                                                                for (String fileName : attachmentsMap.keySet()) {
                                                                                            %> <a onclick="popupClose('file<%=index%>');"
                                                                                               href="/servlet/kr.co.kihyun.text.html.HttpViewer?saveAs=<%= URLEncoder.encode(fileName, "UTF-8")%>&fileName=<%=URLEncoder.encode(fileName, "UTF-8")%>&reportID=<%=prssVO.getId()%>"
                                                                                               target="new"><%= fileName%></a><br/>
                                                                                            <%  } %> 
                                                        --%>
                                                    </span>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <%} else {%> &nbsp; <%}%> 
                                    <%}%>
                                </td>
                            </tr>
                            <%
                                    }  //end of for list
                                }   //end of if( count > 0)                        
                                //tx.rollback();
                            %>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td height="15"></td>
                </tr>
                <%if (count > 0) {%>
                <tr style="padding-top: 3">
                    <td colspan="15" align="center" valign="middle" class="kecttep_board">
                        <!----   κ  ----> 
                        <%--        
                                <jsp:include page="/totsys/common/inc/board/sub_page.jsp" flush="true">
                                    <jsp:param name="uri" value="<%= uri%>" />
                                    <jsp:param name="pageSize" value="<%= pageSize%>" />
                                    <jsp:param name="currentPage" value="<%= currentPage%>" />
                                    <jsp:param name="currentPageSetUp" value="<%= currentPageSetUp%>" />
                                    <jsp:param name="listNum" value="<%= request.getParameter("listNum")%>" />
                                    <jsp:param name="sort" value="<%= request.getParameter("sort")%>" />
                                </jsp:include> 
                        --%>        
                        <jsp:include page="/totsys/common/inc/board/page_module.jsp" flush="true">
                            <jsp:param name="pageFunction" value="fn_goToPage" />
                            <jsp:param name="pageSize" value="<%= pageSize%>" />
                            <jsp:param name="currentPage" value="<%= currentPage%>" />
                            <jsp:param name="currentPageSetUp" value="<%= currentPageSetUp%>" />
                        </jsp:include>

                        <!----   κ  ---->
                    </td>
                </tr>
                <%} else {%>
                <tr>
                    <td class="kecttep_none_tdmenu" colspan="15" height="25"
                        align="center"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.reportDocNot")%></td>
                    <%}%>
                    <!----    ---->
            </table>
        </td>
    </tr>
    <script>
        if ("<%=listType%>" == "<%=MReport.ALL_LIST%>") { // ü
            trans.value = "all";
        } else if ("<%=listType%>" == "<%=MReport.COMP_LIST%>") { // Ϸ
            trans.value = "comp";
        } else if ("<%=listType%>" == "<%=MReport.NOT_COMP_LIST%>") { // 
            trans.value = "notcomp";
        } else if ("<%=listType%>" == "<%=MReport.TEMP_LIST%>") { // ӽ
            trans.value = "temp";
        } else if ("<%=listType%>" == "<%=MReport.ACCEPT_LIST%>") { // 
            trans.value = "prss";
        } else if ("<%=listType%>" == "<%=MReport.RETURN_LIST%>") { // Է¿û
            trans.value = "reprss";
        } else if ("<%=listType%>" == "<%=MReport.NOT_LIST%>") { // ش
            trans.value = "not";
        } else if ("<%=listType%>" == "<%= MReport.APPROVE%>") {
            trans.value = "approve";
        } else if ("<%=listType%>" == "<%= MReport.NOTE%>") {
            trans.value = "note";
        }
        if ("<%=howSort%>" != "") {
            trans.value = "howSort";
        }

        //˻ Ѿ Ʈ Ѱ
        if ("<%=listNum%>" == "10") {
            listNum.value = "10";
        } else if ("<%=listNum%>" == "20") {
            listNum.value = "20";
        } else if ("<%=listNum%>" == "30") {
            listNum.value = "30";
        } else if ("<%=listNum%>" == "40") {
            listNum.value = "40";
        } else if ("<%=listNum%>" == "50") {
            listNum.value = "50";
        } else {
            listNum.value = "";
        }

        if ("<%=sort%>" == "1") {
            sort.value = "1";
        } else if ("<%=sort%>" == "2") {
            sort.value = "2";
        } else {
            sort.value = "1";
        }

    </script>

    <%if (MoumiConfig.getUseRecog()) {%>
    <script>
        if (<%=recog%> == -1) {
            recog.selectedIndex = 0;
        } else if (<%=recog%> == 1) {
            recog.selectedIndex = 1;
        } else if (<%=recog%> == 0) {
            recog.selectedIndex = 2;
        }

    </script>
    <%}%>
    <iframe name="hiddenIframe" width="0" height="0" style="display: none;"></iframe>
</BODY>
</HTML>

<%
    } catch (Exception ex) {
        ex.printStackTrace();
//	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
