<%    /**
     * **********************************************************@@ Program Name
     * : doc_list.jsp Description	: ////  Author	: ũ Create
     * Date	: 2010.11.27 History	:
     * @@***********************************************************
     */
%>

<%@ page contentType="text/html; charset=euc-kr"
         import="java.net.URLDecoder" import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.lang.MLong"
         import="kr.co.kihyun.text.html.HtmlUtil"
         import="kr.co.kihyun.lang.StringConverter"
         import="kr.co.kihyun.text.html.ServletUtil"
         import="kr.co.kihyun.text.html.TagFilter"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.moumi.Moumi"
         import="kr.co.kihyun.moumi.report.MReport"
         import="kr.co.kihyun.beans.user.Dept"
         import="kr.co.kihyun.beans.user.UserView"
         import="kr.co.kihyun.beans.totsys.report.Report"
         import="kr.co.kihyun.beans.totsys.report.ReportView"
         import="kr.co.kihyun.beans.totsys.report.ReportViewManager"
         import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.*"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%    
    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        /**
         * ******* Parameter ********
         */
        Long reportID = MLong.parseLong(request.getParameter("reportID"), null);
        TotReport totReport = pm.getObjectById(TotReport.class, reportID);

        tx.begin();

        /**
         * ******* report ********
         */
        ReportViewManager reportViewManager = new ReportViewManager(totReport.getTotDoc());
        reportViewManager.setReportData(totReport.getDept(pm).getId(), totReport.getUser(pm).getId());

        tx.rollback();

        String docName = reportViewManager.getDocName();

        String report = reportViewManager.getReport();
        String savePath = Moumi.getRepoPerRoot().getPath() + "/fileUpload";//// ε  ӽ  

        if (report == null) {
            out.println(ServletUtil.alert(Moumi.getMessageBundle().getString("moumi.message.popup.notReportDoc")));
            out.println(ServletUtil.getJavaScript("history.go(-1);"));
            return;
        }
%>
<html>
    <head>
        <title><%=docName%></title>
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/SquareButtons.css" type="text/css">
        <style>
            body {
                text-align: center;
            }

            #contents {
                size: portrait;
                width: 210mm;
                height: 297mm;
                padding: 20mm 30mm;
                zoom: 35%;
                border: solid 1px black;
            }
        </style>
        <script type="text/javascript">
            function printPage() {
                document.getElementById("header").style.display = "none";
                document.getElementById("footer").style.display = "none";
                document.getElementById("contents").style.border = "0";
                document.getElementById("contents").style.padding = "0";
                document.getElementById("contents").style.zoom = "100%";
                window.print();
                window.close();
            }
        </script>
    </head>
    <body>
        <div id="header">
            <h3><%=docName%></h3>
            <table>
                <jsp:include page="/totsys/common/inc/totper/tot_repoper.jsp" flush="true">
                    <jsp:param name="reportID" value="<%= reportID%>" />
                </jsp:include>
            </table>
            <hr/>
        </div>
        <div id="contents"><%= TagFilter.borderFilter(report.replaceAll("<td", "<td style='word-break:break-all;' "))%>
        </div>
        <div id="footer">
            <hr />
            <a href="#" onclick="printPage();">
                <img src="/totsys/common/images/bt_print2.gif" border="0" alt="<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.print")%>" />
            </a>
            <a href="#" onclick="window.close();">
                <img src="/totsys/common/images/bt_cancle.gif" border="0" alt="<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.cancel")%>" />
            </a>
        </div>
    </body>
</html>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
