<%  /**
     * **********************************************************
     * @@ Program Name : total_reports.jsp
     * @@ Description  : ////Ȳ
     * @@ Author       : 
     * @@ Create Date  : 2004.10.11
     * @@ History      : 2014.10.07 Update by KWON,HAN :
     * @@***********************************************************
     */
%>
<%@ page contentType="text/html; charset=euc-kr"
         import="java.util.List"
         import="java.util.ArrayList"
         import="java.util.Map"
         import="java.util.HashMap"         
         import="java.net.URLEncoder" 
         import="java.net.URLDecoder"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.lang.MLong" 
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.text.html.TagFilter"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.moumi.report.MReport"
         import="kr.co.kihyun.moumi.Moumi" 
         import="kr.co.kihyun.moumi.MoumiConfig"
         import="javax.jdo.PersistenceManager" 
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.*"
         import="kr.co.kihyun.beans.totsys.doc.table.Table"
         import="kr.co.kihyun.beans.totsys.doc.table.item.Item"
         import="kr.co.kihyun.beans.entity.TotDoc2"
         import="kr.co.kihyun.beans.entity.MDept"
         import="kr.co.kihyun.service.PrssReportsService" 
         import="kr.co.kihyun.service.vo.PrssReportsVO"
         import="kr.co.kihyun.service.vo.ReportTotalVO"
         import="javax.jdo.Query"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();

    try {

        String usID = HttpSSOLogin.getLoginID(request);
        int sysAuth = HttpSSOLogin.getSysAuth(request);
        String dpID = HttpSSOLogin.getDeptID(request);

        /**
         * **** Parameter *****
         */
        Long docID = MLong.parseLong(request.getParameter("docID"), null);
        int tableNum = MInteger.parseInt(request.getParameter("tableNum"), 0);//create by 
        String docType = clearXSS(request.getParameter("docType"), null);
        Long reportID = MLong.parseLong(request.getParameter("reportID"));

        int searchType = MInteger.parseInt(request.getParameter("searchType"), -1);
        String[] displaySummaryValues = request.getParameterValues("displaySummary");
        boolean displaySummary = displaySummaryValues != null;
        int gradeCode = MInteger.parseInt(request.getParameter("gradeCode"), -1);
        String type = clearXSS(request.getParameter("type"), "");
        int rowDelType = MInteger.parseInt(request.getParameter("rowDelType"), 0);
        String tableval = clearXSS(request.getParameter("tableval"), "0");


        
        String strPage = clearXSS(request.getParameter("strPage"),"");
        String findOption = clearXSS(request.getParameter("findOption"), "");
        String findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
        String stDate = clearXSS(request.getParameter("stDate"),"");
        String edDate = clearXSS(request.getParameter("edDate"),"");
        
        String searchDepth = clearXSS(request.getParameter("searchDepth"), "");  
        String innerStrPage = "";
        String innerFindOption = "";
        String innerFindWord = "";
        
        if("inner".equals(searchDepth)) {
            innerStrPage = clearXSS(request.getParameter("innerStrPage"),"");
            innerFindOption = clearXSS(request.getParameter("innerFindOption"), "");
            innerFindWord = URLDecoder.decode(MString.checkNull(request.getParameter("innerFindWord")), "UTF-8");
        } else {
            innerStrPage = clearXSS(request.getParameter("innerStrPage"),"");
            innerFindOption = clearXSS(request.getParameter("innerFindOption"), "");
            //˻  ذ
            //innerFindWord = clearXSS(Encoder.toJava(request.getParameter("innerFindWord")), "");            
            innerFindWord = URLDecoder.decode(MString.checkNull(request.getParameter("innerFindWord")), "UTF-8");
        }
        
        String sort = clearXSS(request.getParameter("sort"), "");
        int listType = searchType;
        String howSort = clearXSS(request.getParameter("howSort"), "");
        
        tx.begin();
        
        TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
        String userId = totDoc.getUser();
        AccessAuth docAccAuth = totDoc.getAccessAuth();
        String docName = totDoc.getName();
        String regID = totDoc.getUser(pm).getId();
        String deptID = totDoc.getDept(pm).getId();

        int count = 0;
        
        PrssReportsService prssService = new PrssReportsService(pm);
        //˻Ķ
        Map params = new HashMap();
        params.put("docId",         docID);   
        params.put("listType",      listType);
        params.put("findOption",    innerFindOption);
        params.put("filterValue",   innerFindWord);
        params.put("howSort",       howSort);
        params.put("sort",          sort);

        //˻ ڵ尹ȸ    
        prssService.createPrssTotalReportsSearchQuery(params);

        List<PrssReportsVO> list = null;
        
        //ϴ ڵ尡 ϸ ȸ
        list = prssService.executeQuery(PrssReportsVO.class);
        
        count = list.size();
        //======================================================================
        
        List<TotReport> compReportList = null;  //ü
        
        int allReportCount = 0;          //ü-ü
        int totReportCount = 0;          //ü-Ϸ
           
        if(displaySummary) {        
            List totalList = null;
            totalList = prssService.getReportTotalByDocId(docID);

            if( totalList != null && totalList.size() > 0 ) {
                for(Object obj : totalList) {
                    ReportTotalVO totalVO = (ReportTotalVO)obj;

                    allReportCount = MInteger.parseInt(totalVO.getAllCnt().toString(), 0);     
                   
                    totReportCount = MInteger.parseInt(totalVO.getTotReportCnt().toString(), 0);    
                }
            }
           
            if(totReportCount > 0) { 
                compReportList   = prssService.getRecursiveAllReports(docID, TotReportProcess.COMP, "");       //ü-Ϸ 
            }
            
        }

        tx.rollback();
                
        /**
         * ********* HTML Form values **********
         */
        int tableCount = new Table().getCount(docID);
        int[] lineNum = new int[tableCount];
        String[] delSelect = new String[tableCount];
        StringBuffer queryBuff = new StringBuffer();
        if (rowDelType == 1) {
            for (int i = 0; i < tableCount; i++) {
                if (type.equals("first")) {
                    if (i == 0) {
                        lineNum[i] = 1;
                    } else {
                        lineNum[i] = MInteger.parseInt(request.getParameter("table" + i + ""), -1);
                    }
                } else {
                    lineNum[i] = MInteger.parseInt(request.getParameter("table" + i + ""), 0);
                }

                queryBuff.append("&table" + i + "=" + lineNum[i]);
            }
        }
%>
<html>
    <head>
        <!--<link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">-->
        <!--<link rel="stylesheet" href="/totsys/common/css/style.css" type="text/css">-->
        <!--<link rel="stylesheet" href="/totsys/common/css/SquareButtons.css" type="text/css">-->

        <script src="/totsys/common/js/popup.js"></script>
        <script src="/totsys/common/js/rollover.js"></script>
        <script type="text/javascript" src="/totsys/common/js/jquery-1.6.2.min.js"></script>
        <script type="text/javascript" src="/totsys/common/js/jquery.fixFormTable.js"></script>
        <script type="text/javascript" src="/totsys/common/js/jquery.custom.indicator.js"></script>
        <script language="javascript">
            //body onload ÿ ȣȴ.
            function setupTableVal() {
                if ("<%=tableNum%>" == "0") {
                    delTR.tableval.value = "alltitle";
                } else {
                    delTR.tableval.selectedIndex = "<%=tableNum%>";
                }
            }
            
            //˻ ư
            function find2() {
                var word = document.searchForm.innerFindWord.value.length;
                var option = document.searchForm.innerFindOption.options[document.searchForm.innerFindOption.selectedIndex].value;

                //document.searchForm.findOption.value = option;
                document.searchForm.innerFindOption.value = "mDept.name";

                if (document.searchForm.innerFindWord.value == "") {
                    alert("˻ ܾ Է ּ");
                    document.searchForm.innerFindWord.focus();
                    return false;
                }

                if (document.searchForm.innerFindOption.value != "id" && word < 2) {
                    alert("˻ 2 ̻̾ մϴ.!");
                    document.searchForm.innerFindWord.focus();
                    return false;
                }

                document.searchForm.action = "./total_reports.jsp";
                document.searchForm.submit();
            }

            function repoExcelSave(saveType) {
                var form1 = document.excelSaveForm;
                if (form1.isNotReport.value == "true") {
                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.notReport")%>');
                    return;
                }
                form1.saveExprType.value = "no";
                form1.action = "/totsys/common/inc/documents/tot_reports/sub_total_reports_excel.jsp?&docName=<%=URLEncoder.encode(docName, "UTF-8")%>&saveType=" + saveType;
                form1.submit();
            }

            function excelSave(saveType) {
                var form1 = document.excelSaveForm;

                if (form1.isNotReport.value == "true") {
                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.notReport")%>');
                    return;
                }
                form1.saveExprType.value = "yes";
                form1.action = "/totsys/common/inc/documents/tot_reports/total_reports_excel.jsp?gradeCode=<%=gradeCode%>&searchType=<%=searchType%>&displaySummary=<%=displaySummary%>&docName=<%=URLEncoder.encode(docName, "UTF-8")%>&docID=<%=docID%>&tableNum=<%=tableNum%>&sort=<%=sort%>";
                form1.submit();
            }

            function printReport() {
                var form1 = document.excelSaveForm;
                if (form1.isNotReport.value == "true") {
                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.notPrintReport")%>');
                    return;
                }
                //
                //window.open("/totsys/common/inc/documents/tot_reports/total_reports_print.jsp?gradeCode=<%=gradeCode%>&searchType=<%=searchType%>&tableNum=<%=tableNum%>&docID=<%=docID%>&displaySummary=<%=displaySummary%>");
                //
                var uri = "/totsys/common/inc/documents/tot_reports/total_reports_print.jsp?gradeCode=<%=gradeCode%>&searchType=<%=searchType%>&tableNum=<%=tableNum%>&docID=<%=docID%>&displaySummary=<%=displaySummary%>";
                sendReport = getOpener(uri, 'sendReport', 600, 650, 'center', 'middle', 'yes', 'yes');
                sendReport.focus();
                //document.f_print.target = "printFrame";
                //document.f_print.submit();
            }

            function submitValue() {
                if (delTR.tableval.value != "alltitle") {
                    delTR.tableNum.value = delTR.tableval.selectedIndex;
                    var i = document.delTR.tableval.options.selectedIndex;
                    document.delTR.all["table" + (i - 1)].value = delTR.tableval.value;
                }
                delTR.submit();
            }



            function changePrssMore(pp) {
                if (pp != 1 && pp != 2) {
                    alert("ó   Դϴ.")
                    return false;
                }
                
                //ʱȭ ʼ̴.
                prssChange.changeReportID.value = "";
                
                if (("<%=regID%>" == "<%=usID%>") || ("<%=deptID%>" == "<%=dpID%>" && ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_TOTADM%>") || ("<%=sysAuth%>" == "<%=MoumiConfig.SUB_SYSADM%>")) || ("<%=sysAuth%>" == "<%=MoumiConfig.TOTADM%>" || "<%=sysAuth%>" == "<%=MoumiConfig.SYSADM%>"))
                {
                    
                checkValue = 0;
                jj = check.length;

                if (jj == undefined) {
                    jj = document.getElementsByName("check").length;
                    if (jj != 1) {
                        return;
                    }
                    var tmp = document.getElementsByName("check");
                    if (tmp[0].checked) {
                        prssChange.changeReportID.value += document.getElementById("checkReportID0").value;
                        checkValue++;
                    }
                    
                } else  {
                    for (ii = 0; ii < jj; ii++) {
                        if (check[ii].checked == true) {
                            if (prssChange.changeReportID.value.length == 0) {
                                prssChange.changeReportID.value += document.getElementById("checkReportID" + ii).value;
                            } else {
                                prssChange.changeReportID.value += "," + document.getElementById("checkReportID" + ii).value;
                            }
                            checkValue++;
                        }
                    }
                }

                if (checkValue > 0) {
//                    var ii = 0;
//                    var exitFlag = false;
//                    $("input:checkbox[name=check]").each(function() {
//                        if (this.checked)
//                        {
//                            if ($("#kkkk" + ii).val() == '5')
//                            {
//                                if (pp == 1)
//                                    alert(' Է¿ûҼ ϴ.');
//                                else
//                                    alert(' μʱȭҼ ϴ.');
//                                exitFlag = true;
//                                return false;
//                            }
//                        }
//                        ii++;
//                    });
//                    if (exitFlag == true)
//                        return;

                var exitFlag = false;
                var $checked = $("input:checkbox[name=check]:checked");
                var chkVal = "";
                var okCnt = 0;
                
                //Է¿û
                if (pp == 1) {
                    for( var i = 0; i < checkValue; i++ ) {
                        chkVal = $checked[i].value;

                        if ($("#checkPrss" + chkVal).val() == '<%= TotReportProcess.COMP.ordinal() %>'        //Ϸ 6,
                            || $("#checkPrss" + chkVal).val() == '<%= TotReportProcess.NOTE.ordinal() %>'     //ڷȸû 14
                            || $("#checkPrss" + chkVal).val() == '<%= TotReportProcess.NOT.ordinal() %>') {   //ش 12
                            okCnt = okCnt + 1;    
                        } else {
                            document.getElementById("check"+chkVal).checked = false;                                            
                            exitFlag = true;
                            //break;
                        }
                    }          
                
                //μʱȭ
                } else if (pp == 2) {
                    for( var i = 0; i < checkValue; i++ ) {
                        chkVal = $checked[i].value;

                        if ($("#checkPrss" + chkVal).val() == '<%= TotReportProcess.APPROVE.ordinal() %>') {         // 5
                            document.getElementById("check"+chkVal).checked = false;
                            exitFlag = true;
                            //break;
                        } else {
                            okCnt = okCnt + 1;
                        }
                    }                
                }
                
                if (exitFlag == true) { 
                    if (pp == 1) {
                        alert("° [Ϸ, ڷȸû, ش] 쿡 \nԷ¿û   ֽϴ.");  
                    } else if (pp == 2) {
                        alert("° []̸ μʱȭ   ϴ.");
                    }
                    return false; 
                }
                

                    if (pp == 1) {
                        if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectReturn")%>")) {
                            document.prssChange.changePrss.value = "return";
                            window.open('/totsys/memo/rereport/pop_rereport.jsp', 'rereport', 'width=601, height=300,toolbar=no, directories=no, status=no, menubar=no, resizable=no');
                        }
                    } else if (pp == 2) {
                        if (confirm(checkValue + "<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptSelectInt")%>")) {
                            document.prssChange.changePrss.value = "accept";
                            prssChange.submit();
                        }
                    }
                    
                } else {
                    alert("μ ϼž մϴ");
                }
                } else {
                    alert("<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.docModify")%>");   //ڽ  ڷḸ  մϴ.
                }
            }

            /*
             *  ̵óϴ Լ
             */
            function fn_goToList() {
                document.listForm.submit();
            }

            /* 
             * ̺   garbage Ҹ Ͽ, ̾ƿ Ѵ.
             * 2014.09.19 by YoungJun Cho.
             */
            $(document).ready(function() {
            <%if(displaySummary) {%>
                // ü ǥ  üũ ǥ ̾ƿ .

                //  ̺ : üǥ, Ȳǥ, ġȲǥ, ʵбȲǥ, бȲǥ, ŸбȲǥ
                $.fixViewFormTableForXMLNameSpace($("#formDiv").find("table").find("table").find("table td").children(), {});    

                //  ̺ : Ȳǥ Ʒ  μ  ̺ǥ
                $.fixViewFormTableForXMLNameSpace($(".fixTarget").find("table td").children(), {});    
            <%} else {%>
                // ü ǥ  üũ ǥ ̾ƿ .
                $.fixViewFormTableForXMLNameSpace($("#formDiv").find("table").find("table td").children(), {});
            <%}%>
            });
            /* ڷԷ ̺ input element ڿ font, span  ʿ element  ó.  */
            
    var gEventY = 0;                
    var gEventX = 0;
    /**
     * Ajax Ͽ  ÷ Ʈ ûϴ Լ
     * @param {type} p_deptId
     * @param {type} p_lov_type
     * @returns {undefined}
     */
    function popupViewInner(p_index, obj_id, p_reportID){
        gEventY = window.event.y;
        gEventX = window.event.x;
        
        $.ajax({
            url:"/servlet/kr.co.kihyun.service.servlet.AjaxProcessServlet",
            type:"POST",
            dataType:"json",
            data:{
                proc_type:"attatch_file",
                index:p_index,
                file_index:obj_id,
                report_id:p_reportID
            },
            success:function(data) {
                fn_callBackForSuccess(data);
            },
            error:function(e) {
                alert("error=" + e);
            },
            beforeSend:function() {
                $.customIndicator.show(window.self);
            },
            complete:function() {
                $.customIndicator.hide(window.self);
            }
        });
    }
    
    /**
     * fn_getDeptLOVԼ   ȣǴ Լ
     * @param {type} data
     * @returns {undefined}
     */
    function fn_callBackForSuccess(data) {
        var fileList = "";
        
        var index = "";
        var fileIndex = "";
        var reportID = "";
        var fileName = "";
        var fileNameEncode = "";
        
        if( data != null ) {
            for(var i = 0; i < data.length; i++ ) {
                index    = data[i].index;
                fileIndex = data[i].fileIndex;
                reportID  = data[i].reportID;
                
                fileName  = data[i].fileName;
                fileNameEncode  = data[i].fileNameEncode;
                fileList += "<span style='color: #FF9C1B; font-weight: bold;'>+÷ "+(i+1)+" : </span><a onclick=\"popupClose(\'"+fileIndex+"\');\" href=\'/servlet/kr.co.kihyun.text.html.HttpViewer?saveAs="+ fileNameEncode+ "\&fileName="+ fileNameEncode +"\&reportID="+reportID+"\' target=\'hiddenFrame\'>"+ fileName+ "</a><br />" ;
            }
            document.getElementById("fileNameList"+index).innerHTML = fileList;
        }
        
        $(".ajdxjdrnfl").hide();
        /*
        //+++++++++++++++++++++++++++++++++++++
        //׿ ÷  ŬѴ.
        var tempIndex = "";
        $(".ajdxjdrnfl").each(function() {
            tempIndex = $(this).attr("id")
            if(fileIndex != tempIndex) {
                cpt_layer = document.getElementById(tempIndex);
                cpt_layer.style.display='none'; 
            } 
        });
        */
        
	//cpt_layer = document.getElementById(fileIndex);
        cpt_layer = $("#" + fileIndex);
        
        //gEventY = cpt_layer.offsetTop;
        //gEventX = cpt_layer.offsetLeft;
	if( cpt_layer.css("display") === "none" ){
            cpt_layer.css({
                "top" : function() {
                    return gEventY + 50;
                },
                "left" : function() {
                    return gEventX - 100;
                },
                "width" : 200
            });
            //cpt_layer.style.top = gEventY + 50; //window.event.y - 10;
            //cpt_layer.style.left = gEventX - 100; //window.event.x - 130; 
            //cpt_layer.style.display='';
            //cpt_layer.style.width = 200;
            
            cpt_layer.show();
	}
    }
    
        </script>
    </head>

    <body onload="setupTableVal();">
        <form name="listForm" method="post" action="/totsys/totper/mydocbox/prssbox/doc_list.jsp">
            <input type="hidden" name="docType"    value="<%= docType%>">
            <input type="hidden" name="strPage"    value="<%= strPage%>">
            <input type="hidden" name="findOption" value="<%= MString.checkNull(findOption) %>">
            <input type="hidden" name="findWord"   value="<%= MString.checkNull(findWord) %>">
            <input type="hidden" name="stDate"     value="<%= stDate %>">
            <input type="hidden" name="edDate"     value="<%= edDate %>">            
        </form>

        <form name="f_print" action="/totsys/common/inc/documents/tot_reports/total_reports_print.jsp" method="post">
            <input type="hidden" name="gradeCode" value="<%=gradeCode%>">
            <input type="hidden" name="searchType" value="<%=searchType%>">
            <input type="hidden" name="tableNum" value="<%=tableNum%>">
            <input type="hidden" name="docID" value="<%=docID%>">
            <input type="hidden" name="displaySummary" value="<%=displaySummary%>">
        </form>
        <iframe name="printFrame" width="0" height="0" src=""></iframe>
        <span id="SetWin" style="position: absolute; z-index: 10; Visibility: hidden; height: 65px; width: 210px; background: silver; border: 1px #333333 solid; line-height: 1.4em; padding: 3px 3px"></span>
    <tr class="toolbar">
        <td align="left">
            <table border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td style="padding-left: 5px; padding-top: 10px;">
                        <form name="delTR" action="./total_reports.jsp" method="post">
                            <input type="hidden" name="docID" value=<%=docID%>>
                            <input type="hidden" name="gradeCode" value=<%=gradeCode%>>
                            <input type="hidden" name="docType" value=<%=docType%>>
                            <input type="hidden" name="rowDelType" value="1">
                            <input type="hidden" name="searchType" value="<%=searchType%>">
                            <input type="hidden" name="strPage" value="<%= strPage %>">
                            <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
                            <input type="hidden" name="findWord"   value="<%=MString.checkNull(findWord)%>">
                            <input type="hidden" name="searchDepth" value="none">
                            <input type="hidden" name="innerStrPage" value="<%= innerStrPage %>">
                            <input type="hidden" name="innerFindOption" value="<%= MString.checkNull(innerFindOption) %>">
                            <input type="hidden" name="innerFindWord" value="<%= MString.checkNull(innerFindWord) %>">
                            
                            <% if (displaySummary) {%>
                            <input type="hidden" name="displaySummary" value="<%= displaySummary%>">
                            <% }%>
                            <%
                                for (int i = 0; i < tableCount; i++) {
                            %>
                            <input type="hidden" name="table<%=i%>" value="-1"> <%
                                }%>
                            <select name="tableval" onchange="submitValue()" class="inputtxt">
                                <!-- ü -->
                                <option value="alltitle"><%=TotReportProcess.ALL%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.content")%></option>
                                <%
                                    Item item = new Item();
                                    int[] titleCount = item.getTitleRowCountList(docID);
                                    
                                    for (int i = 0; i < titleCount.length; i++) {
                                %>
                                <!-- 1ǥ -->
                                <option value="<%=titleCount[i]%>"><%=(i + 1)%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.numTable")%></option>
                                <%   
                                    }
                                %>
                            </select>
                            <input type="hidden" name="tableNum" value="">
                        </form>
                    </td>
                    <td style="padding-left: 5px; padding-top: 10px;">
                        <form name="searchselect" action="./total_reports.jsp" method="post">
                            <input type="hidden" name="docID" value=<%=docID%>>
                            <input type="hidden" name="docType" value=<%=docType%>>
                            <input type="hidden" name="gradeCode" value=<%=gradeCode%>>
                            <input type="hidden" name="rowDelType" value="1">
                            <input type="hidden" name="tableval" value="<%=tableval%>">
                            
                            <input type="hidden" name="strPage" value="<%= strPage %>">
                            <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
                            <input type="hidden" name="findWord"   value="<%=MString.checkNull(findWord)%>">
                            <input type="hidden" name="searchDepth" value="none">
                            <input type="hidden" name="innerStrPage" value="<%= innerStrPage %>">
                            <input type="hidden" name="innerFindOption" value="<%= MString.checkNull(innerFindOption) %>">
                            <input type="hidden" name="innerFindWord" value="<%= MString.checkNull(innerFindWord) %>">
                            
                            
                            <% if (displaySummary) {%>
                            <input type="hidden" name="displaySummary" value="<%= displaySummary%>"> <% }%>
                            <input type="hidden" name="tableNum" value="<%=tableNum%>">
                            <%for (int i = 0; i < tableCount; i++) {%>
                            <input type="hidden" name="table<%=i%>" value="<%= lineNum[i]%>">
                            <%}%>
                            <!--  (-1), Ϸ(6), (0) -->
                            <select name="searchType" onchange="javascript:submit();" class="inputtxt">
                                <option value="-1" <%= searchType == -1 ? " selected" : ""%>><%=Moumi.getMessageBundle().getString("moumi.message.tot_report.allReportStatus")%></option>
                                <option value="<%=TotReportProcess.COMP.ordinal()%>" <%= searchType == TotReportProcess.COMP.ordinal() ? " selected" : ""%>><%=TotReportProcess.COMP%></option>
                                <option value="<%=TotReportProcess.ACCEPT.ordinal()%>" <%= searchType == TotReportProcess.ACCEPT.ordinal() ? " selected" : ""%>><%=TotReportProcess.ACCEPT%></option>
                            </select>
                            <!-- (#), (1), б(2) -->
<!--                            <select name="sort" onchange="javascript:submit();" class="inputtxt">
                                <option value="#"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.sortKind")%></option>
                                <option value="1" <%if (sort.equals("1")) {%> selected <%}%>><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.perOrgan")%></option>
                                <option value="2" <%if (sort.equals("2")) {%> selected <%}%>><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.perSchool")%></option>
                            </select>-->
                        </form>
                    </td>
                    <td style="padding-left: 5px; padding-top: 10px;">
                        <form name="checksummary" action="./total_reports.jsp" method="post">
                            <input type="hidden" name="docID" value=<%=docID%>> 
                            <input type="hidden" name="docType" value=<%=docType%>> 
                            <input type="hidden" name="gradeCode" value=<%=gradeCode%>> 
                            <input type="hidden" name="rowDelType" value="1">
                            <input type="hidden" name="tableval" value="<%=tableval%>">
                            <input type="hidden" name="searchType" value="<%=searchType%>"> 
                            <input type="hidden" name="tableNum" value="<%=tableNum%>"> 
                            
                            <input type="hidden" name="strPage" value="<%= strPage %>">
                            <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
                            <input type="hidden" name="findWord"   value="<%=MString.checkNull(findWord)%>">
                            <input type="hidden" name="searchDepth" value="none">
                            <input type="hidden" name="innerStrPage" value="<%= innerStrPage %>">
                            <input type="hidden" name="innerFindOption" value="<%= MString.checkNull(innerFindOption) %>">
                            <input type="hidden" name="innerFindWord" value="<%= MString.checkNull(innerFindWord) %>">
                            
                            <%for (int i = 0; i < tableCount; i++) {%>
                            <input type="hidden" name="table<%=i%>" value="<%= lineNum[i]%>">
                            <%}%>
                            <!-- ü ǥ  -->
                            <label for="">
                                <input type="checkbox" onclick="javascript:submit();" name="displaySummary" value="displaySummary" <%= displaySummary ? "checked" : ""%> style="border: 0;" />
                                <span class="f_12_p_Black_L"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.allTotdocTableView")%></span>
                            </label>
                        </form>
                    </td>
                    <td style="padding-left: 5px;  padding-top: 10px; vertical-align: top;">
                        <table border="0" cellspacing="0" cellpadding="0">
                            <tr>
                                <td style="padding-left: 20px;" nowrap>
                                    <a href="javascript:void(0);" onclick="excelSave('part');"><img src="/totsys/common/images/bt_excel.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button_small.excel")%>" /></a>
                                    <a href="javascript:void(0);" onclick="printReport();"><img src="/totsys/common/images/bt_print2.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button_small.print")%>" /></a>
                                    <%
                                        if (!docType.equals("END")) {
                                            if (!(sysAuth == 2 && !usID.equals(userId) && docAccAuth == AccessAuth.ALL)) {
                                    %>
                                    <a href="javascript:void(0);" onclick="changePrssMore(1)"><img src="/totsys/common/images/bt_return2.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.return")%>" /></a>
                                    <a href="javascript:void(0);" onclick="changePrssMore(2)"><img src="/totsys/common/images/bt_accept.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.deptInit")%>" /></a>
                                    <%
                                            }
                                        }
                                    %>
                                </td>
                                
                                <!--  -->
                                <td class="kecttep_button_td">
                                    <a href="javascript:void(0);" onclick="javascript:fn_goToList();">
                                        <img src="/totsys/common/images/bt_list.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.boardList")%>" />
                                    </a>
                                </td>
                                        
                            </tr>
                        </table>
                        <!--  /μư   -->
                    </td>
                </tr>
                <!----  sub topbar   ---->

                <tr>
                    <td colspan="4" width="100%">
                        <form name="searchForm" method="post" style="margin: 0 0 10px 0;" >
                            <input type="hidden" name="docID" value=<%=docID%>>
                            <input type="hidden" name="docType" value=<%=docType%>>
                            <input type="hidden" name="gradeCode" value=<%=gradeCode%>>
                            <input type="hidden" name="rowDelType" value="1">
                            <input type="hidden" name="tableval" value="<%=tableval%>">
                            
                            <input type="hidden" name="strPage" value="<%= strPage %>">
                            <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
                            <input type="hidden" name="findWord"   value="<%=MString.checkNull(findWord)%>">
                            <input type="hidden" name="searchDepth" value="inner">
                            
                            <% if (displaySummary) {%>
                            <input type="hidden" name="displaySummary" value="<%= displaySummary%>">
                            <% }%>
                            <input type="hidden" name="tableNum" value="<%=tableNum%>">
                            <%for (int i = 0; i < tableCount; i++) {%>
                            <input type="hidden" name="table<%=i%>" value="<%= lineNum[i]%>">
                            <%}%>
                            <span style="width: 100%">
                                <input type="hidden" name="docType" value="<%=docType%>">
                                <input type="hidden" name="docID" value="<%= docID%>">
                                <input type="hidden" name="innerStrPage" value="<%= innerStrPage %>">
                                <select name="innerFindOption" class="inputtxt" onchange="showMSG(this.options[this.selectedIndex].value, msg)">
                                    <option value="mDept.name"<%= "mDept.name".equals(innerFindOption) ? "selected" : ""%>><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.process.submit")%><%= Moumi.getMessageBundle().getString("moumi.message.doc.Devision")%></option>
                                </select>
                                <input name="innerFindWord" value="<%=MString.checkNull(innerFindWord)%>" type="text" class="inputtxt" size="30" maxlength="30" style="ime-mode: active;" />
                                <img onclick="find2()" src="/totsys/common/images/bt_search_inquiry2.gif" border="0" align="middle" />
                                <span id="msg" class="kecttep_date_search" style='display: none;'>&nbsp;&nbsp;<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.daySearchForm")%></span>
                            </span> 
                        </form>       
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <!----   ---->
    <tr>
        <td height="31" valign="top" style="padding-top: 12px; padding-left: 12px; padding-right: 12px;">
            <div id="formDiv" style="width: <%=session.getAttribute("formWidth")%>; height: <%=session.getAttribute("totperViewHeight")%>; overflow-x: auto; overflow-y: auto;">
                <table cellspacing="0" cellpadding="1" align="left" border="0" bordercolor="#888888">
                    <% if (tableNum != 0 && (searchType == TotReportProcess.COMP.ordinal() || searchType == -1)) {%>
                    <tr>
                        <td><%=TagFilter.removeTableHeight(MDoc.getTitleForm(totDoc, tableNum))%></td>
                    </tr>
                    <%} else {%>
                    <!--td align="center"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.submit")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.content")%></td-->
                    <%}%>
                    <% if (displaySummary && totReportCount > 0) {%>

                    <!-- üǥ -->
                    <tr>
                        <td>
                            <table border="0" width="100%" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td style="width: 14"><img src="/totsys/common/images/ico_3.gif"></td>
                                    <td class="kecttep_title" style="padding-left: 5" align="left"
                                        width="100%"><%=TotReportProcess.ALL%><%=TotDocType.TOT_DOC%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.table")%>&nbsp;&nbsp;
                                        <%=TotReportProcess.COMP%>:<font color="#ff6600"><%= totReportCount%></font>&nbsp;&nbsp;
                                        <%=TotReportProcess.ALL%>:<font color="#ff6600"><%= allReportCount%></font></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table border="0" width="100%" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
                                        <%if (totReportCount != 0) { //if (compReportList.size() != 0) {%>
                                        <%= TotReportUtil.toHTML(totDoc, compReportList, tableNum, tableNum > 0)%>  
                                        <%} else {%>
                                        <%=Moumi.getMessageBundle().getString("moumi.message.tot_report.notSubmitDoc")%>  <!--  ڷᰡ ϴ. -->
                                        <%}%>

                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td height="10"></td>
                    </tr>
                    
                    <tr><td height="10"></td></tr>                                       
                    <tr>
                        <td height="10">--------------------------------------------------------------------------------</td>
                    </tr>
                    <tr><td height="10"></td></tr>                                        

                    <%} else if (displaySummary && totReportCount <= 0) {%>
                    <tr><!--   ڷδ ǥ Ҽ ϴ. -->
                        <td><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.notTotdocTable")%></td>
                    </tr>
                    <tr><td height="10"></td></tr>                    
                    <tr>
                        <td height="10">--------------------------------------------------------------------------------</td>
                    </tr>
                    <tr><td height="10"></td></tr>                    
                    <%}%>


                    <%
                        int index = -1;
                        int slavePaddingLeft = 0;
                        //tx.begin();

            if( count > 0 ) {   
                int listCount = list.size();
         
                for (int i = 0; i < listCount; i++) {
                    index = i;
                    
                    PrssReportsVO prssVO = (PrssReportsVO)list.get(i);    
                    TotReportProcess process = (TotReportProcess) prssVO.getProcess();
                    
                    if("2".equals(prssVO.getDeptNo())) {
                        slavePaddingLeft = 30;
                    } else {
                        slavePaddingLeft = 0;
                    }
                    
                    int kkkk = prssVO.getProcess().ordinal();
                    String html = null;
                    if( (process == TotReportProcess.COMP && prssVO.getDownDocId() == null) || (process == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))) {
                        //html = prssVO.getToHTML(pm, tableNum, tableNum > 0, true); //ǥ  ִ κ
                        TotReport report = pm.getObjectById(TotReport.class, prssVO.getId());
                        html = TotReportUtil.toHTML(report, tableNum, tableNum > 0, true); //ǥ  ִ κ
                    }
                    String note = prssVO.getNoteString(pm);
                    //String note = prssVO.getNote();
                    
                    //Map<String, List<Byte>> attachmentsMap = null;
                    //if (process == TotReportProcess.COMP || process == TotReportProcess.NOTE) {
                    //    attachmentsMap = prssVO.getAttachmentsMap(pm);
                    //}
                    
                        //for (TotReport report : reportList) {
                        //    index++;
                        //    if (index % 100 == 0) {
                        //        tx.rollback();
                        //        tx.begin();
                        //    }
                        //    Long id = reportList.get(index).getId();
                        //    MDept organCode = report.getDept(pm).getOrgan(pm);
                        //    String organName = report.getDept(pm).getOrgan(pm).getName();
                        //    String deptName = report.getDept(pm).getName();
                        //    String ownerName = report.getOwnerName(pm);
                        //    TotReportProcess process = report.getProcess();
                        //    int kkkk = report.getProcess().ordinal();
                        //    String html = TotReportUtil.toHTML(report, tableNum, tableNum > 0, true); //ǥ  ִ κ
                        //    String note = report.getNote();

                    %>
                    <tr>                        
                        <td style="padding-left: <%= slavePaddingLeft %>">
                            <table border="0" width="100%" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td style="width: 14"><input type=checkbox name='check' id="check<%=index%>" value="<%=index%>"></td>
                                    <input type="hidden" name="checkPrss<%=index%>" id="checkPrss<%=index%>" value="<%=prssVO.getProcess().ordinal()%>">
                                    <input type='hidden' name='checkReportID<%=index%>' value='<%=prssVO.getId()%>'>
                                    <td class="kecttep_title" style="padding-left: 5" align="left" width="100%">
                                        <%= prssVO.getUpperDeptName() == null ? "" : prssVO.getOrganName() + " - " + prssVO.getUpperDeptName() + " - "%>
                                        <%= prssVO.getDeptName()%>&nbsp;&nbsp;
                                        <%= MString.checkNull(prssVO.getOwnerName())%>
                                        <% if( prssVO.getDownDocId() != null ) { 
                                        out.write("   [" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.subdoc") + "]"); 
                                        }%>                                   
                                    </td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <!--<td align="left">-->
                        <!--// 2014.10.16 by youngjun cho. jquery  ̺ǥ ̾ƿ ϱ  class("fixTarget") ߰ -->
                        <td align="left" style="padding-left: <%= slavePaddingLeft %>" class="fixTarget"><!--//ǥ  κ//-->    
                            <%= ( (process == TotReportProcess.COMP && prssVO.getDownDocId() == null) || (process == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))) ? (html == null ? process : html) : process%>
                            <input type='hidden' id='kkkk<%=index%>' value='<%= kkkk%>'>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-left: <%= slavePaddingLeft %>">
                            <table border="0" width="100%" cellpadding="0" cellspacing="0">
                                <% if (!MString.isNull(note)) {%>
                                <tr>
                                    <td class="kecttep_title" style="padding-left: 5" align="left"><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.noteRecall")%><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.reason")%></td>
                                </tr>
                                <tr>
                                    <td style="padding-left: 10" align="left"><%= note%></td>
                                </tr>
                                <% }%>

                                <% if("Y".equals(prssVO.getIsAttachments())) { /*if (attachmentsMap != null && !attachmentsMap.isEmpty()) { */ %>
                                <!-- 2014.10.08 Add by KWON,HAN : Ϸ -> Ϸ, ȸû -->
                                <%if (process == TotReportProcess.COMP || process == TotReportProcess.NOTE || (process == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))){%>
                                
                                
                                <tr><!-- ÷ -->
                                    <td class="kecttep_title" style="padding-left: 5" align="left">
                                        <%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.add")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.file")%>
                                        <a href="javascript:void(0);" onclick="popupViewInner('<%=index%>', 'file<%=index%>', '<%=prssVO.getId()%>');" title="÷ ȮϽǷ Ŭּ."><img src="/totsys/totper/mydocbox/prssbox/reports/images/disk2.gif"></a> 
                                    </td>
                                </tr>
                                <div class="ajdxjdrnfl" id="file<%=index%>" style="display: none; position: absolute; z-index: 2;">
                                    <tr><td height="10"></td></tr>
                                    <tr>
                                        <td style="padding-left: 10" align="left">
                                            <div id="fileNameList<%=index%>">
    <%--                                        
                                            <%
                                                for (String fileName : attachmentsMap.keySet()) {
                                            %>
                                            <a href="/servlet/kr.co.kihyun.text.html.HttpViewer?saveAs=<%=URLEncoder.encode(fileName, "UTF-8")%>&fileName=<%=URLEncoder.encode(MString.checkNull(fileName), "UTF-8")%>&reportID=<%=prssVO.getId()%>"
                                               target="new"><%= MString.checkNull(fileName)%></a>
                                            <% }%>
    --%>                                   </div>
                                        </td>
                                    </tr>
                                </div>
                                <%} else {%> &nbsp; <%}%> 
                                <%}%>                                
                            </table>
                        </td>
                    </tr>
                    <%
                }  //end of for list
            }   //end of if( count > 0)    
            
                        //}
                        //tx.rollback();
                    %>
                    
                    <!-- شڷᰡ ϴ. --> 
                    <%if (count <= 0) { //if (reportList.size() <= 0) {%>
                    <tr style="padding-top: 3">
                        <td class="kecttep_none_tdmenu" colspan="15" height="25" align="center"><%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.reportDocNot")%></td>
                    </tr>
                    <%}%>   
                    
                    <tr><td></td></tr>
                </table>
            </div>
        </td>
    </tr>

    <!--1ȼ -->
    <tr>
        <td height="10"></td>
    </tr>

<form name="excelSaveForm" target="_parent" action="/totsys/common/inc/documents/tot_reports/total_reports_excel.jsp" method="post">
    <input type="hidden" name="docID" value="<%=docID%>"> 
    <input type="hidden" name="rowDelType" value="<%=rowDelType%>"> 
    <input type="hidden" name="isNotReport" value="<%=list.size() <= 0%>">
    <input type="hidden" name="saveExprType"> 
    <input type="hidden" name="tableval" value="<%=tableval%>"> 
    <input type="hidden" name="rowDelType" value="<%=rowDelType%>"> 
<% for (int i = 0; lineNum != null && i < lineNum.length; i++) { %> 
   <input type="hidden" name="table<%=i%>" value="<%=lineNum[i]%>">
<% } %>
</form>

<form name="prssChange" method="post" action="/servlet/kr.co.kihyun.beans.totsys.totper.HttpReportPrssChange2">
    <input type="hidden" name="docID" value="<%=docID%>">
    <input type="hidden" name="changePrss" value="accept">
    <input type="hidden" name="changeReportID" value="">
    <input type="hidden" name="contents" value="">
    <input type="hidden" name="docType" value="<%=docType%>">
</form>
<iframe name='hiddenFrame' width=0 height=0 style='display:none;'></iframe>
</body>
</html>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
