/**
 * jquery.fixFormTable.js
 * 
 * 
 * TagFilter.java   garbage  ϴ removeGarbageElements() ޼ ߰ص,  ũƮ ּθ  .
 * 
 * 
 * @version 1.0
 * @author youngjun cho
 * @description ڰ Էϴ ̺ ̾ƿ Ѵ.
 * @date 2014.10.01
 * 
 * ̳ ѱۿ ǥ Ͽ Ϳ ٿ  ϰ Ǹ, table  garbage ҵ Ѵ.
 * java  ٿ ̺ DB ϱ  ʿ ҵ ϴ  ּ̱ ,
 * ġⰡ ʾ jquery  ̺ ̾ƿ ϴ ó  غ.
 *  ε尡 ϷǾ("$(document).ready(...)") ȣϴ   Ѵ.
 * 
 *  ͱ۾° 𸣰ڴµ...  Ǳ...
 *  
 * 
 *      - ȣϴ Ͽ jquery core library  ݵ ԵǾ ־ Ѵ.
 *      
 *  
 *      $(document).ready(function() {
 *          $.fixRegistFormTable( $("#formDiv").find("table"), {});
 *          
 *          OR
 *          
 *          $.fixRegistFormTable( $("form[name='dform']").find("table"), {});
 *      });
 */


"use strict";

(function ($) {
    
    $.fixFormTable = {
        defaults : {
            /**
             * fixFormTable ɼ
             */
            useFix : true   // true : ̺ǥ   , false : ̺ǥ   (false    ҽ fixFormTable  Լ ȣص  ʴ´.)
            , indicator : true  // true : indicator  , false : indicator ̻ 
            , debug : false    // true : console.log  debug ޼ , false : debug ޼  .
            , indicatorObj : "#ajax_indicator_fix_table"    // indicator's DOM.
            , indicatorBackgroundColor : "transparent"  // indicator  : transparent, #000000, #FFFFFF, ...
            , indicatorBackgroundZIndex : 1000  // indicator  z-index
            , indicatorBackgroundOpacity : 1.0  // indicator  opacity
            , indicatorWidth : "230px"          // indicator  width
            , indicatorHeight : "32px"          // indicator  height
            , indicatorTop : "50%"              // indicator  top
            , indicatorLeft : "50%"             // indicator  left
            , indicatorMargin : "-16px 0 0 -115px"  // indicator  margin
            , indicatorPadding : "10px 0 10px 0"    // indicator  padding
            , indicatorZindex : 1001                // indicator  z-index
            , indicatorImageUrl : "/test/ajax-loader1.gif"  // indicator  ̹
            , indicatorColor : "#000000"  // indicator   transparent, #000000, #FFFFFF, ...
            , indicatorOpacity : 0.5        // indicator  opacity
            , indicatorFontColor : "#FFFFFF"    // indicator  Ʈ
            , indicatorFontWeight : "bold"      // indicator  ƮŸ
            , indicatorFontFamily : "dotum"     // indicator  Ʈ
            , indicatorFontSize : "13px"        // indicator  Ʈũ
            , indicatorText : "ǥ  Դϴ..."       // indicator  ؽƮ
        },
        checkIndicator : function() {
            /**
             * indicator element  ϴ üũ.
             */
            var isExistIndicator = false;
            try {
                if($.fixFormTable.defaults.indicator === true) {
                    isExistIndicator = $("#ajax_indicator_fix_table").length > 0 ? true : false; 
                }
            } catch(e) {
                $.fixFormTable._log("checkIndicator",e);
            }
            return isExistIndicator;
        },
        showIndicator : function() {
            /**
             * indicator element  body  ߰ϰ, show.
             */
            try {
                if($.fixFormTable.defaults.indicator === true) {
                    if ($.fixFormTable.checkIndicator() === false) {
                        var ajaxIndicatorHtml = "";
                        ajaxIndicatorHtml = ajaxIndicatorHtml + "<div id='"+$.fixFormTable.defaults.indicatorObj.replace("#","")+"' style='display: none; position: absolute; z-index: "+$.fixFormTable.defaults.indicatorBackgroundZIndex+"; top: 0; left: 0; width: 100%; height: 100%; background-color: "+$.fixFormTable.defaults.indicatorBackgroundColor+"; opacity: "+$.fixFormTable.defaults.indicatorBackgroundOpacity+"; filter:Alpha(opacity="+($.fixFormTable.defaults.indicatorBackgroundOpacity * 100)+");'>";
                        ajaxIndicatorHtml = ajaxIndicatorHtml + "   <div style='position: absolute; display: inline-block; width: "+$.fixFormTable.defaults.indicatorWidth+"; height: "+$.fixFormTable.defaults.indicatorHeight+"; top: "+$.fixFormTable.defaults.indicatorTop+"; left: "+$.fixFormTable.defaults.indicatorLeft+"; margin: "+$.fixFormTable.defaults.indicatorMargin+"; padding: "+$.fixFormTable.defaults.indicatorPadding+"; text-align: center; z-index: "+$.fixFormTable.defaults.indicatorZindex+"; background-color: "+$.fixFormTable.defaults.indicatorColor+"; opacity: "+$.fixFormTable.defaults.indicatorOpacity+"; filter:Alpha(opacity="+($.fixFormTable.defaults.indicatorOpacity * 100)+"); color: "+$.fixFormTable.defaults.indicatorFontColor+"; font-weight: "+$.fixFormTable.defaults.indicatorFontWeight+"; font-family: "+$.fixFormTable.defaults.indicatorFontFamily+"; font-size: "+$.fixFormTable.defaults.indicatorFontSize+";'>";
                        ajaxIndicatorHtml = ajaxIndicatorHtml + "       <img src='"+$.fixFormTable.defaults.indicatorImageUrl+"'>&nbsp;"+$.fixFormTable.defaults.indicatorText+"";
                        ajaxIndicatorHtml = ajaxIndicatorHtml + "   </div>";
                        ajaxIndicatorHtml = ajaxIndicatorHtml + "</div>";

                        $("body").append(ajaxIndicatorHtml);
                        $($.fixFormTable.defaults.indicatorObj).show();
                    } else {
                        $($.fixFormTable.defaults.indicatorObj).show();
                    }
                }
            } catch(e) {
                $.fixFormTable._log("showIndicator",e);
            }
        },
        hideIndicator : function() {
            /**
             * indicator element  hide.
             */
            try {
                //$($.fixFormTable.defaults.indicatorObj).hide();
                $($.fixFormTable.defaults.indicatorObj).fadeOut();
            } catch(e) {
                $.fixFormTable._log("hideIndicator",e);
            }
        },
        _log : function(_position, _msg) {
            /**
             * console.log  Լ.
             */
            try {
                if ($.fixFormTable.defaults.debug === true) {
                    var logMsg = "====> [:: jquery.fixFormTable.js ::] " + _position + ", " + _msg;
                    
                    if (typeof console == "object") {
                        console.log(logMsg);    
                    } else {
                        alert(logMsg);  // console.log   ʴ  (IE8 )
                    }
                }
            } catch(e) {}
        }
    };
    
    /**
     * /  ̺  .
     * opts(options)  Ķͷ   ְ  ص.
     * @param {type} targetObj
     * @param {type} opts
     * @returns {undefined}
     */
    $.fixRegistFormTable = function (targetObj, opts) {
        if ($.fixFormTable.defaults.useFix === true) {
            try {
                $.fixFormTable.showIndicator(); // indicator .
        
                /**
                 * input element (next)  garbage element  (remove)Ѵ.
                 * , input, a, img  (not)Ѵ.
                 * 
                 *  - loop  Žϴ 
                 * $.each(tableObj.find("input").next().not("input,a,img"), function() {
                 *      $(this).remove();
                 * });
                 * 
                 */
                targetObj.find("input").next().not("input,a,img").hide();

                /**
                 * input element ٷ (prev) a ±׷  ޷ ư(img)  ִٸ, input  width  100%  70%  Ѵ.
                 * input  width  100%  Ǿ־, td   ߻Ѵ.
                 * 
                 *  - loop  Žϴ 
                 * $.each(tableObj, function() {
                 *     if ($(this).find("input").prev("a").find("img").length > 0) {
                 *         $(this).find("input").css("width","70%");
                 *     }
                 * }); 
                 * 
                 */
                targetObj.find("td a img").parent().next("input").css("width","70%");

                /**
                 * select  width  100%  ϰ, select (next) Ҹ . , input, a, img  (note) Ѵ.
                 */
                targetObj.find("td center select").css({
                    "width":"85px",
                    "text-align":"center"
                }).parent().next().not("input,a,img").hide();
            } catch (e) {
                $.fixFormTable._log("fixRegistFormTable",e);
            } finally {
                $.fixFormTable.hideIndicator(); // indicator .
            }
        }
    };
    
    /**
     * ±  ڽ±׵鿡 '<?xml:namespace prefix = "o" ns = "urn:schemas-microsoft-com:office:office" /><o:p></o:p>'  ãƼ Ѵ.
     * @param {type} targetObj
     * @param {type} opts
     * @returns {undefined}
     */
    $.fixViewFormTableForXMLNameSpace = function (targetObj, opts) {
        if ($.fixFormTable.defaults.useFix === true) {
            try {
                $.fixFormTable.showIndicator(); // indicator .

                $.each(targetObj, function() {
                    if ($(this).html().indexOf("xml:namespace") > -1) {
                        // xml:namespace ڿ ִٸ Ѵ.
                        $(this).hide(); //$(this).remove();
                    }
                });            
            } catch(e) {
                $.fixFormTable._log("fixViewFormTableForXMLNameSpace",e);
            } finally {
                $.fixFormTable.hideIndicator();
            }
        }
    };
    
    /**
     * td ±  ڽ±׵鿡 '<P class=0 style="mso-pagination: none; mso-padding-alt: 0pt 0pt 0pt 0pt"></P>'  ãƼ Ѵ.
     * @param {type} targetObj
     * @param {type} opts
     * @returns {undefined}
     */
    $.fixViewFormTable_PTag = function (targetObj, opts) {
        if ($.fixFormTable.defaults.useFix === true) {
            try {
                $.fixFormTable.showIndicator(); // indicator .

                $.each(targetObj.next("p"), function() {
                    if ($(this).html() === "") {
                        // p ±   remove.
                        $(this).hide(); //$(this).remove();
                    }
                });
            } catch(e) {
                $.fixFormTable._log("fixViewFormTable_PTag",e);
            } finally {
                $.fixFormTable.hideIndicator();
            }
        }
    };
})(jQuery);
