<%@ 
page contentType="text/html; charset=euc-kr"
     import="kr.co.kihyun.beans.user.HttpSSOLogin"
     import="kr.co.kihyun.moumi.Moumi" 
     import="kr.co.kihyun.lang.MString"
     import="kr.co.kihyun.lang.MLong" 
     import="kr.co.kihyun.beans.user.Dept"
     import="kr.co.kihyun.beans.user.PartList"
     %>

<%
    String rootId = request.getParameter("rootID");
    String userYN = request.getParameter("userYN");
    if (userYN == null) {
        userYN = "N";
    } else {
        userYN = "Y";
    }
    //System.out.println("rootId="+rootId+"::::userYN="+userYN);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=euc-kr"></meta>
        <script type="text/javascript" src="/test/jquery-1.6.4.js"></script>
        <script type="text/javascript" src="/test/_lib/jquery.cookie.js"></script>
        <script type="text/javascript" src="/test/_lib/jquery.hotkeys.js"></script>
        <script type="text/javascript" src="/test/jquery.jstree.js"></script>
        <script type="text/javascript" src="/totsys/common/js/jquery.custom.indicator.js"></script>
        <style>
            #newTree { text-align: justify; font-size:9pt; vertical-align:middle; }
        </style>
    </head>
    <body>
        <input type="button" class="button" value="Search"       id="search"      style="display:none" />
        <input type="button" class="button" value="Search clear" id="searchClear" style="display:none" />
        <input type="button" class="button" value="checked Id"   id="checkbtn"    style="display:none" />
        <input type="button" class="button" value="focus Move"   id="focusMove"   style="display:none" />    
        <div id="searchType" style="display:none"></div>
        <div id="searchWord" style="display:none"></div>
        <div id="moveType"   style="display:none"></div>        
        <div id="newTree" class="newTree"></div>

        <script type="text/javascript" class="source">
            var gSearchGubun = "DEPT";   //default=DEPT
            var gblSearched = false;
            
            $(function() {
                $("#newTree").jstree({
                    "plugins": ["themes", "json_data", "checkbox", "search", "types", "ui", "core"],
                    "themes": {
                        "theme": "classic",
                        "dots": true,
                        "icons": true,
                        "url": "/test/themes/classic/style.css"
                    },
                    "json_data": {
                        "data": [
                            {
                                "data": "",
                                "state": "closed",
                                "attr": {"id": "ROOT", "rel": "ROOT", "rootid": '<%=rootId%>'}
                            }
                        ],
                        "ajax": {
                            "type": "POST",
                            "url": "/servlet/kr.co.kihyun.tree.Tree",
                            "data": function(n) {
                                var data = {};
                                data.id = n.attr("id");
                                data.rootId = n.attr("rootId");
                                data.gubun = "ORGAN";
                                data.userYN = '<%=userYN%>';
                                return data;
                            }
                        },
                        "progressive_render": true
                    },
                    "types": {
                        "valid_children": ["ROOT", "DEPT", "USER"],
                        "types": {
                            "ROOT": {
                                "icon": {"image": "/totsys/common/images/pc-user.gif"}
                            },
                            "USER": {
                                "icon": {"image": "/totsys/common/images/person.png"}
                            }
                        }
                    },
                    "checkbox": {state_type: "three-state"},
                    "search": {
                        "case_insensitive": true,
                        "ajax": {
                            "type": "POST",
                            "url": "/servlet/kr.co.kihyun.tree.TreeSearch",
                            "data": function(str) {
                                var data = {};
                                data.keyWord = str;
                                data.startId = encodeURIComponent('<%=rootId%>');
                                return data;
                            },
                            //"async": false,
                            "async": true,
                            "success": function(data) {
                                //alert("data = " + data);
                                if (data.length == 0 || data == "#" || data == ('#' + '<%=rootId%>')) {
                                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.notSearchGroupDept")%>');  //˻ ׷/μ ϴ.
                                    gblSearched = false;
                                } else {
                                    gblSearched = true;
                                }                                
                            },
                            "beforeSend" : function() {
                                $.customIndicator.show(window.parent);
                            },
                            "complete" : function() {
                                $.customIndicator.hide(window.parent);
                            }
                        }
                    },                    
                    "core": {'initially_open': ['ROOT']}                 
                });

                $("#searchClear").click(function() {
                    $("#newTree").jstree("clear_search");
                    $("#searchResult").empty();
                });
                
                $("#search").click(function() {
                    gblSearched = false;    
                    $("#newTree").jstree("search", $('#searchWord').text());
                });

                //### ˻  Ŀ ȴ. : ˻   ʷ Ŀ ̵Ų.
                $("#newTree").bind("search.jstree", function(e, data) {
                    if (data.rslt.nodes.length > 0) {
                        //1. õ  带 Ѵ.
                        $('#newTree').jstree('deselect_all');

                        //2.˻ ٸ  style Ѵ.
                        var tmpRel = "";
                        $("#newTree").find(".jstree-search").each(function() {
                            tmpRel = $(this).parent("li").attr("rel");
                            //alert("rel = " + tmpRel );  
                            if (gSearchGubun !== tmpRel) {
                                try {
                                    $(this).removeClass("jstree-search");
                                } catch (e) {
                                    alert(e);
                                }
                            }
                        });

                        //ã  ִٸ ...
                        if (gblSearched == true) {
                            $("#moveType").text("down");
                            $("#focusMove").click();
                        }
                    }

                    //@@@ gblSearching = false;
                    //alert("Found " + data.rslt.nodes.length + " nodes matching '" + data.rslt.str + "'."); 
                });
                
                
                $("#newTree").bind("check_node.jstree", function(e, data) {
                    data.inst.open_node(data.rslt.obj, false, true);
                });
                
                //üũȰ ߰ư Ŭϸ μ Ʈ ߰ȴ.
                $("#checkbtn").click(function() {
                    iChkCnt = 0
                    
                    $("#newTree").jstree("get_checked", null, true).each(function() {
                        //alert(" this.id = " + this.id);
                        //alert(" this.deptname = " + this.deptname);
                        //alert(" this.organdeptname = " + this.organdeptname);
                        //alert(" this.upperdeptname = " + this.upperdeptname);
                        
                        if (this.id.length > 10 || this.id == 'ROOT')
                            return;
                        var testID = this.id;
                        testID = testID.substring(1, 2);
                        testID = testID.replace(" ", "");
                        if (testID == "9") {
                            //alert("߰  ϴ.");
                        } else {
                            iChkCnt = iChkCnt + 1;
                            //parent.putSelId(this.id);
                            parent.putSelId2(this.id, this.deptname, this.organdeptname, this.upperdeptname);
                        }
                        //parent.putSelId(this.id);
                    });
                    if (iChkCnt == 0) {
                        alert('<%=Moumi.getMessageBundle().getString("moumi.message.doc.SubmitDevision")%>');  //μ ּ.
                    } else {
                        try {
                            $.customIndicator.show(window.parent);    // 2014.10.08 by youngjun cho. (loading indicator ߰)
                        } catch(e) {
                            alert(e);
                        }
                        
                        // μ Ʈ ǥõȴ.
                        parent.document.list.submit();
                        
                        try {
                            $.customIndicator.hide(window.parent);    // 2014.10.08 by youngjun cho. (loading indicator ߰)
                        } catch(e) {
                            alert(e);
                        }                        
                    }
                });
                
                // ˻  Ŀ ̵Ų.  strType : down, up
                $("#focusMove").click(function() {
                    var moveType = $("#moveType").text();  //down,up
                    //alert("moveType = " + moveType);

                    //1. õ object offset.top Ѵ.
                    var NODE = $.jstree._focused().get_selected();
                    var nodeId = $(NODE).attr("id");
                    if (nodeId == undefined) {
                        nodeId = "";
                    }

                    var currentObj = $('#' + nodeId);
                    var currentOffset = currentObj.offset();
                    var currentOffsetTop = -1;
                    if (currentOffset != null) {
                        currentOffsetTop = currentOffset.top;
                    }

                    //2. currentOffsetTop  ū  ϴ id ãƼ Ѵ.
                    var currentNodeId = "";
                    currentNodeId = getDeptUserId(nodeId, currentOffsetTop, moveType);

                    //3.ϵ id ٸ ޼  Ѵ.
                    if (currentNodeId === null || currentNodeId === "") {
                        alert(" ̻ ã  ϴ.");
                        return;
                    }

                    //4. õ  带 Ѵ.
                    $('#newTree').jstree('deselect_all');

                    //5.ϵ id 带 Ѵ.
                    $("#newTree").jstree("select_node", '#' + currentNodeId);   //591

                    try {
                        var selectedObj = $('#' + currentNodeId);
                        var elementOffset = selectedObj.offset();
                        //alert("[offset.top] : " + elementOffset.top + "\n[offset.left] : " + elementOffset.left);
                        var verticalCenterPosition = $("html").height() / 2;
                        //// ̵
                        //$("html").scrollTop(elementOffset.top - verticalCenterPosition);

                        // ε巴 ̵(500ms)
                        $("html").animate({
                            scrollTop: elementOffset.top - verticalCenterPosition
                        }, 500);

                    } catch (e) {
                        alert(e);
                    }
                });
                
                //Ŭ ÿ ...
                $("#newTree").bind("dblclick.jstree", function(e, data) {
                    iChkCnt = 0
                    
                    var NODE = $.jstree._focused().get_selected();
                    var nodeId = $(NODE).attr("id");
                    var deptname = $(NODE).attr("deptname");
                    var organdeptname = $(NODE).attr("organdeptname");
                    var upperdeptname = $(NODE).attr("upperdeptname");

                    if (deptname == undefined) { deptname = ""; }
                    if (organdeptname == undefined) { organdeptname = ""; }
                    if (upperdeptname == undefined) { upperdeptname = ""; }
                    
                    //alert(" nodeId = " + nodeId);
                    //alert(" deptname = " + deptname);
                    //alert(" organdeptname = " + organdeptname);
                    //alert(" upperdeptname = " + upperdeptname);
                        
                    if (nodeId == undefined) {
                        return;
                    }
                    if (nodeId.length > 10 || nodeId == 'ROOT') { //  this.id == 'ROOT')
                        return;
                    }
                    var testID = nodeId;
                    testID = testID.substring(1, 2);
                    testID = testID.replace(" ", "");
                    if (testID == "9") {
                    } else {
                        iChkCnt = iChkCnt + 1;
                        //parent.putSelId(nodeId);
                        parent.putSelId2(nodeId, deptname, organdeptname, upperdeptname);
                    }
                    //parent.putSelId(nodeId);
                    if (iChkCnt == 0) {
                        alert('<%=Moumi.getMessageBundle().getString("moumi.message.doc.SubmitDevision")%>');  //μ ּ.
                    } else {
                        // μ Ʈ ǥõȴ.
                        parent.document.list.submit();
                    }                    
                });        
            });
            
            
            //ٿ, ư Ŭ  : 2. currentOffsetTop  ū  ϴ id ãƼ Ѵ.
            function getDeptUserId(strId, intTop, strType) {
                //alert("strId = " + strId + ", intTop = " + intTop + ", strType = " + strType);
                var id = "";
                var idArray = new Array();
                var returnId = "";
                var blSearchOk = false;

                if (strType === "down") {
                    $("#newTree").find(".jstree-search").each(function() {
                        id = $(this).parent("li").attr("id");

                        if (blSearchOk === false && strId !== id) {
                            var selectedObj = $('#' + id);
                            var elementOffset = selectedObj.offset();

                            if (elementOffset.top > intTop) {
                                //alert("[offset.top] : " + elementOffset.top + "\n[offset.left] : " + elementOffset.left);
                                returnId = id
                                blSearchOk = true;
                            }

                        }
                    });
                }

                if (strType === "up") {
                    $("#newTree").find(".jstree-search").each(function() {
                        idArray.push($(this).parent("li").attr("id"));
                    });
                    idArray.reverse();

                    for (var i = 0; i < idArray.length; i++) {
                        id = idArray[i].toString();

                        if (blSearchOk === false && strId !== id) {
                            var selectedObj = $('#' + id);
                            var elementOffset = selectedObj.offset();

                            if (elementOffset.top < intTop) {
                                //alert("[offset.top] : " + elementOffset.top + "\n[offset.left] : " + elementOffset.left);
                                returnId = id
                                blSearchOk = true;
                            }
                        }
                    }
                }

                return returnId;
            }            
        </script>

    </body>
</html>
