<%@ page contentType="text/html; charset=euc-kr"%>

<%@ page import="kr.co.kihyun.moumi.MoumiConfig"%>
<%@ page import="kr.co.kihyun.lang.MString"%>
<%@ page import="kr.co.kihyun.lang.Encoder"%>
<%@ page import="java.net.URLEncoder"%>
<%@ page import="java.net.URLDecoder"%>
<%@ page import="kr.co.kihyun.beans.entity.Grade"%>
<%@ page import="kr.co.kihyun.beans.user.HttpSSOLogin"%>
<%@ page import="kr.co.kihyun.beans.user.User"%>
<%@ page import="kr.co.kihyun.lang.MInteger"%>
<%@ page import="org.slf4j.Logger"%>
<%@ page import="org.slf4j.LoggerFactory"%>

<%
Logger LOG = LoggerFactory.getLogger(this.getClass());
try{
    String leftPage="", mainPage;
    String redirect = URLDecoder.decode(MString.checkNull(request.getParameter("redirect")), "UTF-8");
    LOG.debug("sessionID: {}", session.getId());
    
    if(session.getAttribute("grade").equals(Grade.NULL)){
        if(HttpSSOLogin.getSysAuth(request) == MoumiConfig.SYSADM){
            leftPage = "/totsys/common/inc/totper/left/left.jsp";
            mainPage = MString.isNull(redirect) ? "/totsys/totper/mydocbox/prssbox/doc_list.jsp?docType=PRSS" : redirect;
        }else{
            leftPage = "/totsys/common/inc/totper/left/left.jsp";
            mainPage = MString.isNull(redirect) ? "/totsys/repoper/mydocbox/returnbox/report_list.jsp" : redirect;
        }
    }else if(HttpSSOLogin.getSysAuth(request) == MoumiConfig.REPOPER){
        leftPage = "/totsys/common/inc/totper/left/left.jsp";
        mainPage = MString.isNull(redirect) ? "/totsys/repoper/mydocbox/returnbox/report_list.jsp" : redirect;
    }else {
        leftPage = "/totsys/common/inc/totper/left/left.jsp";
        //mainPage = MString.isNull(redirect) ? "/totsys/repoper/mydocbox/tempbox/report_list.jsp?reportType=TEMP" : redirect;
        mainPage = MString.isNull(redirect) ? "/totsys/repoper/mydocbox/returnbox/report_list.jsp" : redirect;
    }
%>
<html>
<head>
<title><%=MoumiConfig.getTitle()%></title>
</head>
<%if(MoumiConfig.isOnTopMenu()){%>
    <FRAMESET border="0" frameSpacing="0" rows="70, *" frameBorder="no">
        <FRAME name=topx marginWidth=0 marginHeight=0 src="/totsys/login/top.jsp" noResize scrolling="no">
        <frameset cols="160,*" frameBorder="no">
            <frame name=left marginWidth=0 marginHeight=0 noResize src="<%= leftPage %>">
            <FRAME id="main" name=main marginWidth=0 marginHeight=0 src="<%= mainPage %>">
        </frameset>        
    </FRAMESET>
<%}else{%>
    <FRAMESET border="0" frameSpacing="0" frameBorder="no">
        <frameset cols="140,*" frameBorder="no">
            <!--  200 -->
            <frame name=left marginWidth=0 marginHeight=0 noResize src="<%= leftPage %>">
            <FRAME id="main" name=main marginWidth=0 marginHeight=0 src="<%= mainPage %>">
        </frameset>
    </FRAMESET>
<%}%>
<NOFRAMES>
    <body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#800080" alink="#FF0000">
        <table width=100% border="0">
            <tr>
                <td height=30px>... ...</td>
            </tr>
        </table>
    </body>
</NOFRAMES>
</HTML>
<%
}catch(Exception ex){
    ex.printStackTrace();
    out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{	
}
%>
