<%@ page contentType="text/html; charset=euc-kr"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.beans.totsys.repoper.RepTransfer"
	import="kr.co.kihyun.lang.MLong" import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.lang.Encoder" import="kr.co.kihyun.moumi.Moumi"
	import="kr.co.kihyun.lang.MString"
	import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.entity.*"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Transaction tx = pm.currentTransaction();
try{
	/*********** User HttpSSOLogin check ***********/
	if(!HttpSSOLogin.isLogin(request)){
		String connURL="opener.location='/totsys/login/login.jsp';";		
		out.println(ServletUtil.getJavaScript(connURL));
		out.println(ServletUtil.getJavaScript("window.close();"));
		return;
	}

	/********** session userId **********/		
	String userID = HttpSSOLogin.getLoginID(request);

	/****** Parameter ******/
	Long reportID = MLong.parseLong(request.getParameter("reportID"),null);
	int strPage = MInteger.parseInt(request.getParameter("strPage"), 1);
	int sys_auth = 2;
	String boxName = clearXSS(Encoder.toJava(request.getParameter("boxName")),"");
	String option = clearXSS(Encoder.toJava(request.getParameter("option")),"");
	String findword = clearXSS(Encoder.toJava(request.getParameter("findword")),"");
	String addString = "";
	String select = clearXSS(request.getParameter("select"),"");

	/****** list data get ******/
	RepTransfer rt = new RepTransfer();

	tx.begin();

	TotReport totReport = (TotReport)pm.getObjectById(TotReport.class, reportID);
	if( option == null ){
		rt.transListQuery(totReport.getDept(pm).getId(), sys_auth);
	}else{
		rt.searchListQuery(totReport.getDept(pm).getId(), sys_auth, option, findword);
	}

	tx.rollback();

	int count = rt.getCount();
	String[] userIDList = rt.getUserIDList();
	String[] userNameList = rt.getUserNameList();
	String[] deptNameList = rt.getDeptNameList();
	String[] deptIDList = rt.getDeptIDList();
	String[] userPhoneList = rt.getUserPhoneList();
	
	/************ Ʈ   ************/
	int endPage = 0;
	int pageSize =0 ;
	int currentPage = 0;
	int absolutePage = 0;		
	int currentPageSetUp = 0;
	int recordSize = 15;	
	
	currentPage=strPage;

	if((count%recordSize) == 0){
		pageSize = (int)(count/recordSize);	
	}else{
		pageSize = (int)(count/recordSize)+1;	
	}

	currentPageSetUp = (int)(currentPage/10)*10; 
	if (currentPage%10 == 0){
		currentPageSetUp-=10;
	}
	//page link 
	String uri = "./popup_rep_list.jsp?reportID="+reportID;
%>

<html>
<head>
<title><%=Moumi.getTitle()%></title>
<meta http-equiv="Content-Type" content="text/html; charset=euc-kr">
<link rel="stylesheet" href="/totsys/common/css/text.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">
<script src="/totsys/common/js/rollover.js"></script>
<script language="javascript">
			function transForm(usID){
				var frm = document.transfer;		 
				frm.userID.value=usID;

				if(confirm('ڸ  Ͻðڽϱ?')){
						frm.submit();
				}else{
						window.close();
				}
			}

			function find(){
				var word = document.search.findword.value.length;
				var option = document.search.select.options[document.search.select.selectedIndex].value;
				document.search.option.value = option;

				if( option != "all" && word < 2){
					alert("˻ 2 ̻̾ մϴ.!");
				}
				
				document.search.submit();
			}
		</script>
</head>

<body style='' leftmargin="0" topmargin="0" marginwidth="0"
	marginheight="0">
<FORM name="transfer"
	action="/servlet/kr.co.kihyun.beans.totsys.repoper.HttpTransfer"
	method="post"><INPUT type="hidden" name="reportID"
	value="<%= reportID %>"> <INPUT type="hidden" name="userID"
	value=""></FORM>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" style="padding-left: 12">
		<FORM NAME="search" action="popup_rep_list.jsp" method="post">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td><select name="select" class="inputtxt">
					<option selected value="all">ü</option>
					<option value="dept">Ҽӱ/μ</option>
					<option value="name"></option>
				</select> <input name="findword" type="text" class="inputtxt" size="30"
					maxlength="30" value="<%=findword%>"> <input type="hidden"
					name="option"> <input type="hidden" name="reportID"
					value=<%=totReport.getId()%>></td>
				<td align="left" style="padding-left: 5; padding-top: 2"><a
					href="#" onclick="find()"><img
					src="/totsys/common/images/bt_search.gif" /></a></td>
			</tr>
		</table>
		</FORM>
		</td>
	</tr>
	<!--- Ʈ  ---->
	<tr>
		<td style="padding-left: 12; padding-right: 12">
		<table border="1px" class="kecttep_list_table" width="100%"
			cellpadding="0" cellspacing="0">
			<tr valign="middle">
				<td align="center" nowrap class="kecttep_tdmenu">Ҽ /μ</td>
				<td align="center" class="kecttep_tdmenu"></td>
				<td align="center" nowrap class="kecttep_last_tdmenu"> ó</td>
			</tr>
			<%
			int index = 0;     
			int nextCount = 0; 

			if(currentPage > 1){
					nextCount = ((currentPage-1)*recordSize);
			}
								
			for(int i = 0; (i < recordSize) && ((nextCount+i) < count); i++){
					index = nextCount+i;
%>
			<tr style="padding-top: 3" valign="middle"
				onmouseover="this.style.backgroundColor='F9F9F9'"
				onmouseout="this.style.backgroundColor='white'" bgColor=#ffffff>
				<td height="25" class="kecttep_graytd">&nbsp;&nbsp;<%=deptNameList[index]%></td>
				<td align="center" class="kecttep_graytd"><a href="#"
					onclick="javascript:transForm('<%=userIDList[index]%>');"><%=userNameList[index]%></a></td>
				<td align="center" class="kecttep_last_graytd"><%=MString.checkNull(userPhoneList[index])%>&nbsp;</td>
			</tr>
			<%}%>

			<tr>
				<td height="10"></td>
			</tr>
			<%if(count > 0){%>
			<tr align="center" valign="middle" style="padding-top: 3">
				<td class="kecttep_board" colspan="3"><!----   κ  ---->
				<jsp:include page="/totsys/common/inc/board/page.jsp" flush="true">
					<jsp:param name="uri" value="<%= uri %>" />
					<jsp:param name="pageSize" value="<%= pageSize %>" />
					<jsp:param name="currentPage" value="<%= currentPage %>" />
					<jsp:param name="currentPageSetUp" value="<%= currentPageSetUp %>" />
				</jsp:include> <!----   κ  ----></td>
			</tr>
			<%}else{%>
			<tr>
				<td colspan="3" class="kecttep_tdmenu" height="25" align="center">ش
				ڷᰡ ϴ.</td>
			</tr>
			<%}%>
		</table>
		</td>
	</tr>
	<!--- Ʈ  ---->

	<!--˻ ˻ ϱ ũƮ-->
	<script>
				if("<%=select%>" == "dept"){
					search.select.selectedIndex=1;
				}else if("<%=select%>" == "name"){
					search.select.selectedIndex=2;
				}else if("<%=select%>" == "id"){
					search.select.selectedIndex=3;
				}
			</script>
	<!--˻ ˻ ϱ ũƮ -->

</table>
</body>
</html>
<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
	if(tx.isActive())
		tx.rollback();
	pm.close();
}
%>
