<%@ page contentType="text/html; charset=euc-kr"
	import="java.net.URLEncoder"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.lang.MString"
	import="kr.co.kihyun.moumi.Moumi" import="kr.co.kihyun.lang.MLong"
	import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.entity.*"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Transaction tx = pm.currentTransaction();
try{
	/*********** User HttpSSOLogin check ***********/
	if(!HttpSSOLogin.isLogin(request)){
		String connURL="opener.location='/totsys/login/login.jsp';";
		out.println(ServletUtil.getJavaScript(connURL));
		out.println(ServletUtil.getJavaScript("window.close();"));
		return;
	}

	/********** session userId **********/
	String usID = HttpSSOLogin.getLoginID(request);
	String dtID = HttpSSOLogin.getDeptID(request);
	int sysAuth = HttpSSOLogin.getSysAuth(request);
	
	/****** Parameter ******/

        Long docID = MLong.parseLong(request.getParameter("docID"),null);

	Long reportID = MLong.parseLong(request.getParameter("reportID"),null);
	String boxName = clearXSS(request.getParameter("boxName"),"");
	boolean hideUser = MString.isNull(request.getParameter("hideUser")) ? true : new Boolean(request.getParameter("hideUser"));
    String reportType = clearXSS(request.getParameter("reportType"),"");

	tx.begin();

	//TotReport totReport = (TotReport)pm.getObjectById(TotReport.class, reportID);
	
	String titleName = Moumi.getMessageBundle().getString("moumi.message.tot_doc.docList")+Moumi.getMessageBundle().getString("moumi.message.tot_doc.name");
	MDept dept = (MDept)pm.getObjectById(MDept.class, dtID);

	String deptID = dtID;

	//while(!dept.isDocUnit()) dept=dept.getUpperDept(pm);
    //deptID = dept.getId();

    
        dept=dept.getRootDept(pm);
        deptID=dept.getId();
   
	tx.rollback();
%>

<html>
<head>
<title><%=Moumi.getTitle()%></title>
<link rel="stylesheet" href="/totsys/common/css/text.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/SquareButtons.css"
	type="text/css">
<script src="/totsys/common/js/rollover.js"></script>
<script>
	    	var nodeType;
	    	var userName;
	    	var userID;

			function userList(id, name, type){
				if(type == 'user')
					id = id.split('/')[0];
				nodeType = type;
				userName = name;
				userID = id;
			}

			function onOk() {
				if(nodeType != 'user') {
					alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.selectUser")%>');
				} else if(confirm("<%=Moumi.getMessageBundle().getString("moumi.message.popup.charge")%> '"+userName+"'<%=Moumi.getMessageBundle().getString("moumi.message.popup.chargeChange")%>")) {
					document.transfer.userID.value = userID;
					document.transfer.submit();
				}
			}
	    </script>
</head>

<body style='' bgcolor="#FFFFFF" text="#000000" leftmargin="0"
	topmargin="0" marginwidth="0" marginheight="0" >

<FORM name="transfer" action="/servlet/kr.co.kihyun.beans.totsys.repoper.HttpTransfer3" method="post">
    <INPUT type="hidden" name="reportID" value="<%= reportID %>">
    <INPUT type="hidden" name="userID" value="">
    <INPUT type="hidden" name="reportType" value="<%= reportType %>">
</FORM>
    
<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center" style="padding-top:10px">
  <tr><td>
  <table width="100%" height="29" border="0" cellpadding="0"
					cellspacing="0" bgcolor="728ab5">
              
  <tr> 
    <td class="kecttep_title" style="padding-left:15px"><font color="#FFFFFF"><strong>纯</strong></font></td>
              </tr>
            </table>
  </td></tr>
  <tr> 
  
    <td valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-top:10px">
        <%if(sysAuth == Moumi.TOTPER){%>
        <jsp:include page="/totsys/common/inc/title/title.jsp" flush="true"> 
        <jsp:param name="title" value='<%=URLEncoder.encode("ں","UTF-8")%>' />
        <jsp:param name="flag"	value='99' />
        </jsp:include>
        <%}%>
        <tr> 
          <td align="center" valign="top"> <div> 
              <iframe
					src="/totsys/common/web/report_dept/iframe/part_list.jsp?rootID=<%= deptID %>&hideUser=<%= hideUser %>"
					width="550" height="435" frameborder="0"></iframe>
            </div>
            <div> 
              <table border="0" cellspacing="0" cellpadding="5" align="center">
                <tr> 
                  <td><a  href="#"
							onclick="javascript:onOk();"><img src="/totsys/common/images/bt_ok.gif"  border="0" align="absmiddle" ></a> 
                  </td>
                  <td><a  href="#"
							onclick="javascript:window.close();"><img src="/totsys/common/images/bt_cancle.gif"   border="0" align="absmiddle"></a> 
                  </td>
                </tr>
              </table>
            </div></td>
        </tr>
      </table></td>
 
  </tr>
  
</table>
</body>
</html>
<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
	if(tx.isActive())
		tx.rollback();
	pm.close();
}
%>
