<%@ page contentType="text/html; charset=euc-kr"
         import="java.util.List"
         import="java.net.URLEncoder"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.text.html.ServletUtil"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.lang.Encoder"  
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.moumi.Moumi" 
         import="kr.co.kihyun.lang.MLong"
         import="javax.jdo.PersistenceManager" 
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.*"
         import="kr.co.kihyun.service.ShareDocService"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%  
    /**
     * ********* User HttpSSOLogin check **********
     */
    if (!HttpSSOLogin.isLogin(request)) {
        String connURL = "opener.location='/totsys/login/login.jsp';";
        out.println(ServletUtil.getJavaScript(connURL));
        out.println(ServletUtil.getJavaScript("window.close();"));
        return;
    }

    /**
     * ******** session userId *********
     */
    String usID = HttpSSOLogin.getLoginID(request);
    String dtID = HttpSSOLogin.getDeptID(request);
    int sysAuth = HttpSSOLogin.getSysAuth(request);

    /**
     * **** Parameter *****
     */
//        Long docID = MLong.parseLong(request.getParameter("docID"), null);
    String docID = MString.checkNull(request.getParameter("docID"));    
    String docReportType = MString.checkNull(request.getParameter("docReportType"));  // (D:蹮, R:⹮)
    String exeFlag = MString.checkNull(request.getParameter("exeFlag"));
    String docType = clearXSS(request.getParameter("docType"), "");
    int strPage = MInteger.parseInt(request.getParameter("strPage"), 1);
    String findOption = clearXSS(request.getParameter("findOption"), "");
    String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")), "");
        
    Long reportID = MLong.parseLong(request.getParameter("reportID"), null);
    String boxName = clearXSS(request.getParameter("boxName"), "");
    boolean hideUser = MString.isNull(request.getParameter("hideUser")) ? true : new Boolean(request.getParameter("hideUser"));
    String userYN = "N";
    if (hideUser == false) {
        userYN = "Y";
    } else {
        userYN = "N";
    }
    String pageFlag = clearXSS(request.getParameter("pageFlag"), "1");
        
    String gIds = "";
    String gTypes = "";
    String gNames = "";
    String gDeptNames = "";
    int totCount = 0;
    
    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        tx.begin();

        String[] docIDList = docID.split(",");
               
        //̱ 쿡 ȸѴ.
        if(docIDList.length == 1) {
                    
            ShareDocService shareDoc = new ShareDocService(pm);
            List tmpList = shareDoc.getSearchDocIdType('N', docID, docReportType);

            for (int ii = 0; ii < tmpList.size(); ii++) {
                Object[] objData = (Object[]) tmpList.get(ii);
                //System.out.println("popup_user_multi_select.jsp=====");
                //System.out.println("ID = " + objData[0]);
                //System.out.println("USER_ID = " + objData[1]);
                //System.out.println("USER_NAME = " + objData[2]);
                //System.out.println("DPET_ID = " + objData[3]);
                //System.out.println("DPET_NAME = " + objData[4]);
                //System.out.println("================================");

                if (ii == 0) {
                    gIds = objData[1].toString();
                    gTypes = "user";
                    gNames = objData[2].toString();
                    gDeptNames = objData[4].toString();
                } else {
                    gIds = gIds + "," + objData[1].toString();
                    gTypes = gTypes + "," + "user";
                    gNames = gNames + "," + objData[2].toString();
                    gDeptNames = gDeptNames + "," + objData[4].toString();
                }

                totCount = totCount + 1;
            }
        }
        
        //TotReport totReport = (TotReport)pm.getObjectById(TotReport.class, reportID);
        String titleName = Moumi.getMessageBundle().getString("moumi.message.tot_doc.docList") + Moumi.getMessageBundle().getString("moumi.message.tot_doc.name");
        MDept dept = (MDept) pm.getObjectById(MDept.class, dtID);

        String deptID = dtID;

        //while(!dept.isDocUnit()) dept=dept.getUpperDept(pm);
        //deptID = dept.getId();
        if (pageFlag.equals("1")) {
            if (dept.getGrade() == null) {
                dept = dept.getUpperDept(pm);
            } else {
                dept = dept.getRootDept(pm);
            }
            deptID = dept.getId();
        } else if (pageFlag.equals("2")) {
            dept = dept.getRootDept(pm);
            deptID = dept.getId();
        }
        tx.rollback();
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=euc-kr">
        <script type="text/javascript" src="/test/jquery-1.6.4.js"></script>
        <script type="text/javascript" src="/test/_lib/jquery.cookie.js"></script>
        <script type="text/javascript" src="/test/_lib/jquery.hotkeys.js"></script>
        <script type="text/javascript" src="/test/jquery.jstree.js"></script>
        <title><%=Moumi.getTitle()%></title>
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/SquareButtons.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <script>
           var nodeType;
            var deptName;
            var userName;
            var userID;

    
            function fnInit() {
                /* @@@ test 
                 document.getElementById('search').value = "ձ⿵";
                */
            }
           
            function searchWord() {
                var type = $('#findOption').val();
                type = type.toUpperCase();
                //alert("type = " + type);                
                var word = $('#search').val();
                word = $.trim(word);
                $('#search').val(word);
                if (word.length < 2) {
                    alert("˻ 2 ̻̾ մϴ.");
                    return;
                }
                var $ff = $("#leftFrame");
                $ff[0].contentWindow.$("#searchType").text(type);  //˻
                $ff[0].contentWindow.$("#searchWord").text(word);  //˻
                $ff[0].contentWindow.$("#search").click();
            }
            
            // ˻  Ŀ ̵Ų.  strType : down, up
            function focusMove(strType) {
                //alert("strType = " + strType);
                var $ff = $("#leftFrame");
                $ff[0].contentWindow.$("#moveType").text(strType);      //Ŀ̵Ÿ                
                $ff[0].contentWindow.$("#focusMove").click();
            }
            
            function userList(id, deptname, name, type) {
                if (type === 'user')
                    id = id.split('/')[0];
                nodeType = type;
                deptName = deptname;                
                userName = name;
                userID = id;
            }


            function putNodeType(type, id, deptname, name) {
                nodeType = type.toLowerCase();
                userID = id;
                deptName = deptname;
                userName = name;
            }

            function onOk() {
                if (nodeType !== 'user') {
                    //ڸ ϼ!
                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.selectUser")%>');
                    
                    //ڸ deptName / userName  Ͻðڽϱ?
                } else if (confirm("'" + deptName + " / " + userName + "' \n\n ڸ Ͻðڽϱ?")) {
                    document.transfer.userID.value = userID;
                    document.transfer.submit();
                }
            }

        </script>
    </head>

    <body style='' bgcolor="#FFFFFF" text="#000000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="//fnInit();">
        <FORM name="transfer" action="/servlet/kr.co.kihyun.beans.totsys.repoper.HttpTransfer2" method="post">
            <INPUT type="hidden" name="docID"         value="<%= docID%>">
            <input type="hidden" name="docReportType" value="<%= docReportType%>">  
            <INPUT type="hidden" name="userID"        value="">
            <input type="hidden" name="exeFlag"       value="<%= exeFlag%>">             
            <input type="hidden" name="callbackFunc"  value="fn_reload()">
            <input type="hidden" name="docType"       value="<%= docType%>">
            <input type="hidden" name="strPage"       value="<%= strPage%>">
            <input type="hidden" name="findOption"    value="<%= findOption%>">
            <input type="hidden" name="findWord"      value="<%= findWord%>">            
            
        </FORM>

        <table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#00FFFF">
            <tr>
                <td  style="padding:10px"> 
                    <!--ŸƲ //-->
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td bgcolor="728ab5" style="padding: 10 20 10 20"><strong><font color="#FFFFFF">纯</font></strong></td>
                        </tr>
                    </table>
                    <!--ŸƲ //-->
                    
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <%if (sysAuth == Moumi.TOTPER && 1==2) {   //2014.09.12 Update by KWON,HAN : && 1==2 ߰Ͽ  %>
                        <jsp:include page="/totsys/common/inc/title/title.jsp" flush="true">
                            <jsp:param name="title" value='<%=URLEncoder.encode("ں")%>' />
                            <jsp:param name="flag"	value='99' />
                        </jsp:include>
                        <%}%>
                        <tr>
                            <td valign="bottom">
                                <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
                                    <tr>
                                        <td bgcolor="#FFFFFF">
                                            <div>
                                                <iframe id="leftFrame" src="/totsys/common/web/report_dept/iframe/newTree2.jsp?rootID=<%= deptID%>&userYN=<%= userYN%>" width="550" height="500" frameborder="0" style="margin: 10px 0 0 0; border: 1px solid #728ab5;"></iframe>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                                <div>
                                    <table height="0" border="0" cellpadding="0" cellspacing="0" >
                                        <tr><td>&nbsp;</td></tr>
                                        <tr>
                                            <td align="left">   &nbsp;&nbsp;</td>
                                            <td align="left">
                                                <span style="width: 70px">
                                                    <select id="findOption" name="findOption" class="inputtxt" onchange="$('#search').val('');
                                                            showMSG(this.options[this.selectedIndex].value, msg)">
                                                        <option value="user" selected><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.user")%></option>
                                                        <option value="dept"><%=Moumi.getMessageBundle().getString("moumi.message.doc.Devision")%><%=Moumi.getMessageBundle().getString("moumi.message.doc.Name")%></option>
                                                    </select>
                                                </span>
                                            </td> 
                                            <td><input id="search" name="search" type="text" class="inputtxt" value="" size="50" onkeyDown="if(event.keyCode === 13) { searchWord(); }" style="ime-mode:active;"> </td>
                                            <td>&nbsp;&nbsp;<a href="#" onclick="searchWord();"><img src="/totsys/common/images/bt_search_inquiry2.gif" border="0" align="absmiddle"></a></td>
                                            <td>&nbsp;&nbsp;<a href="#" onclick="focusMove('down');"><img src="/totsys/common/images/bt_down.jpg" border="0" align="absmiddle"></a></td>                
                                            <td>&nbsp;&nbsp;<a href="#" onclick="focusMove('up');"><img src="/totsys/common/images/bt_up.jpg" border="0" align="absmiddle"></a></td>                                            
                                            <td align="left">
                                            </td>
                                        </tr>
                                        <tr><td>&nbsp;</td></tr>
                                    </table>

                                    <!--<hr color='$ff0000' />-->
                                    <hr style="height:1px; color: #728ab5;"/>
                                    
                                    <table border="0" cellspacing="0" cellpadding="5" align="center">
                                        <tr>
                                            <td><a  href="#" onclick="javascript:onOk();"><img src="/totsys/common/images/bt_ok.gif"  border="0" align="absmiddle" ></a></td>
                                            <td><a  href="#" onclick="javascript:window.close();"><img src="/totsys/common/images/bt_cancle.gif"   border="0" align="absmiddle"></a></td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table> 

                </td>
            </tr>
        </table>
    </body>
</html>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
