
<%
/************************************************************@@
  * Program Name	: doc_regist.jsp
  * Description		: //// 
  * Author				: 
  * Create Date		: 2004.10.11
  * History				:
@@************************************************************/
%>
<%@ page contentType="text/html; charset=euc-kr"
	import="java.net.URLEncoder" import="java.net.URLDecoder"
	import="kr.co.kihyun.beans.user.HttpSSOLogin" import="java.util.*"
	import="java.io.StringReader"
	import="javax.swing.text.html.parser.ParserDelegator"
	import="kr.co.kihyun.lang.Encoder" import="kr.co.kihyun.util.Stopwatch"
	import="kr.co.kihyun.text.html.TagFilter"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.text.html.CallbackHandler"
	import="kr.co.kihyun.moumi.Moumi" import="kr.co.kihyun.moumi.doc.MDoc"
	import="kr.co.kihyun.moumi.doc.table.MTable"
	import="kr.co.kihyun.moumi.doc.table.TableDefine"
	import="kr.co.kihyun.moumi.doc.table.TableCreation"
	import="kr.co.kihyun.moumi.doc.table.item.MItem"
	import="kr.co.kihyun.lang.MInteger" import="kr.co.kihyun.lang.MLong"
	import="kr.co.kihyun.lang.MString"
	import="kr.co.kihyun.beans.totsys.report.Report"
	import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.entity.TotDoc"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Transaction tx = pm.currentTransaction();
try{
	/*********** ҿð üũ ***********/
	Stopwatch stopwatch = new Stopwatch();
	long startTime = stopwatch.start();

	/********** session userId **********/
	String usID = HttpSSOLogin.getLoginID(request);

	/********** parameter **********/
	Long docForm = MLong.parseLong(request.getParameter("docForm"),null);
	Long docID  = MLong.parseLong(request.getParameter("docID"),null);

	TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
	String docName = totDoc.getName();

	Report report = new Report();
	int allReportCount = report.getAllCount(docID);
	int sendReportCount = report.getSendCount(docID);
	%>
<HTML>
<HEAD>
<TITLE><%=Moumi.getTitle()%></TITLE>
<link rel="stylesheet" href="/totsys/common/css/text.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/tabs.css"
	type="text/css">
<link rel="stylesheet" href="/totsys/common/css/SquareButtons.css"
	type="text/css">
<script language="javascript">
			function formContentModify(){
				if(confirm(" 蹮 \nǼ : <%=sendReportCount%>\nǼ : <%=(allReportCount-sendReportCount)%>\n ֽϴ.\n Ͻø  Ϸ   · ˴ϴ\n Ͻðڽϱ?")){
					location.href="./form_content_modify.jsp?docID=<%=docID%>";
				}else{
					return;
				}
			}
			function formPreference(){
				if(confirm(" 蹮 \nǼ : <%=sendReportCount%>\nǼ : <%=(allReportCount-sendReportCount)%>\n ֽϴ.\n Ͻø  Ϸ   · ˴ϴ\n Ͻðڽϱ?")){
					location.href="./doc_form_modify.jsp?docID=<%= docID %>";
				}else{
					return;
				}
			}
	
	
			function modify(){
				location.href="/totsys/sysadm/prssbox/doc_modify.jsp?docID=<%= docID %>&url=mmprss";
			}
	
			function formView(){
				location.href="/totsys/sysadm/prssbox/doc_form_view.jsp?docID=<%=docID%>";
			}
	
			function reports(){
				location.href="/totsys/sysadm/prssbox/reports/report_list.jsp?docID=<%= docID %>";
			}
	
			function totReports(){
				location.href="/totsys/sysadm/prssbox/tot_reports/total_reports.jsp?docID=<%= docID %>";
			}
	
			function totReport(){
				location.href="/totsys/sysadm/prssbox/tot_report/total_report.jsp?docID=<%= docID %>";
			}
		</script>
</HEAD>

<body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0"
	MARGINWIDTH="0" MARGINHEIGHT="0">
<div>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
	<jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true" />
</table>
</div>

<div id="header">
<ul id="primary">

	<li><a href="#" onclick="modify();">⺻</a></li>
	<li><span class="kecttep_menu_focous"></span></li>
	<li><a href="#" onclick="reports();">Ȳ</a></li>
	<li><a href="#" onclick="totReports();">Ȳ</a></li>
	<li><a href="#" onclick="totReport();">ǥ</a></li>
</ul>
</div>

<div id="main">
<div id="contents">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr class="toolbar">
		<td align="left">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td><a class="simplebutton" href="#"
					onclick="javacscript:formContentModify();"><span class="modify">
				<%= Moumi.getMessageBundle().getString("moumi.message.button.formModify") %></span>
				</a></td>
				<td class="kecttep_button_td"><a class="simplebutton" href="#"
					onclick="javascript:formPreference();"><span class="modify"><%= Moumi.getMessageBundle().getString("moumi.message.button.formPreference") %></span></a>
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<jsp:include page="./form_re_config.jsp" flush="true">
		<jsp:param name="docName"
			value='<%= URLEncoder.encode(docName, "UTF-8") %>' />
		<jsp:param name="docForm" value="<%= docForm%>" />
		<jsp:param name="docID" value="<%= docID %>" />
	</jsp:include>
</table>
</div>
</div>

<%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
<div id="SetWin" style="position: absolute; visibility: hidden; width: 100px; height: 100px; background: silver; border: 1px solid #333333; line-height: 1.4em; padding: 3px 3px"></div>
</BODY>
</HTML>
<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
    if(tx.isActive())
    tx.rollback();
	pm.close();
}
%>
