
<%  /**
     * **********************************************************
     * @@ Program Name  : doc_list.jsp 
     * @@ Description	: ////  
     * @@ Author	: ũ Create
     * @@ Date	        : 2010.11.21 
     * @@ History	: 2014.10.07 Update by KWON,HAN : 
     * @@***********************************************************
     */
%>
<%@ page contentType="text/html; charset=euc-kr"
         import="java.util.*"
         import="java.net.URLEncoder" 
         import="java.net.URLDecoder"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.moumi.Moumi" 
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.MLong" 
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.beans.totsys.menu.MenuBean"
         import="kr.co.kihyun.moumi.report.MReport"
         import="kr.co.kihyun.beans.entity.*"
         import="kr.co.kihyun.beans.ecross.*"
         import="kr.co.kihyun.beans.entity.ecross.*"
         import="kr.co.kihyun.beans.entity.util.*"
         import="org.slf4j.Logger" 
         import="org.slf4j.LoggerFactory"%>
<%@page import="javax.jdo.PersistenceManager"%>
<%@page import="javax.jdo.Transaction"%>
<%@page import="kr.co.kihyun.beans.entity.util.*"%>
<%@page import="kr.co.kihyun.beans.entity.TotDoc"%>
<%@page import="kr.co.kihyun.beans.user.HttpSSOLogin"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%    MPersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    MPersistenceManager eCrossPm = new MPersistenceManager(PMF.get("ECROSS").getPersistenceManager());
    Transaction eCrossTx = eCrossPm.currentTransaction();

    try {
        String usID = HttpSSOLogin.getLoginID(request);
        int sysAuth = HttpSSOLogin.getSysAuth(request);
        /**
         * **** Parameter *****
         */
        Logger LOG = LoggerFactory.getLogger("jsp");
        Long docID = MLong.parseLong(request.getParameter("docID"), null);
        int listType = MReport.ALL_LIST;

        if (!(clearXSS(request.getParameter("listType"), "").equals(""))) {
            listType = MInteger.parseInt(request.getParameter("listType"));
        }
        

        String docType = clearXSS(request.getParameter("docType"), null);
        int strPage = MInteger.parseInt(request.getParameter("strPage"), 1);
        String findOption = clearXSS(request.getParameter("findOption"), "");
        //String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")), "");
        String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")), "");
        String stDate = clearXSS(request.getParameter("stDate"),"");
        String edDate = clearXSS(request.getParameter("edDate"),"");
        
        String method = clearXSS(request.getParameter("method"), "");        
        if (method.equals("GET")) {
            findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
        }  
//System.out.println("findWord = "+findWord);             
        
        String accAuth = clearXSS(request.getParameter("accAuth"), "");
        Long reportID = MLong.parseLong(request.getParameter("reportID"));
        //Ȳ ˻
        String searchDepth = clearXSS(request.getParameter("searchDepth"), "");        
        int innerStrPage = MInteger.parseInt(request.getParameter("innerStrPage"), 1);;
        String innerFindOption = clearXSS(request.getParameter("innerFindOption"), "");
        String innerFindWord = clearXSS(Encoder.toJava(request.getParameter("innerFindWord")), "");
         
        tx.begin();

        TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
        String regID = totDoc.getUser(pm).getId();
        String docName = totDoc.getName();

        tx.rollback();

//        eCrossTx.begin();
//        tx.begin();
//        ECrossInterface eInterface = new VCMCCMC2016((TotReport) null);
//        List<? extends IRemotePersistable> receivedList = eInterface.loadAll(pm, eCrossPm);
//        tx.commit();
//        eCrossTx.commit();

//        System.out.println("docID ="+docID);
//        System.out.println("docType ="+docType);
//        System.out.println("reportID1::::::"+reportID);
        MenuBean modifyMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/doc_modify.jsp?docID=" + docID + "&docType=" + docType + "&strPage=" + strPage + "&method=GET&findOption=" + findOption + "&findWord=" + URLEncoder.encode(MString.checkNull(findWord),"UTF-8"));
        MenuBean reportsMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/reports/report_list.jsp?docID=" + docID + "&docType=" + docType + "&strPage=" + strPage + "&method=GET&findOption=" + findOption + "&findWord=" + URLEncoder.encode(MString.checkNull(findWord),"UTF-8"));
        //MenuBean totReportsMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_reports/total_reports.jsp?docID="+docID+"&docType="+docType);
        MenuBean totReportsMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_reports/total_reports.jsp?docID=" + docID + "&docType=" + docType + "&reportID=" + reportID + "&strPage=" + strPage + "&method=GET&findOption=" + findOption + "&findWord=" + URLEncoder.encode(MString.checkNull(findWord),"UTF-8"));
        MenuBean totReportMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_report/total_report.jsp?docID=" + docID + "&docType=" + docType);
%>
<HTML>
    <HEAD>
        <TITLE><%=Moumi.getTitle()%></TITLE>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=euc-kr">
        <!--ŸϽƮ-->
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/tabs.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <script src="/totsys/common/js/popup.js"></script>
        <script src="/totsys/common/js/find.js"></script>
        <script>
            function find2() {
                var word = document.searchForm.innerFindWord.value.length;
                var option = document.searchForm.innerFindOption.options[document.searchForm.innerFindOption.selectedIndex].value;

                document.searchForm.innerFindOption.value = option;
                if (document.searchForm.innerFindWord.value == "") {
                    alert("˻ ܾ Է ּ");
                    return;
                }
                if (document.searchForm.innerFindOption.value != "id" && word < 2) {
                    alert("˻ 2 ̻̾ մϴ.!");
                    return;
                }
                document.searchForm.submit();
            }

            function showMSG() {
                if (searchForm.innerFindOption.value == "regDate") {
                    msg.style.display = "block";
                } else {
                    msg.style.display = "none";
                }
            }

            function modify() {
                if ("<%=regID%>" == "<%=usID%>" || <%=sysAuth%> == "<%=Moumi.SYSADM%>" || <%=sysAuth%> == "<%=Moumi.SUB_SYSADM%>") {
                    location.href = "<%= modifyMenu.getUrl()%>";
                } else {
                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.docModify")%>');
                }
            }
        </script>
    </HEAD>
    <body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
        <div>
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
                <jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true" />
            </table>
        </div>
        <!--tap -->
        <div id="header">
            <ul id="primary">
                <li><a href="#" onclick="modify();"><%= modifyMenu.getMenuName()%></a></li>
                <li><span class="kecttep_menu_focous"><%= reportsMenu%></span></li>
                <li><a href="<%= totReportsMenu.getUrl()%>"><%= totReportsMenu%></a></li>
                <!--li><a href="<%= totReportMenu.getUrl()%>"><%= totReportMenu%></a></li-->
            </ul>
        </div>
        <!--tap -->
        <div id="main">
            <div id="contents">
                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                    <!--    -->
                    <jsp:include page="/totsys/common/inc/documents/report/report_list.jsp" flush="true">
                        <jsp:param name="docID" value="<%= docID%>" /> 
                        <jsp:param name="strPage" value="<%= strPage%>" />
                        <jsp:param name="findOption" value="<%= findOption%>" />
                        <jsp:param name="findWord" value="<%= URLEncoder.encode(MString.checkNull(findWord),"UTF-8")%>" />   
                        <jsp:param name="searchDepth" value="<%= searchDepth%>" /> 
                        <jsp:param name="innerStrPage" value="<%= innerStrPage%>" />
                        <jsp:param name="innerFindOption" value="<%= innerFindOption%>" />
                        <jsp:param name="innerFindWord" value="<%= URLEncoder.encode(MString.checkNull(innerFindWord),"UTF-8")%>" />   
                        <jsp:param name="listType" value="<%= listType%>" /> 
                        <jsp:param name="docType" value="<%= docType%>" />
                        <jsp:param name="stDate" value="<%= stDate%>" /> 
                        <jsp:param name="edDate" value="<%= edDate%>" />
                    </jsp:include>
                    <!--     -->
                </table>
            </div>
        </div>
        <input type="hidden" name="tmpFind" value="<%=findOption%>">
        <script>
            if (tmpFind.value == "mDept.name") {
                searchForm.findOption.selectedIndex = 0;
            } else if (tmpFind.value == "mUser.name") {
                searchForm.findOption.selectedIndex = 1;
            } else if (tmpFind.value == "regDate") {
                searchForm.findOption.selectedIndex = 2;
            }
        </script>
    </BODY>
</HTML>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
  //out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
