
<%
/************************************************************@@
  * Program Name	: doc_regist.jsp
  * Description		: //// 
  * Author			: ũ
  * Create Date		: 2010.11.19
  * History			:
@@************************************************************/
%>
<%@ page language="java" contentType="text/html; charset=euc-kr" pageEncoding="euc-kr"%>
<%@ page contentType="text/html; charset=euc-kr"
	import="java.net.URLEncoder"
        import="java.net.URLDecoder"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
        import="java.util.*"
	import="java.io.StringReader"
	import="javax.swing.text.html.parser.ParserDelegator"
	import="kr.co.kihyun.lang.Encoder"
        import="kr.co.kihyun.util.Stopwatch"
	import="kr.co.kihyun.text.html.TagFilter"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="kr.co.kihyun.text.html.CallbackHandler"
	import="kr.co.kihyun.moumi.Moumi"
        import="kr.co.kihyun.moumi.doc.MDoc"
	import="kr.co.kihyun.moumi.doc.table.MTable"
	import="kr.co.kihyun.moumi.doc.table.TableDefine"
	import="kr.co.kihyun.moumi.doc.table.TableCreation"
	import="kr.co.kihyun.moumi.doc.table.item.MItem"
	import="kr.co.kihyun.lang.MInteger"
        import="kr.co.kihyun.lang.MString"
	import="org.slf4j.Logger"
	import="org.slf4j.LoggerFactory"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
Logger LOG = LoggerFactory.getLogger(this.getClass());
try{
	/********** parameter **********/
	String docName = clearXSS(URLDecoder.decode(MString.checkNull(request.getParameter("docName")), "UTF-8"),"");
	String execNum = MString.checkNull(request.getParameter("execNum"),"");
	String execDate = MString.checkNull(request.getParameter("execDate"),"");
	String appendType = clearXSS(request.getParameter("appendType"),"");
	String userIDs = clearXSS(Encoder.toJava(MString.checkNull(request.getParameter("userIDs"))),"");
	String deptNames = clearXSS(URLDecoder.decode(Encoder.toJava(MString.checkNull(request.getParameter("deptNames"))), "UTF-8"),"");
	String deptIDs = clearXSS(Encoder.toJava(MString.checkNull(request.getParameter("deptIDs"))),"");
	String userNames = clearXSS(URLDecoder.decode(Encoder.toJava(MString.checkNull(request.getParameter("userNames"))), "UTF-8"),"");
	String deptTypes = clearXSS(Encoder.toJava(MString.checkNull(request.getParameter("deptTypes"))),"");
	String handyName = clearXSS(Encoder.toJava(MString.checkNull(request.getParameter("handyName"))),"");
	String totRange = clearXSS(Encoder.toJava(MString.checkNull(request.getParameter("totRange"))),"");
	String accAuth = clearXSS(request.getParameter("accAuth"),"");
	String repDocID = clearXSS(request.getParameter("repDocID"),"");
	String docGroupID = clearXSS(request.getParameter("docGroupID"),"");
	String isFromFormBox = clearXSS(request.getParameter("isFromFormBox"),"");
	String choice = clearXSS(request.getParameter("choice"),"");
	String tableCount  = clearXSS(request.getParameter("tableCount"),"");
	String isDynaTable = clearXSS(request.getParameter("isDynaTable"),"");
	String mode = clearXSS(request.getParameter("mode"),"");
	String tableDefines = clearXSS(request.getParameter("tableDefines"),"");
	String itemNames = URLDecoder.decode(MString.checkNull(request.getParameter("itemNames")), "UTF-8");
	String tableNums = URLDecoder.decode(MString.checkNull(request.getParameter("tableNums")), "UTF-8");
	String colNums = URLDecoder.decode(MString.checkNull(request.getParameter("colNums")), "UTF-8");
	String rowNums = URLDecoder.decode(MString.checkNull(request.getParameter("rowNums")), "UTF-8");
	String itemSizes = URLDecoder.decode(MString.checkNull(request.getParameter("itemSizes")), "UTF-8");
	String itemDescs = URLDecoder.decode(MString.checkNull(request.getParameter("itemDescs")), "UTF-8");
	String itemExprs = URLDecoder.decode(MString.checkNull(request.getParameter("itemExprs")), "UTF-8");
	String itemTypes = URLDecoder.decode(MString.checkNull(request.getParameter("itemTypes")), "UTF-8");

	String usrFilenames = clearXSS(URLDecoder.decode(MString.checkNull(request.getParameter("usrFilenames")), "UTF-8"),"");
	String svrFilenames = clearXSS(URLDecoder.decode(MString.checkNull(request.getParameter("svrFilenames")), "UTF-8"),"");
	String docForm = clearXSS(request.getParameter("docForm"),"");
	String titleName = Moumi.getMessageBundle().getString("moumi.message.tot_doc.doc")+Moumi.getMessageBundle().getString("moumi.message.tot_doc.registrition"); 
	%>
<HTML>
<HEAD>
<TITLE><%=Moumi.getTitle()%></TITLE>
<link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
<link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
<script src="/totsys/common/js/rollover.js"></script>
</HEAD>

<body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
<table border="0" cellpadding="0" cellspacing="0">
	<jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true" />
	<tr>
		<td nowrap width="0"></td>
		<td valign="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<jsp:include page="/totsys/common/inc/title/title.jsp" flush="true">
				<jsp:param value='<%= URLEncoder.encode(titleName, "UTF-8") %>' name="title" />
				<jsp:param value='<%= URLEncoder.encode(docName, "UTF-8") %>' name="desc" />
			</jsp:include>
			<!------------------------------- form config start ------------------------------->
			<jsp:include page="/totsys/common/inc/documents/tot_doc/form_config.jsp" flush="true">
				<jsp:param name="docName" value='<%= URLEncoder.encode(docName, "UTF-8") %>' />
				<jsp:param name="execNum" value='<%= URLEncoder.encode(execNum, "UTF-8") %>' />
				<jsp:param name="execDate" value='<%= URLEncoder.encode(execDate, "UTF-8") %>' />
				<jsp:param name="appendType" value="<%= appendType %>" />
				<jsp:param name="handyName" value='<%= URLEncoder.encode(handyName, "UTF-8") %>' />
				<jsp:param name="deptIDs" value='<%= URLEncoder.encode(deptIDs, "UTF-8") %>' />
				<jsp:param name="userIDs" value='<%= URLEncoder.encode(userIDs, "UTF-8") %>' />
				<jsp:param name="accAuth" value="<%= accAuth %>" />
				<jsp:param name="totRange" value="<%= totRange %>" />
				<jsp:param name="repDocID" value="<%= repDocID %>" />
				<jsp:param name="docGroupID" value="<%= docGroupID %>" />
				<jsp:param name="isFromFormBox" value="<%= isFromFormBox %>" />
				<jsp:param name="choice" value="<%= choice %>" />
				<jsp:param name="deptNames" value='<%= URLEncoder.encode(deptNames, "UTF-8")%>' />
				<jsp:param name="deptTypes" value="<%= deptTypes %>" />
				<jsp:param name="userNames" value='<%= URLEncoder.encode(userNames, "UTF-8")%>' />
				<jsp:param name="tableCount" value="<%= tableCount%>" />
				<jsp:param name="isDynaTable" value="<%= isDynaTable%>" />
				<jsp:param name="mode" value="<%= mode%>" />
				<jsp:param name="tableDefines" value="<%= tableDefines%>" />
				<jsp:param name="itemNames" value='<%= URLEncoder.encode(itemNames, "UTF-8")%>' />
				<jsp:param name="tableNums" value='<%= URLEncoder.encode(tableNums, "UTF-8")%>' />
				<jsp:param name="colNums" value='<%= URLEncoder.encode(colNums, "UTF-8")%>' />
				<jsp:param name="rowNums" value='<%= URLEncoder.encode(rowNums, "UTF-8")%>' />
				<jsp:param name="itemSizes" value='<%= URLEncoder.encode(itemSizes, "UTF-8")%>' />
				<jsp:param name="itemDescs" value='<%= URLEncoder.encode(itemDescs, "UTF-8")%>' />
				<jsp:param name="itemExprs" value='<%= URLEncoder.encode(itemExprs, "UTF-8")%>' />
				<jsp:param name="itemTypes" value='<%= URLEncoder.encode(itemTypes, "UTF-8")%>' />
				<jsp:param name="docForm" value="<%= docForm%>" />
				<jsp:param name="usrFilenames" value='<%= URLEncoder.encode(usrFilenames, "UTF-8") %>' />
				<jsp:param name="svrFilenames" value='<%= URLEncoder.encode(svrFilenames, "UTF-8") %>' />
			</jsp:include>
			<!------------------------------- form config end ------------------------------->
			<!---- ư(̸/)  ---->
		</table>
		</td>
		<td nowrap width="10">&nbsp;</td>
	</tr>
	<!------------------------------- top menu start ------------------------------->
	<%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
	<!------------------------------- top menu end ------------------------------->
</table>

<div id="SetWin"
	style="position: absolute; z-index: 10; Visibility: hidden; width: 100px; background: silver; border: 1px #333333 solid; line-height: 1.4em; padding: 3px 3px"></div>
</BODY>

</HTML>
<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
}
%>