
<%
    /***********************************************************
     * @@ Program Name : doc_list.jsp
     * @@ Description : //// 
     * @@ Author : ũ
     * @@ Create Date : 2010.11.18
     * @@ History : 2014.09.30 Update by KWON,HAN : ¡ óϿ  ҷ  
     * @@*******************************************************
     */
%>
<%@ page contentType="text/html; charset=euc-kr"
         import="java.net.URLEncoder"
         import="java.net.URLDecoder"           
         import="java.util.List" 
         import="java.util.Map"
         import="java.util.HashMap"
         import="java.util.Date"
         import="java.util.Calendar"
         import="java.text.SimpleDateFormat"
         import="javax.jdo.PersistenceManager"
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.moumi.MoumiConfig"         
         import="kr.co.kihyun.moumi.Moumi"
         import="kr.co.kihyun.beans.entity.util.*"
         import="org.slf4j.Logger"         
         import="org.slf4j.LoggerFactory"
         import="kr.co.kihyun.service.TotDocService" 
         import="kr.co.kihyun.service.vo.TotDocVO"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        Logger LOG = LoggerFactory.getLogger(this.getClass());

        /**
         * ******** session userId *********
         */
        String usID = HttpSSOLogin.getLoginID(request);
        String dpID = HttpSSOLogin.getDeptID(request);
        int sysAuth = HttpSSOLogin.getSysAuth(request);

        /**
         * **** Parameter *****
         */
        String docType = clearXSS(request.getParameter("docType"), null);        
        int strPage = MInteger.parseInt(request.getParameter("strPage"), 1);
        if(strPage <= 0) { strPage = 1; }
        
        String findOption = clearXSS(request.getParameter("findOption"), "");
        String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")), "");
//        String method = clearXSS(request.getParameter("method"), "");
//
//        if (method.equals("GET")) {
//            findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
//        }

//        String uri = URLEncoder.encode("doc_list.jsp?docType=" + MString.checkNull(docType) + "&findOption=" + MString.checkNull(findOption), "UTF-8") + "&method=GET";
        String stDate = clearXSS(request.getParameter("stDate"),"");
        String edDate = clearXSS(request.getParameter("edDate"),"");

        SimpleDateFormat dForomat = new SimpleDateFormat("yyyy-MM-dd");
        Calendar date = Calendar.getInstance();
        date.add(Calendar.MONTH, -12);
        Long prev_date = date.getTimeInMillis();
        Long now_today = new Date().getTime();
        if("".equals(stDate)) {
            stDate = dForomat.format(prev_date);
        }
        if("".equals(edDate)) {
            edDate = dForomat.format(now_today);
        }  
    
        
        int wordLengthLimit = 30;

	/************ Ʈ   ************/
        int pageSize = 0;
        int currentPage = 0;
        int currentPageSetUp = 0;
        int recordSize = 3;

        currentPage = strPage;
        
        currentPageSetUp = (int) (currentPage / 10) * 10;
        if (currentPage % 10 == 0) {
            currentPageSetUp -= 10;
        }
        
        tx.begin();

        if (!"PRSS".equals(docType) && !"REG".equals(docType) && !"END".equals(docType)) {
            LOG.error("docType is not specified.");
        }

        //======================================================================
        TotDocService docService = new TotDocService(pm);
        //˻Ķ
        Map params = new HashMap();
        params.put("userId",        usID);
        params.put("deptId",        dpID);        
        params.put("findOption",    findOption);
        params.put("filterValue",   findWord);

        //˻ ڵ尹ȸ    
        docService.createDocListSearchQuery(params, docType);

        //ڵ尹ȸ Ͽ ڵ尹 
        int count = docService.getCountFromMainQuery();

        if((count%recordSize) == 0){
                pageSize = (int)(count/recordSize);
        }else{
                pageSize = (int)(count/recordSize)+1;
        }

        if( currentPage > pageSize ) currentPage = pageSize;
        
        int startNo = (currentPage - 1) * recordSize + 1;
        int endNo = currentPage * recordSize;
        
        List list = null;

        //˻ȸ 
        if( count > 0 ) {
            //¡ó  ߰Ķ 
            docService.getParams().put("startNo", startNo);
            docService.getParams().put("endNo", endNo);

            //˻ ¡ó   ȯ
            docService.convertToPagenatingQuery();
            
            //ϴ ڵ尡 ϸ ȸ
            list = docService.executeQuery(TotDocVO.class);
        }
        //======================================================================
        
        tx.rollback();
%>
<HTML>
    <HEAD>
        <TITLE><%=Moumi.getTitle()%></TITLE>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=euc-kr">
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/SquareButtons.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <script src="/totsys/common/js/popup.js"></script>
        <script src="/totsys/common/js/find.js"></script>
        <script src="/totsys/common/js/util.js"></script>
        <script src="/totsys/common/js/calendar.js"></script>        
        <script src="/totsys/common/js/mouse.js"></script>
        <script type="text/javascript" src="/test/jquery-1.6.4.js"></script>

        <script>


            /**
             * ϰ  ռ üũ Լ
             * @param {type} stDate
             * @param {type} edDate
             * @returns {Boolean}
             */
            function isDateTrue(stDate, edDate) {
                if(stDate <= edDate) {
                        return true;
                }
                return false;
            }
    
            /*
            * ˻  submitóԼ
            * @param {type} p_findForm
            * @returns {Boolean}             
            */
            function fn_onFindSubmit(p_findForm) {
<% if(!"END".equals(docType)) { %>  
                if( !findCheck(p_findForm) ) return false;
<% } %>  
<% if("END".equals(docType)) { %>                  
                if( !isDateTrue(document.searchForm.stDate.value, document.searchForm.edDate.value) ) {
                    alert("<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.startEndDateCheck") %>");
                    document.searchForm.edDate.focus();
                    document.searchForm.edDate.select();
                    return false;
                }
<% } %>     
                p_findForm.strPage.value = 1;
                return true;
            }
            
            /**
             * ̵óԼ
             * @param {type} p_secu_yn
             * @returns {undefined}
             */
            function fn_goToPage(p_page) {
                document.searchForm.strPage.value = p_page;
                document.searchForm.submit();
            }

            /*
             *  ˻  Releadϴ Լ
             */
            function fn_reload() {
                document.searchForm.submit();
            }

            //μ(1), μ(0)
            function openDocument(v) {
                var checkValue = 0;
                var docIDList = "";
                //var userIDList = "";
                var gubun = v;

                if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                    if (check.checked == true) {
                        if (docIDList.length == 0) {
                            if (typeof (checkDocID0) == 'undefined') {
                                docIDList += document.getElementById("checkDocID<%=((currentPage - 1) * recordSize)%>").value;

                            } else {
                                docIDList += document.getElementById("checkDocID0").value;
                            }
                        } else {
                            if (typeof (checkDocID0) == 'undefined') {
                                docIDList += "," + document.getElementById("checkDocID<%=((currentPage - 1) * recordSize)%>").value;
                            } else {
                                docIDList += "," + document.getElementById("checkDocID0").value;
                            }
                        }
                        checkValue++;
                    }
                } else if (<%=count%> != 0) {
                    tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                    tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                    tmp3 = 0;
                    for (i = tmp1; i < tmp2; i++) {
                        if (check[tmp3].checked == true) {
                            if (checkValue == 0) {
                                checkValue++;
                                //if(docIDList.length == 0 && userIDList.length == 0)
                                if (docIDList.length == 0)
                                    docIDList += document.getElementById("checkDocID" + i).value;
                                else
                                    docIDList += "," + document.getElementById("checkDocID" + i).value;
                                //userIDList +=","+ document.getElementById("userID"+i).value;
                            } else {
                                checkValue++;
                                if (docIDList.length == 0)
                                    docIDList += document.getElementById("checkDocID" + i).value;
                                else
                                    docIDList += "," + document.getElementById("checkDocID" + i).value;
                                //userIDList += ","+document.getElementById("userID"+i).value;
                            }
                        }
                        tmp3++;
                    }
                }
                
                var v_message = "";
                if( gubun == 1 ) {
                    v_message = "<%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.approSet") %>";     //μ
                } else {
                    v_message = "<%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.approCancel") %>";  //μ
                }
                
                if( checkValue <= 0 ) {
                    alert(v_message + "<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.docSelect") %>")   //Ͻ ڷḦ ּ.
                    return;
                }
                
                if (confirm(checkValue + " <%= Moumi.getMessageBundle().getString("moumi.message.popup.docCounter")%>\n\n " + v_message + "  Ͻðڽϱ?")) {   // ڷḦ Ͽϴ.
                    document.approOpen.reportID.value = docIDList;
                    //document.approOpen.userID.value = userIDList;
                    document.approOpen.strGubun.value = gubun;
                    document.approOpen.submit();
                }
            }

            //Ļ ư
            function docDelete() {
                var checkValue = 0;
                var docIDList = "";

                if (<%=count%> == 1 || <%=count%> == <%=((currentPage - 1) * recordSize) + 1%>) {
                    if (check.checked == true) {
                        if (docIDList.length == 0) {
                            if (typeof (checkDocID0) == 'undefined') {
                                docIDList += document.getElementById("checkDocID<%=((currentPage - 1) * recordSize)%>").value;
                            } else {
                                docIDList += document.getElementById("checkDocID0").value;
                            }
                        } else {
                            if (typeof (checkDocID0) == 'undefined') {
                                docIDList += "," + document.getElementById("checkDocID<%=((currentPage - 1) * recordSize)%>").value;
                            } else {
                                docIDList += "," + document.getElementById("checkDocID0").value;
                            }
                        }
                        checkValue++;
                    }
                } else if (<%=count%> != 0) {
                    tmp1 = eval(<%=((currentPage - 1) * recordSize)%>);
                    tmp2 = eval(<%=((currentPage - 1) * recordSize)%> + check.length);
                    tmp3 = 0;
                    for (i = tmp1; i < tmp2; i++) {
                        if (check[tmp3].checked == true) {
                            if (checkValue == 0) {
                                checkValue++;
                                if (docIDList.length == 0)
                                    docIDList += document.getElementById("checkDocID" + i).value;
                                else
                                    docIDList += "," + document.getElementById("checkDocID" + i).value;

                            } else {
                                checkValue++;
                                if (docIDList.length == 0)
                                    docIDList += document.getElementById("checkDocID" + i).value;
                                else
                                    docIDList += "," + document.getElementById("checkDocID" + i).value;
                            }
                        }
                        tmp3++;
                    }
                }
                
                if (checkValue > 0) {
                    if (confirm(checkValue + " <%= Moumi.getMessageBundle().getString("moumi.message.popup.docCounter")%>\n\n<%=Moumi.getMessageBundle().getString("moumi.message.popup.docDelete")%>")) {
                        document.Del.docID.value = docIDList;
                        document.Del.submit();
                    }
                } else {
                    alert("<%= Moumi.getMessageBundle().getString("moumi.message.popup.docDeleteSelect")%>");
                }
            }

            /* 
             * 2014.08.28 Add by KWON,HAN : ڰ 
             */
            function userShareSelect(sGubun, sReportID) {
                var $checked;
                var v_checkedCount;
                var reportID = new Array();

                if (sGubun === "check") {
                    $checked = $("input:checkbox[name=check]:checked");
                    v_checkedCount = $checked.length;

                    if (v_checkedCount === 0) {
                        alert('<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.user")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.share")%>' + ' ' + '<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.docSelect")%>');
                        return;
                    }

                    var val = '';
                    var usersharecount = 0;

                    for (var i = 0; i < v_checkedCount; i++) {
                        val = $checked[i].value;

                        usersharecount = document.getElementById("su" + val).value;
                        if (usersharecount > 0) {
                            // ڿ Ǿ ֽϴ.
                            alert("̹ " + usersharecount + '<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.userShareCounter") %>' + "\n\n   ڼ ŬϿ Ͻʽÿ. " ); 
                            return;
                        }
                    }

                    $checked.each(function() {
                        reportID.push($(this).val());
                    });
                } else if (sGubun === "select") {
                    reportID = sReportID;
                } else {
                    //[ ٹ óֽʽÿ]!
                    alert('<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.normalHandle")%>');
                    return;
                }

                var urlname = "";
                var height = screen.height;
                var width = screen.width;
                var leftpos = width / 2 - 350;
                var toppos = height / 2 - 350;

                //docReportType: (D:蹮, R:⹮)
                urlname = "/totsys/common/web/report_dept/popup_user_share_select.jsp?docID=" + reportID + "&docReportType=D&userYN=Y&selfDeptYn=N&exeFlag=list";
                post = window.open(urlname, "post", "width=900, height=600, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left=" + leftpos + ",top=" + toppos);
                post.focus();
            }

            function changeDam() {
                nnn = $("input:checkbox[name=check]:checked").length;
                if (nnn == 0) {
                    alert("Ͻ 纯 ư Ŭϼ.");
                    return;
                }

                var res = new Array();
                $("input:checkbox[name=check]:checked").each(function() {
                    res.push($(this).val());
                });
                var height = screen.height;
                var width = screen.width;
                var leftpos = width / 2 - 350;
                var toppos = height / 2 - 350;
                frm = document.damdangForm;
                frm.docID.value = res;
                //2014.09.15 Update by KWON,HAN : 纯 Ƽ ó ϵ .
                //frm.action="/totsys/repoper/mydocbox/returnbox/popup_rep_transfer4.jsp";
                frm.action = "/totsys/repoper/mydocbox/returnbox/popup_rep_transfer6.jsp";
                frm.target = 'damdangForm';
                frm.method = 'post';
                //2014.09.15 Update by KWON,HAN 
                //win= window.open('',"damdangForm","width=607, height=541, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left=" + leftpos + ",top=" + toppos);
                win = window.open('', "damdangForm", "width=572, height=680, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left=" + leftpos + ",top=" + toppos);
                win.focus();
                frm.submit();
            }

            /**
             *üũڽ ü  ũƮ ߰
             **/
            function checkALL(checkYn) {
                frm = document.approOpen;
                var checklist = document.getElementsByName("check");
                if (checklist.length > 0) {
                    for (var i = 0; i < checklist.length; i++) {
                        checklist[i].checked = checkYn;
                    }
                }
            }

            /*
            * 󼼺 ̵óϴ Լ
            * @param {type} p_docID
            * @param {type} p_deptID
            * @returns {undefined}
            */
           function fn_goToViewReport(p_docID, p_deptID) {
               document.viewFormReport.docID.value = p_docID;
               document.viewFormReport.deptID.value = p_deptID;
               document.viewFormReport.submit();
           }
           
           function fn_goToViewTotal(p_docID, p_deptID) {
               document.viewFormTotal.docID.value = p_docID;
               document.viewFormTotal.deptID.value = p_deptID;
               document.viewFormTotal.submit();
           }           

            //calendar.js  ¥ ϸ Ǵ ݹԼ 
            function fn_CalSetValue(obj, value) {
                if( !isDateTrue(document.searchForm.stDate.value, document.searchForm.edDate.value) ) {
                    alert("<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.startEndDateCheck") %>");
                    document.searchForm.edDate.focus();
                    document.searchForm.edDate.select();
                    return false;
                }

                fn_onFindSubmit(document.searchForm);
                document.searchForm.submit();
            }
              
        </script>
    </HEAD>
    <body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<form name="viewFormReport" method="post" action="/totsys/totper/mydocbox/prssbox/reports/report_list.jsp">
    <input type="hidden" name="docID" value="">
    <input type="hidden" name="deptID" value="">
    <input type="hidden" name="docType" value="<%= docType %>">
    <input type="hidden" name="strPage" value="<%= strPage %>">
    <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
    <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">
    <input type="hidden" name="stDate" value="<%=stDate%>">
    <input type="hidden" name="edDate" value="<%=edDate%>">    
</form>
<form name="viewFormTotal" method="post" action="./tot_reports/total_reports.jsp">
    <input type="hidden" name="docID" value="">
    <input type="hidden" name="deptID" value="">
    <input type="hidden" name="docType" value="<%= docType %>">
    <input type="hidden" name="strPage" value="<%= strPage %>">
    <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
    <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">
    <input type="hidden" name="stDate" value="<%=stDate%>">
    <input type="hidden" name="edDate" value="<%=edDate%>">    
</form>


        <form name="damdangForm" method="post" >
            <input type="hidden" name="reportID" value="">
            <input type="hidden" name="docID" value="">
            <input type="hidden" name="boxName" value="returnbox">
            <input type="hidden" name="hideUser" value="false">
            <input type="hidden" name="docReportType" value="D">
            <input type="hidden" name="exeFlag" value="list">
            <input type="hidden" name="docType" value="<%=docType%>">            
            <input type="hidden" name="strPage" value="<%= currentPage %>">
            <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
            <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">             
        </form>
        <FORM name="approOpen" action="/servlet/kr.co.kihyun.beans.user.HttpApproSet" method="post">
            <input type="hidden" name="reportID" value="">
            <input type="hidden" name="docType" value="<%=docType%>">
            <input type="hidden" name="userID">
            <input type="hidden" name="strGubun">
            <input type="hidden" name="strPage" value="<%= currentPage %>">
            <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
            <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">            
        </FORM>
        <table width="100%" height="70" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td nowrap width="0"></td>
                <td>
                    <table width="100%" height="70" border="0" cellpadding="0" cellspacing="0">
                        <!-- // Begin : ˻ & ư -->
                        <tr>
                            <td height="31" valign="top"><!----   ---->
                                <table width="100%" padding="0" cellspacing="0">
                                    <tr valign="middle" style="padding-top: 3">
                                        <td width="200" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.doc")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.name")%></td>
                                        <td width="110" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.request")%><%=Moumi.getMessageBundle().getString("moumi.message.totsys.sysadm.part.part_list_jsp")%></td>
                                        <td width="90" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.request")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%></td>
                                        <td width="100" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.startDate")%></td>
                                        <td width="135" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.endDate")%></td>
                                        <td width="70" align="center" nowrap class="kecttep_tdmenu"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.compSnd")%>/<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.all")%></td>
                                    </tr>
                                    <%
                                    tx.begin();
                                        int index = 0;     //迭   Ű
//                                        int nextCount = 0; //
//
//                                        if (currentPage > 1) {
//                                            nextCount = ((currentPage - 1) * recordSize);
//                                        }

                                    if( count > 0 ) {                                                
                                        int listCount = list.size();

                                        for(int i = 0; i < listCount ; i++){
//                                            index = nextCount + i;
                                            TotDocVO docVO = (TotDocVO)list.get(i);      
                                    %>
                                    <tr style="padding-top: 3" valign="middle">
                                        <!-- ڷ -->
                                        <td width="200" id="div_name" nowrap class="kecttep_graytd">
                                            <%
                                                if ("PRSS".equals(docType)) {
                                            %>
                                            <img src="/totsys/totper/images/bu_002.gif" width="8" height="7" hspace="5">
                                            <a onmouseover="balloon_on('<%= docVO.getName()%>', this, 10, 4)"  onmouseout="balloon_off()"
                                                           href="javascript:fn_goToViewReport('<%=docVO.getId()%>', '<%=docVO.getDeptId()%>');">     
                                                         <%= MString.getEllipsis(docVO.getName(), wordLengthLimit)%></a>
                                            <%
                                                }
                                            %>
                                        </td>
                                        <!-- û  -->
                                        <td width="110" align="center" nowrap class="kecttep_graytd"><%= MString.checkNull(docVO.getDeptName())%>&nbsp;</td>
                                        <!-- û  -->
                                        <td width="90" align="center" nowrap class="kecttep_graytd"><%= docVO.getOwnerName()%></td>
                                        <!--   -->
                                        <td width="100" align="center" nowrap class="kecttep_graytd"><%= docType.equals("REG") ? new SimpleDateFormat("yyyy-MM-dd HH:mm").format(docVO.getStartDate()) : new SimpleDateFormat("yyyy-MM-dd").format(docVO.getStartDate())%></td>
                                        <td width="135" align="center" nowrap class="kecttep_graytd"                
                                            <%
                                                String tmpMoumiAcptLimitStrategy = Integer.toString(docVO.getSubmitLimitCnt());
                                                String tmp2 = null;
                                                String tstr = "";
                                                String tcnt;
                                                tcnt = "(" + Integer.toString(docVO.getSubmitLimitCnt()) + " )";
                                                if (tmpMoumiAcptLimitStrategy.equals("0")) {
                                                    tmp2 = new SimpleDateFormat("yyyy-MM-dd HH").format(docVO.getEndDate());
                                                    tcnt = "";
                                                } else {
                                                    tmp2 = Moumi.getMessageBundle().getString("moumi.message.tot_doc.endBySubmitTotal");
                                                    tstr = "";
                                                }
                                                if (tmp2.contains("9999-12-30")) {
                                                    tmp2 = Moumi.getMessageBundle().getString("moumi.message.tot_doc.docGethering");
                                                }
                                                if (tmp2.equals(Moumi.getMessageBundle().getString("moumi.message.tot_doc.docGethering"))) {
                                                    tstr = "";
                                                }
                                            %>>
                                            <%
                                                out.write(tmp2 + tstr + tcnt);
                                            %>
                                        </td>
                                        <td  width="70" align="center" nowrap class="kecttep_graytd">
                                            <%
                                              out.write(docVO.getSndCnt() + "/" + docVO.getAllCnt());
                                            %>
                                        </td>
                                    </tr>
                                    <%
                }       //end of for list
                
            }       //end of if( count > 0)
            else
            {
            %>
                    <tr>
                        <td colspan="7" class="report_no_data report_txt"> ڷᰡ ϴ.</td>
                    </tr>
            <%
            }
            tx.rollback();
            %>   
                                    <!----    ---->
                                </table>
                            </td>
                        </tr>

                        <tr>
                            <td height="15"></td>
                        </tr>
                    </table>
                </td>
                <td nowrap width="10"></td>
            </tr>
            <!------------------------------- top menu start ------------------------------->
            <!------------------------------- top menu end ------------------------------->
        </table>
<div id="SetWin" style="position: absolute; z-index: 10; visibility: hidden; width: 100px; background: silver; border: 1px #333333 solid; line-height: 1.4em; padding: 3px 3px; v"></div>            
    </BODY>
</HTML>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>

