
<%/**
     * **********************************************************
     * @@ Program Name  : doc_view.jsp  
     * @@ Description	: ///Ȳ 
     * @@ Author	: ũ 
     * @@ Create Date	: 2010.11.24 
     * @@ History	:
     * @@***********************************************************
     */%>

<%@ page contentType="text/html; charset=euc-kr"  pageEncoding="EUC-KR"
         import="java.net.URLEncoder" 
         import="java.net.URLDecoder"
         import="java.util.List"        
         import="java.util.Map"
         import="java.util.HashMap"     
         import="java.util.StringTokenizer" 
         import="kr.co.kihyun.text.excel.Excel"
         import="kr.co.kihyun.text.html.TagFilter"
         import="kr.co.kihyun.text.hml.Hwp"
         import="kr.co.kihyun.text.html.HtmlUtil" 
         import="kr.co.kihyun.lang.Encoder"         
         import="kr.co.kihyun.lang.MString" 
         import="kr.co.kihyun.lang.MLong"
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.util.Stopwatch" 
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.moumi.doc.table.MTableAnalysis"
         import="kr.co.kihyun.moumi.Moumi"
         import="kr.co.kihyun.moumi.report.MReport"
         import="kr.co.kihyun.beans.user.Part"
         import="kr.co.kihyun.beans.user.PartList"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"         
         import="kr.co.kihyun.beans.totsys.doc.table.Table"
         import="kr.co.kihyun.beans.totsys.doc.table.item.Item"
         import="kr.co.kihyun.beans.totsys.report.tots.ReportsViewer"
         import="kr.co.kihyun.beans.totsys.report.tot.TotReportViewer"
         import="kr.co.kihyun.beans.totsys.report.ReportViewManager"
         import="kr.co.kihyun.beans.totsys.report.ReportFormElement"
         import="kr.co.kihyun.beans.totsys.doc.table.item.ItemList"
         import="kr.co.kihyun.beans.totsys.doc.Doc"
         import="kr.co.kihyun.beans.entity.TotReport"
         import="kr.co.kihyun.beans.entity.TotReportProcess"
         import="kr.co.kihyun.beans.entity.util.TotReportUtil"
         import="kr.co.kihyun.beans.entity.TotDocType"
         import="kr.co.kihyun.beans.entity.Grade"         
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.TotDoc"
         import="kr.co.kihyun.beans.entity.MDept"          
         import="javax.jdo.PersistenceManager" 
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.service.PrssReportsService" 
         import="kr.co.kihyun.service.vo.PrssReportsVO"
         import="kr.co.kihyun.service.vo.ReportTotalVO"         
         import="javax.jdo.Query"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<% request.setCharacterEncoding("euc-kr"); %>
<%
    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {

        /**
         * ******** session userId *********
         */
        Long docID = MLong.parseLong(request.getParameter("docID"), null);
        int gradeCode = MInteger.parseInt(request.getParameter("gradeCode"), -1);
        int tableNum = MInteger.parseInt(request.getParameter("tableNum"), 0);
        int searchType = MInteger.parseInt(request.getParameter("searchType"), -1);
        String findOption = clearXSS(URLDecoder.decode(MString.checkNull(request.getParameter("findOption")), "UTF-8"), "");
        String findWord = clearXSS(URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8"), "");
        int listType = searchType;
        String howSort = clearXSS(request.getParameter("howSort"), "");
        
        String displaySummary = MString.checkNull(request.getParameter("displaySummary"));
        System.out.println("displaySummary ="+displaySummary);
        
        String sort = clearXSS(request.getParameter("sort"), "");
//        System.out.println("sort2 ::::"+sort);

        tx.begin();

        TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);

                //======================================================================
        int count = 0;
        
        PrssReportsService prssService = new PrssReportsService(pm);
        //˻Ķ
        Map params = new HashMap();
        params.put("docId",         docID);   
        params.put("listType",      listType);
        params.put("findOption",    findOption);
        params.put("filterValue",   findWord);
        params.put("howSort",       howSort);
        params.put("sort",          sort);

        //˻ ڵ尹ȸ    
        prssService.createPrssTotalReportsSearchQuery(params);

        List<PrssReportsVO> list = null;
        
        //ϴ ڵ尡 ϸ ȸ
        list = prssService.executeQuery(PrssReportsVO.class);
        
        count = list.size();
        //======================================================================
        
        List<TotReport> compReportList = null;  //ü

        
        int allReportCount = 0;          //ü-ü
        int totReportCount = 0;          //ü-Ϸ
        if("true".equals(displaySummary)) {        
            List totalList = null;
            totalList = prssService.getReportTotalByDocId(docID);

            if( totalList != null && totalList.size() > 0 ) {
                for(Object obj : totalList) {
                    ReportTotalVO totalVO = (ReportTotalVO)obj;

                    allReportCount = MInteger.parseInt(totalVO.getAllCnt().toString(), 0);     
                   
                    totReportCount = MInteger.parseInt(totalVO.getTotReportCnt().toString(), 0);    
                }
            }
            
            if(totReportCount > 0) { 
                compReportList   = prssService.getRecursiveAllReports(docID, TotReportProcess.COMP, "");       //ü-Ϸ 
            }
            
        }
        tx.rollback();

%>
<table cellspacing="0" cellpadding="1" align="left" border="1">
    <tr>
        <td align="center"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.coporation")%></td>
        <td align="center"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.devision")%></td>
        <td align="center">μڵ</td>
        <% if (tableNum != 0 && (searchType == TotReportProcess.COMP.ordinal() || searchType == -1)) {%>
        <td><%=TagFilter.removeTableHeight(MDoc.getTitleForm(totDoc, tableNum))%></td>
        <%} else {%>
        <td align="center"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.content")%></td>
        <%}%>
    </tr>
    <% if ("true".equals(displaySummary) && totReportCount > 0) {%>
    <tr>
        <td class="kecttep_title" style="padding-left: 5" align="left"
            width="100%" colspan="3"><%=TotReportProcess.ALL%> <%=TotDocType.TOT_DOC%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.table")%>&nbsp;&nbsp;
            <%=TotReportProcess.COMP%>:<font color="#ff6600"><%= totReportCount%>&nbsp;&nbsp;</font>
            <%=TotReportProcess.ALL%>:<font color="#ff6600"><%= allReportCount%></font>
        </td>
        <td>
            <%if (totReportCount != 0) { //if (compReportList.size() != 0) {%>
            <%= Excel.removeFmla(TotReportUtil.toHTML(totDoc, compReportList, tableNum, tableNum > 0))%>
            <%} else {%>
            <%=Moumi.getMessageBundle().getString("moumi.message.tot_report.notSubmitDoc")%>
            <%}%>
        </td>
    </tr>

    <%}%>
    <%
        int index = -1;
      //tx.begin();
        int slavePaddingLeft = 0;
        
        if( count > 0 ) {   
            int listCount = list.size();

            for (int i = 0; i < listCount; i++) {
                index = i;

                PrssReportsVO prssVO = (PrssReportsVO)list.get(i);    
                TotReportProcess process = (TotReportProcess) prssVO.getProcess();

                if("2".equals(prssVO.getDeptNo())) {
                     slavePaddingLeft = 20;
                } else {
                     slavePaddingLeft = 5;
                }
                   
                String html = null;
                //if(process == TotReportProcess.COMP && prssVO.getDownDocId() == null) {
                if( (process == TotReportProcess.COMP && prssVO.getDownDocId() == null) || (process == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))) {
                    //html = prssVO.getToHTML(pm, tableNum, tableNum > 0, true); //ǥ  ִ κ
                    TotReport report = pm.getObjectById(TotReport.class, prssVO.getId());
                    html = TotReportUtil.toHTML(report, tableNum, tableNum > 0, true); //ǥ  ִ κ                    
                }

//        for (TotReport report : reportList) {
//            index++;
//            if (index % 100 == 0) {
//                tx.rollback();
//                tx.begin();
//            }
//            MDept organCode = report.getDept(pm).getOrgan(pm);
//            String organName = report.getDept(pm).getOrgan(pm).getName();
//            String deptName = report.getDept(pm).getName();
//            String ownerName = report.getOwnerName(pm);
//            TotReportProcess process = report.getProcess();
//            String upperName = report.getDept(pm).getUpperDept(pm).getName();
//            String html = TotReportUtil.toHTML(report, tableNum, tableNum > 0, true);
    %>
    <tr>
        <td class="kecttep_title" style="padding-left: <%= slavePaddingLeft %>" align="left" width="10%"><%= prssVO.getOrgan() == null ? "" : prssVO.getOrganName()%></td> 
        <td class="kecttep_title" style="padding-left: 5" align="left" width="10%"><%= MString.checkNull(prssVO.getDeptName())%></td>
        <td class="kecttep_title" style="padding-left: 5" align="left" width="10%"><%= MString.checkNull(prssVO.getDeptId())%>
            <% if( prssVO.getDownDocId() != null ) { 
            out.write("   [" + Moumi.getMessageBundle().getString("moumi.message.tot_doc.subdoc") + "]"); 
            }%>          
        </td>
        <td align="left"><%= ((process == TotReportProcess.COMP && prssVO.getDownDocId() == null) || (process == TotReportProcess.TEMP && "Y".equals(totDoc.getRegularDocYn()))) ? Excel.removeFmla(html) : process%></td>
    </tr>
    <%
            }  //end of for list
        }   //end of if( count > 0)    
            
//        }
        //tx.rollback();
    %>
    <%
        if(count <= 0) { //if (reportList.size() <= 0) {
    %>
    <tr>
        <td align="center"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.notReportData")%></td>
    </tr>
    <%  } %>
</table>

<%
    } catch (Exception ex) {
        ex.printStackTrace();
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
