
<%
    /**
     * **********************************************************@@ Program Name
     * : doc_list.jsp Description	: ////  Author	: ũ Create
     * Date	: 2010.11.26 History	:
     * @@***********************************************************
     */
%>

<%@ page contentType="text/html; charset=euc-kr"
         import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
         import="kr.co.kihyun.moumi.MoumiConfig"
         import="kr.co.kihyun.beans.entity.*"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.lang.MLong"
         import="kr.co.kihyun.lang.Encoder"
         import="java.text.SimpleDateFormat"
         %>
<%
    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        tx.begin();
        TotDoc totDoc = pm.getObjectById(TotDoc.class, MLong.parseLong(request.getParameter("docID")));
        AcceptanceLimitStrategy acceptanceLimitStrategy = totDoc.getAcceptanceLimitStrategy();
        String tmp = null;
        if(acceptanceLimitStrategy.getLimitCount() == 0){
            tmp = new SimpleDateFormat("yyyy-MM-dd HH").format(totDoc.getEndDate()) + " ";
         }else{
            tmp = MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.endBySubmitTotal") + " ";
         }
         if(tmp.contains("9999-12-30")) tmp=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.endManually");
         
        String recTmpMagam = MString.checkNull(tmp);
%>
<tr>
    <td></td>
</tr>
<tr>
    <td colspan="4">
        <table border="0" width="100%" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 14"><img src="/totsys/common/images/ico_3.gif"></td>
                <td class="kecttep_title" style="padding-left: 5" align="left" 	width="250">
                    <%=TotDocType.TOT_DOC%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.request")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.person")%>
                    <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.info")%>
                </td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
        </table>
    </td>
</tr>
<tr>
    <td colspan="4">
        <table border="1px" class="kecttep_list_table" width="800"
               cellpadding="0" cellspacing="0">
            <tr>
                <td width="150" class="kecttep_tdmenu" nowrap style="padding-left: 20px">
                    <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.registrition")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.person")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.name")%>
                </td>
                <td colspan="3" class="kecttep_last_graytd" width="680" style="padding-left: 15; padding-top: 4;">
                    <%= MString.checkNull(totDoc.getOwnerName())%>&nbsp;
                </td>
            </tr>
            <tr>
                <td height="27" class="kecttep_tdmenu"nowrap style="padding-left: 20px">
                    <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.request")%>
                    <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.coporation")%>/<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.devision")%>
                </td>
                <td width="150" class="kecttep_last_graytd" style="padding-left: 15; padding-top: 4;" nowrap>
                    <%= totDoc.getDept(pm).getName()%>&nbsp;
                </td>
                <td width="120" height="27" class="kecttep_tdmenu"nowrap style="padding-left: 20px">
                    <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.telNumber")%>
                </td>
                <td width="150" class="kecttep_last_graytd" style="padding-left: 15; padding-top: 4;">
                    <%= MString.checkNull(totDoc.getOwnerPhone())%>&nbsp;
                </td>
            </tr>
            <tr>
                <td class="kecttep_tdmenu" nowrap style="padding-left: 20px">E-MAIL</td>
                <td class="kecttep_last_graytd" style="padding-left: 15; padding-top: 4;"><%= MString.checkNull(totDoc.getOwnerEmail())%>&nbsp;</td>
                <td width="120" class="kecttep_tdmenu"nowrap style="padding-left: 20px"><%=""%></td>
                <td class="kecttep_last_graytd" style="padding-left: 15; padding-top: 4;"><%=recTmpMagam%></td>
            </tr>
        </table>
    </td>
</tr>
<%
        tx.commit();
    } catch (Exception ex) {
        ex.printStackTrace();
        pm.close();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
