<%@page import="java.net.URLDecoder"%>
<%
/************************************************************@@
  * Program Name	: report_list.jsp
  * Description		: ////  
  * Author			: ũ
  * Create Date		: 2010.11.26
  * History			:
@@************************************************************/
%>
<%@ page contentType="text/html; charset=euc-kr"
	import="java.util.Calendar" import="java.util.Date"
	import="java.util.List" import="java.text.SimpleDateFormat"
	import="javax.jdo.PersistenceManager" import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.*"
	import="kr.co.kihyun.beans.ecross.*"
	import="kr.co.kihyun.beans.entity.ecross.*"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.lang.Encoder" import="kr.co.kihyun.lang.MString"
	import="kr.co.kihyun.lang.MInteger" import="kr.co.kihyun.moumi.Moumi"
       import="kr.co.kihyun.beans.entity.MUser"
	import="org.slf4j.Logger" import="org.slf4j.LoggerFactory" import="java.util.*"
       import="kr.co.kihyun.service.*" import="kr.co.kihyun.service.vo.*"
%>
<%@page import="java.net.URLEncoder"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%
response.setBufferSize(1024*8);
Logger LOG = LoggerFactory.getLogger(this.getClass());
MPersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
Transaction tx = pm.currentTransaction();

try{
	/********** session userId **********/
	String usID = HttpSSOLogin.getLoginID(request);
        String dpID = HttpSSOLogin.getDeptID(request);
        
        String strPage = clearXSS(request.getParameter("strPage"),"");
	/********** Parameter **********/
	//int strPage  = MInteger.parseInt(request.getParameter("strPage"), 1);
	String findOption = clearXSS(request.getParameter("findOption"),null);
	String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")),null);

        String method = clearXSS(request.getParameter("method"),"");
    
	if(method.equals("GET")) findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
        //String uri = URLEncoder.encode("report_list.jsp?findOption="+MString.checkNull(findOption),"UTF-8")+"&method=GET";

	int docNameLengthLimit = 30;
        
	tx.begin();

        String tmpMagam;

	int pageSize=0;
	int currentPage=0;
	int currentPageSetUp=0;
	int recordSize=15;

        if(strPage == null || strPage.length()<=0){
		currentPage = 1;
	}else if(strPage.equals("null")){
		currentPage = 1;
	}else{
            try{
                    currentPage=Integer.parseInt(strPage);
            }catch(NumberFormatException ex){
                    System.out.println(ex);
            }
	}

        //======================================================================
        MUser mUser = pm.getObjectById(MUser.class, usID);
        SysAuth sysAuth = mUser.getSysAuth();
        
        TotReportService reportService = new TotReportService(pm);
        //˻Ķ
        Map params = new HashMap();
        params.put("findOption",    findOption);
        params.put("filterValue",   findWord);
        params.put("userId",        usID);
        params.put("deptId",        dpID);
        params.put("sysAuth",       mUser.getSysAuth());       
        
        //˻ ڵ尹ȸ    
        reportService.createAcceptReportListSearchQuery(params);

        //ڵ尹ȸ Ͽ ڵ尹 
        int count = reportService.getCountFromMainQuery();

        if((count%recordSize) == 0){
                pageSize = (int)(count/recordSize);
        }else{
                pageSize = (int)(count/recordSize)+1;
        }
        
        if( currentPage > pageSize ) currentPage = pageSize;
        currentPageSetUp = (int)(currentPage/10)*10;
	if (currentPage%10 == 0){
		currentPageSetUp-=10;
	}

        int startNo = (currentPage - 1) * recordSize + 1;
        int endNo = currentPage * recordSize;

        List list = null;

        //˻ȸ 
        if( count > 0 ) {
            //¡ó  ߰Ķ 
            reportService.getParams().put("startNo", startNo);
            reportService.getParams().put("endNo", endNo);

            //˻ ¡ó   ȯ
            reportService.convertToPagenatingQuery();

            //ϴ ڵ尡 ϸ ȸ
            list = reportService.executeQuery(TotReportVO.class);
        }
        //======================================================================
        tx.rollback();
        
        SimpleDateFormat ymdFormat = new SimpleDateFormat("yyyy-MM-dd");
	SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	Calendar cal = Calendar.getInstance();

	String nowTime = "";
	nowTime = sdf.format(cal.getTime());
	Date nowDate = sdf.parse(nowTime);

	%>
<HTML>
<HEAD>
<TITLE><%=Moumi.getTitle()%></TITLE>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=euc-kr">
<link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
<link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
<script src="/totsys/common/js/rollover.js"></script>
<script src="/totsys/common/js/find.js"></script>
<script src="/totsys/common/js/mouse.js"></script>
<script language="javascript">
    /*
    * ˻  submitóԼ
    * @param {type} p_findForm
    * @returns {Boolean}             
    */
    function fn_onFindSubmit(p_findForm) {
        if( !findCheck(p_findForm) ) return false;
        p_findForm.strPage.value = 1;
        return true;
    }
    /*
    * ̵óԼ
     */
    function fn_goToPage(p_page) {
        document.findForm.strPage.value = p_page;
        document.findForm.submit();
    }

    /*
    * 󼼺 ̵óϴ Լ
    * @param {type} p_reportId
    * @param {type} p_endDate
    * @param {type} p_submitDate
    * @returns {undefined}
    */
   function fn_goToView(p_prss, p_reportId, p_tmpStrMagam, p_tmpMagam) {
       document.viewForm.reportID.value = p_reportId;
       document.viewForm.tmpStrMagam.value = p_tmpStrMagam;
       document.viewForm.tmpMagam.value = p_tmpMagam;
       if( p_prss == 0 ) {      //
           document.viewForm.action = "/totsys/repoper/mydocbox/tempbox/report_regist.jsp";
        }else if( p_prss == 3 ) {   //Է¿û
            document.viewForm.action = "./return_report_modify.jsp";
        }
       document.viewForm.submit();
   }
</script>
</HEAD>
<body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
<form name="viewForm" method="post">
    <input type="hidden" name="reportID" value="">
    <input type="hidden" name="type" value="returndoc">
    <input type="hidden" name="totperInfo" value="true">
    <input type="hidden" name="tmpStrMagam" value="">
    <input type="hidden" name="tmpMagam" value="">
    <input type="hidden" name="strPage" value="<%= currentPage %>">
    <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
    <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">
</form>
<table width="100%" height="70" border="0" cellpadding="0" cellspacing="0">
	<jsp:include page="/totsys/common/inc/repoper/top/top.jsp" flush="true" />
	<tr>
		<td nowrap width="0"></td>
		<td>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
			<tr>
				<td>
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr valign="top" class="toolbar">
					 <td>
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="350">
								   <form name="findForm" method="post" action="./report_list.jsp" onsubmit="return fn_onFindSubmit(this);" style="margin: 0px">
                                                                       <input type="hidden" name="strPage" value="<%= currentPage %>">
                                       <select name="findOption" class="inputtxt" onchange="showMSG(this.options[this.selectedIndex].value, msg)">
                                            <option value="totDoc.name"<%= "totDoc.name".equals(findOption) ? " selected" : "" %>><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.doc") %><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.name") %></option>
                                            <option value="totDoc.executionCode"<%= "totDoc.executionCode".equals(findOption) ? " selected" : "" %>><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.executionCode")%></option>
                                            <option value="totDoc.mUser.name"<%= "totDoc.mUser.name".equals(findOption) ? " selected" : "" %>>û</option>
                                       </select>
                                            <input name="findWord" value="<%= MString.checkNull(findWord) %>" type="text" class="inputtxt" size="30" maxlength="30" style="ime-mode: active;" />
                                            <input type="image" src="/totsys/common/images/bt_search_inquiry2.gif"	border="0" align="middle" style="MARGIN: 0px 0px 0px 0px">
								   </form>
								</td>
								<td><span id="msg" class="kecttep_date_search"
									style='display: none; padding-top: 5'>&nbsp;&nbsp;<%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.daySearchForm")%></span></td>
							</tr>
						</table>
						</td>
					</tr>
				</table>
				</td>
			</tr>

			<tr>
				<td height="31" valign="top"><!----   ---->
				<table border="1px" bordercolor="#e3e3e3" class="kecttep_list_table"
					width="100%" cellpadding="0" cellspacing="0">
					<tr valign="middle" style="padding-top: 3">
                                                <td align="center" nowrap class="kecttep_tdmenu" width="60">
                                                    <%=Moumi.getMessageBundle().getString("moumi.message.tot_report.section")%>
                                                </td>
						<td align="center" class="kecttep_tdmenu"><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.doc") %><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.name")%></td>
						<td width="150" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.request")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.coporation")%></td>
						<td width="97" align="center" nowrap class="kecttep_tdmenu"><%=TotDocType.TOT_DOC %><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.request")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%></td>
                                                <td width="97" align="center" class="kecttep_tdmenu" rowspan="1"><%=Moumi.getMessageBundle().getString("moumi.message.tot_report.submit")%><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.person")%></td>
						<td width="97" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.startDate")%></td>
						<td width="125" align="center" nowrap class="kecttep_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.endDate")%></td>
						<td width="97" align="center" nowrap class="kecttep_last_tdmenu"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.remark")%></td>
					</tr>
					<%
                if( count > 0 ) {    
                    int listCount = list.size();
                    for(int i = 0; i < listCount; i++){
                        TotReportVO reportVO = (TotReportVO)list.get(i);
                        String tmpMoumiAcptLimitStrategy = Integer.toString(reportVO.getSubmitLimitCnt());
                        String tmp2= null;
                        String tstr = "";
                        String tcnt;
                        //   ,  ϵ . 2014.11.26 by YOUNGJUN,CHO
                        //tcnt = "("+Integer.toString(reportVO.getSubmitLimitCnt())+" )";
                        tcnt = "<br /><span title=' "+Integer.toString(reportVO.getSubmitLimitCnt())+"    "+Integer.toString(reportVO.getCompleteReportCount())+"   Ͽϴ.'>  ("+Integer.toString(reportVO.getCompleteReportCount())+" / "+Integer.toString(reportVO.getSubmitLimitCnt())+")" +"</span>";
                        if(tmpMoumiAcptLimitStrategy.equals("0")){
                           tmp2 = new SimpleDateFormat("yyyy-MM-dd HH").format(reportVO.getEndDate());
                           tcnt = "";
                        }else{
                           tmp2 = Moumi.getMessageBundle().getString("moumi.message.tot_doc.endBySubmitTotal");                        //
                           tstr = "";
                        }
                        if(tmp2.contains("9999-12-30")) tmp2=Moumi.getMessageBundle().getString("moumi.message.tot_doc.docGethering");  //
                        if(tmp2.equals(Moumi.getMessageBundle().getString("moumi.message.tot_doc.docGethering"))) tstr = "";            //
                        
                        tmpMagam = tmp2;
                        %>
                <tr style="padding-top: 3" valign="middle"
                        onmouseover="this.style.backgroundColor='F9F9F9'"
                         onmouseout="this.style.backgroundColor='white'" bgColor=#ffffff>
                         <td width="60" align="center" class="kecttep_graytd" nowrap>
                                            <%
                                            if (reportVO.isPeriodicalDoc() && reportVO.isDocCollection()) {%>
                                                <img src="/totsys/common/images/type_tot.png"  border="0" align="absmiddle" />  <!-- / -->
                                            <%} else if (reportVO.isPeriodicalDoc() && !reportVO.isDocCollection()) { %>
                                                <img src="/totsys/common/images/type_file.png"  border="0" align="absmiddle" />  <!-- / -->
                                            <%} else if (!reportVO.isPeriodicalDoc() && reportVO.isDocCollection()) { %>
                                                <img src="/totsys/common/images/type_tot.png"  border="0" align="absmiddle" />    <!-- / -->
                                            <%} else if (!reportVO.isPeriodicalDoc() && !reportVO.isDocCollection()) { %>
                                                <img src="/totsys/common/images/type_file.png"  border="0" align="absmiddle" />    <!-- / -->
                                            <%}%>                                            
                                        </td>
                        <!--  -->
                    <%if(reportVO.getPrss() == 3){%> <!--TotReportProcess.RETURN = Է¿û ° 3-->
                      <td nowrap class="kecttep_graytd">&nbsp;&nbsp;
                        <% if(reportVO.getDownDocId() == 0){ %>

                             <a onmouseover="balloon_on('<%= reportVO.getDocName() %>',this,10,4)"  onmouseout="balloon_off()" href="javascript:fn_goToView(<%= reportVO.getPrss()%>, '<%= reportVO.getId() %>', '', '');">
                                <font color="<%if(reportVO.getEndDate().getTime() < nowDate.getTime()){%>red<%}else{%>blue<%}%>">
                                      <%= MString.getEllipsis(reportVO.getDocName(), docNameLengthLimit) %>
                                </font>
                             </a>

                            <% }else{ %>

                             <a onmouseover="balloon_on('<%=reportVO.getDocName()%>',this,10,4)"  onmouseout="balloon_off()" href="./report_view.jsp?reportID=<%= reportVO.getId() %>&type=returndoc&totperInfo=true&tmpStrMagam=<%=tmpMagam%>&tmpMagam=<%=tmpMagam%>">
                             <font color="<%if(reportVO.getEndDate().getTime() < nowDate.getTime()){%>red<%}else{%>blue<%}%>">
                                 <%= MString.getEllipsis(reportVO.getDocName(), docNameLengthLimit) %>
                             </font>
                             </a>

                          <% } %>
                         </td>
                    <%}else if(reportVO.getPrss() == 0){%> <!--TotReportProcess.ACCEPT =  ° 0-->
                         <td nowrap class="kecttep_graytd">&nbsp;&nbsp;
                             <a onmouseover="balloon_on('<%= reportVO.getDocName() %>',this,10,4)"  onmouseout="balloon_off()"
                                href="javascript:fn_goToView(<%= reportVO.getPrss()%>, '<%= reportVO.getId() %>', '<%=tmpMagam%>', '<%=tmpMagam%>');">
                                 <font color="<%if(reportVO.getEndDate().getTime() < nowDate.getTime()){%>red<%}else{%>blue<%}%>">
                                   <%= MString.getEllipsis(reportVO.getDocName(), docNameLengthLimit) %></font>
                             </a>
                         </td>
                    <%}%>
                        <!-- û/μ -->
                        <td width="150" align="center" nowrap class="kecttep_graytd"><%= MString.checkNull(reportVO.getDeptName()) %>&nbsp;</td>
                        <!-- û -->
                        <td width="97" align="center" nowrap class="kecttep_graytd">&nbsp;<%= MString.checkNull(reportVO.getDocOwnerName()) %></td>
                        <!--  -->
                        <% if (reportVO.getUserId() != null){%>
                        <td width="97" align="center" nowrap class="kecttep_graytd"><%= MString.checkNull(reportVO.getOwnerName())+"\n"%>(<%=MString.checkNull(reportVO.getUserId())%>)</td>
                        <%}else {%>
                        <td width="97" align="center" nowrap class="kecttep_graytd">&nbsp;</td>
                        <%}%>
                        <!--  -->
                        <td width="97" align="center" nowrap class="kecttep_graytd"><%=ymdFormat.format(reportVO.getStartDate())%></td>
                        <!--  -->
                        <td width="125" align="center" nowrap class="kecttep_graytd">
                        <%                  
                          out.write(tmp2+tstr+tcnt);
                        %>
                        </td>
						<!--  -->
						<td width="97" align="center" nowrap class="kecttep_last_graytd">&nbsp;
                     <%if(reportVO.getDownDocId() == 0){%> 
                              <%if(reportVO.getPrss() == 3){%>
                                <%=TotReportProcess.RETURN %>
                              <%}%>
                     <%}else{%>
                              <%if(reportVO.getPrss() == 3){%>
                                <%=TotReportProcess.RETURN %>
                              <%}%>
                     <%}%> &nbsp;
                        </td>
                        </tr>
                            <%
                    }       //end of for list
                }       //end of if( count > 0)
                            %>
                            </table>
				</td>
			</tr>

			<tr>
				<td height="15"></td>
			</tr>
			<%if(count > 0){%>
			<tr style="padding-top: 3" valign="middle">
				<td class="kecttep_board" colspan="13" align="center"><!-------------------------------   κ  ------------------------------->
				<jsp:include page="/totsys/common/inc/board/page_module.jsp" flush="true">
					<jsp:param name="pageFunction" value="fn_goToPage" />
					<jsp:param name="pageSize" value="<%= pageSize %>" />
					<jsp:param name="currentPage" value="<%= currentPage %>" />
					<jsp:param name="currentPageSetUp" value="<%= currentPageSetUp %>" />
				</jsp:include> <!-------------------------------   κ  ------------------------------->
				</td>
			</tr>
			<%}else{%>
			<tr>
				<td class="kecttep_none_tdmenu" colspan="7" height="25"
					align="center"><%=Moumi.getMessageBundle().getString("moumi.message.tot_report.notSubmitDoc")%></td>
				<%}%>
				<input type="hidden" name="tmpFind"
					value="<%=MString.checkNull(findOption)%>">
				<script>
							if(tmpFind.value == "totDoc.name"){
								findForm.findOption.selectedIndex=0;
							}else if(tmpFind.value == "totDoc.mDept.name"){
								findForm.findOption.selectedIndex=1;
							}else if(tmpFind.value == "totDoc.mUser.name"){
								findForm.findOption.selectedIndex=2;
							}else if(tmpFind.value == "totDoc.startDate"){
								findForm.findOption.selectedIndex=3;
							}else if(tmpFind.value == "totDoc.repoEndDate"){
								findForm.findOption.selectedIndex=4;
							}
						</script>
		</table>
		</td>
		<td nowrap width="10"></td>
	</tr>

	<!------------------------------- top menu start ------------------------------->
	<%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
	<!------------------------------- top menu end ------------------------------->
</table>
</BODY>
</HTML>
<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{

	if(tx.isActive())
		tx.rollback();
	pm.close();
}
%>
