<%  /**
     * **********************************************************
     * @@ Program Name  : doc_modify.jsp 
     * @@ Description	: ////⺻  
     * @@ Author	: ũ 
     * @@ Create Date	: 2010-11-21 
     * @@ History	:
     * @@***********************************************************
     */
%>

<%@ page contentType="text/html; charset=euc-kr"
         import="java.net.URLEncoder"
         import="java.net.URLDecoder"
         import="java.util.List"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.moumi.Moumi"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.MString"         
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.beans.totsys.menu.MenuBean"
         import="kr.co.kihyun.service.ShareDocService" 
         import="kr.co.kihyun.beans.entity.TotDoc" 
         import="kr.co.kihyun.beans.entity.TotDocProcess"
         import="kr.co.kihyun.beans.entity.TotDocType"
         import="javax.jdo.PersistenceManager"
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.lang.MLong"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%  PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        /**
         * ******** session userId *********
         */
        String usID = HttpSSOLogin.getLoginID(request);

        /**
         * ********** top value ***********
         */
        String dirPath = URLEncoder.encode("<a href=\"/totsys/totper/mydocbox/index.html\" class=\"d11_blue\"> " + Moumi.getMessageBundle().getString("moumi.message.tot_doc.myDoc") + "</a> &gt; <a href=\"/totsys/totper/mydocbox/prss/doc_list.jsp\" class=\"d11_blue\">" + Moumi.getMessageBundle().getString("moumi.message.tot_doc.myPrssBox") + "</a>", "UTF-8");

        /**
         * **** Parameter *****
         */
        String docID = clearXSS(request.getParameter("docID"), "");
        String docType = clearXSS(request.getParameter("docType"), null);
        int strPage = MInteger.parseInt(request.getParameter("strPage"), 1);
        String findOption = clearXSS(request.getParameter("findOption"), "");
        String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")), "");
        String stDate = clearXSS(request.getParameter("stDate"),"");
        String edDate = clearXSS(request.getParameter("edDate"),"");
        
        String method = clearXSS(request.getParameter("method"), "");        
        if (method.equals("GET")) {
            findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
        }          
//System.out.println("findWord = "+findWord);   

        int userShareCount = 0; 
                
    tx.begin();

        TotDoc totDoc = pm.getObjectById(TotDoc.class, MLong.parseLong(docID));
        String regID = totDoc.getUser(pm).getId();

        //̱ 쿡 ȸѴ.
        ShareDocService shareDoc = new ShareDocService(pm);
        List tmpList = shareDoc.getSearchDocIdType('N', docID, 'D');
        userShareCount = tmpList.size();
        
            
    tx.rollback();

        String redirectURI = "/totsys/totper/mydocbox/prssbox/doc_list.jsp?docType=" + docType;

        session.setAttribute("modifySuccTargetURI", "totper/mydocbox");
        session.setAttribute("modifyFailTargetURI", "/totsys/totper/mydocbox/prssbox/doc_modify.jsp?docID=" + docID);

        MenuBean modifyMenu     = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/doc_modify.jsp?docID=" + docID + "&docType=" + docType);
        MenuBean reportsMenu    = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/reports/report_list.jsp?docID=" + docID + "&docType=" + docType);
        MenuBean totReportsMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_reports/total_reports.jsp?docID=" + docID + "&docType=" + docType);
        MenuBean totReportMenu  = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_report/total_report.jsp?docID=" + docID + "&docType=" + docType);
%>

<HTML>
    <HEAD>
        <TITLE><%=Moumi.getTitle()%></TITLE>
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/tabs.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/SquareButtons.css" type="text/css">
        <script language="javascript">
    if ('<%=regID%>' != '<%=usID%>' && '<%=HttpSSOLogin.getSysAuth(request)%>' == '<%=Moumi.TOTPER%>') {
        alert("<%=Moumi.getMessageBundle().getString("moumi.message.popup.docModify")%>");
        location.replace('/totsys/totper/mydocbox/prssbox/doc_list.jsp?docType=<%=docType%>');
    }
        </script>

    <script language="javascript">        
        function userShareSelect() {
            var urlname = "";
            var height  = screen.height;
            var width   = screen.width;
            var leftpos = width / 2 - 350;
            var toppos  = height / 2 - 350;

            //docReportType: (D:蹮, R:⹮)
            urlname = "/totsys/common/web/report_dept/popup_user_share_select.jsp?docID=<%=docID%>&docReportType=D&userYN=Y&selfDeptYn=N&exeFlag=form";
            post= window.open(urlname, "post","width=900, height=600, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left=" + leftpos + ",top=" + toppos);
            post.focus();
       }
       
        /*
         *  ̵óϴ Լ
         */
        function fn_goToList() {
            document.listForm.submit();
        }

    </script>                    
    </HEAD>
    <body style="overflow: auto" BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0" onload="scrollObjectContent('formDiv');">
        <form name="listForm" method="post" action="./doc_list.jsp">
            <input type="hidden" name="docType"    value="<%= docType%>">
            <input type="hidden" name="strPage"    value="<%= strPage%>">
            <input type="hidden" name="findOption" value="<%= MString.checkNull(findOption)%>">
            <input type="hidden" name="findWord"   value="<%= MString.checkNull(findWord)%>">
            <input type="hidden" name="stDate"     value="<%= stDate %>">
            <input type="hidden" name="edDate"     value="<%= edDate %>">                
        </form>
        
        <div>
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <!-- ---------------------------- top menu start ----------------------------- -->
                <jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true">
                    <jsp:param name="dirPath" value="<%= dirPath%>" />
                </jsp:include>
                <jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
                <!-- ----------------------------- top menu end ----------------------------- -->
            </table>
        </div>
        <!--tap -->
        <div id="header">
            <ul id="primary">
                <li><span class="kecttep_menu_focous"><%= modifyMenu%></span></li>
                    <% //if(totDoc.getProcess(pm).ordinal() > TotDocProcess.REG.ordinal()) { %>
                <li><a href="<%= reportsMenu.getUrl()%>"><%= reportsMenu%></a></li>
                <li><a href="<%= totReportsMenu.getUrl()%>"><%= totReportsMenu%></a></li>
                <!--li><a href="<%= totReportMenu.getUrl()%>"><%= totReportMenu%></a></li-->        
                <% //} %>
            </ul>
        </div>
        <!--tap -->

        <div id="main">
            <div id="contents">
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <%
                        if (!"END".equals(docType)) {
                    %>
                    <tr class="toolbar">
                        <td colspan="4" align="left">
                            <table border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <%
                                        if ("CANCEL".equals(docType)) {
                                    %>
                                    <td>
                                        <a class="simplebutton" href="#" onclick="javascript:reProcess();">
                                            <span class="recall"><%= Moumi.getMessageBundle().getString("moumi.message.button_small.docReprss")%>
                                            </span>
                                        </a> <!--  -->
                                    </td>
                                    <td class="kecttep_button_td">
                                        <a class="simplebutton" href="#" onclick="javascript:docDel();">
                                            <span class="remove"><%= Moumi.getMessageBundle().getString("moumi.message.button_small.docDel")%>
                                            </span>
                                        </a> <!-- ڷ -->
                                    </td>
                                    <%} else if ("PRSS".equals(docType)) {%>
                                    <!--				<td><a class="simplebutton" href="#"
                                                                        onclick="javascript:cancle();"><span class="no"><%= Moumi.getMessageBundle().getString("moumi.message.button_small.docCancel")%></span></a>  
                                                                    </td>-->
                                    <td class="kecttep_button_td">
                                        <!-- Ϸ button -->
                                        <a href="javascript:void(0);" onclick="endDoc();">
                                            <img src="/totsys/common/images/bt_totalok.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button_small.docEnd")%>" />
                                        </a>
                                        <!-- 纯 button -->
                                        <a href="javascript:void(0);" onclick="window.open('/totsys/repoper/mydocbox/returnbox/popup_rep_transfer6.jsp?boxName=returnbox&hideUser=false&docID=<%=docID%>&docReportType=D&exeFlag=form&docType=<%=docType%>&strPage=<%=strPage%>&findOption=<%=findOption%>&findWord=<%=findWord%>', '', 'width=572, height=680,toolbar=no, directories=no, status=no, menubar=no, resizable=no');">
                                            <img src="/totsys/common/images/bt_damdang.gif" alt="纯" />
                                        </a>
                                        <!-- ڰ button : 2014.08.21 Add by KWON,HAN -->
                                        <a href="javascript:void(0);" onclick="javascript:userShareSelect();">
                                            <img src="/totsys/common/images/bt_user_share.jpg" alt="<%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.user")%><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.share")%>" />
                                        </a>
                                    </td> 
                                    <td class="kecttep_button_td">
                                        <span id="userShareCountText">         
                                    <%
                                        if (userShareCount > 0) {
                                    %>                                              
                                            <!--  ڿ Ǿ ֽϴ. -->                                           
                                            <font color="009999"><%=userShareCount%><%=Moumi.getMessageBundle().getString("moumi.message.popup.userShareCounter")%></font>
                                    <%   
                                        }
                                    %> </span>
                                    </td> 
                                       
                                    <!-- --------------------------- -->
                                    <%}%>
                                    <!--  -->
                                    <td class="kecttep_button_td">
                                        <a href="javascript:void(0);" onclick="javascript:fn_goToList();">
                                            <img src="/totsys/common/images/bt_list.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.boardList")%>" />
                                        </a>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <%} else {%>
                    <tr class="toolbar">
                        <td colspan="4" align="left">
                            <table border="0" cellspacing="0" cellpadding="0">
                                <tr>         
                                    <td class="kecttep_button_td">
                                        <a href="javascript:void(0);" onclick="window.open('/totsys/repoper/mydocbox/returnbox/popup_rep_transfer6.jsp?boxName=returnbox&hideUser=false&docID=<%=docID%>&docReportType=D&exeFlag=form&docType=<%=docType%>&strPage=<%=strPage%>&findOption=<%=findOption%>&findWord=<%=findWord%>', '', 'width=572, height=725,toolbar=no, directories=no, status=no, menubar=no, resizable=no');">
                                            <img src="/totsys/common/images/bt_damdang.gif" alt="纯" />
                                        </a>
                                        <!-- 2014.08.21 Add by KWON,HAN : ڰ -->
                                        <a href="javascript:void(0);" onclick="javascript:userShareSelect();">                                            
                                             <img src="/totsys/common/images/bt_user_share.jpg" alt="<%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.user")%><%= Moumi.getMessageBundle().getString("moumi.message.tot_doc.share")%>" />
                                        </a>
                                    </td>
                                    <td class="kecttep_button_td">
                                        <span id="userShareCountText">
                                    <%
                                        if (userShareCount > 0) {
                                    %>      <!--  ڿ Ǿ ֽϴ. -->                                           
                                            <font color="009999"><%=userShareCount%><%=Moumi.getMessageBundle().getString("moumi.message.popup.userShareCounter")%></font>
                                    <%   
                                        }
                                    %>  </span>                                           
                                    </td>                                
                                    <!--  -->
                                    <td class="kecttep_button_td">
                                        <a href="javascript:void(0);" onclick="javascript:fn_goToList();">
                                            <img src="/totsys/common/images/bt_list.gif" alt="<%= Moumi.getMessageBundle().getString("moumi.message.button.boardList")%>" />
                                        </a>
                                    </td>                                    
                                </tr>
                            </table>
                            <%}%>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <!-------------------------------  ⺻   ------------------------------->
                    <jsp:include page="/totsys/common/inc/documents/tot_doc/base_info_modify.jsp" flush="true">
                        <jsp:param name="docID" value="<%= docID%>" />
                        <jsp:param name="docType" value="<%= docType%>" />
                        <jsp:param name="redirectURI" value='<%= redirectURI%>'/>
                    </jsp:include>
                </table>
            </div>
        </div>
        <!-------------------------------  ⺻   ------------------------------->
        <!------------------------------- top menu start ------------------------------->
        <%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
        <!------------------------------- top menu end ------------------------------->
    </BODY>
    <div id="SetWin"
         style="position: absolute; Visibility :'hidden'; width :'100'; height :'100'; background: silver; border: 1 #333333 solid; line-height: 1.4em; padding: 3 3"></div>
</HTML>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
