
<%    /**
     * **********************************************************
     * @@ Program Name  : doc_view.jsp 
     * @@ Description	: ////Ȳ 
     * @@ Author	: ũ 
     * @@ Create Date   : 2010.11.24 
     * @@ History	:
     * @@***********************************************************
     */
%>

<%@ page contentType="text/html; charset=euc-kr"
         import="java.net.URLEncoder"
         import="java.net.URLDecoder"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.lang.MLong" 
         import="kr.co.kihyun.moumi.Moumi"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.beans.totsys.menu.MenuBean"
         import="javax.jdo.PersistenceManager" 
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.TotDoc"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%    PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        /**
         * ******** session userId *********
         */
        String usID = HttpSSOLogin.getLoginID(request);
        int sysAuth = HttpSSOLogin.getSysAuth(request);
        /**
         * **** Parameter *****
         */
        Long docID = MLong.parseLong(request.getParameter("docID"), null);
        String docType = clearXSS(request.getParameter("docType"), null);
        int strPage = MInteger.parseInt(request.getParameter("strPage"), 1);
        String findOption = clearXSS(request.getParameter("findOption"), "");
        String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")), "");
        String stDate = clearXSS(request.getParameter("stDate"),"");
        String edDate = clearXSS(request.getParameter("edDate"),"");
        
        String method = clearXSS(request.getParameter("method"), "");        
        if (method.equals("GET")) {
            findWord = URLDecoder.decode(MString.checkNull(request.getParameter("findWord")), "UTF-8");
        }          
//System.out.println("findWord = "+findWord);     

        Long reportID = MLong.parseLong(request.getParameter("reportID"));
        //System.out.println("reportID2::::::"+reportID);
        //Ȳ ˻
        String searchDepth = clearXSS(request.getParameter("searchDepth"), "");        
        int innerStrPage = MInteger.parseInt(request.getParameter("innerStrPage"), 1);;
        String innerFindOption = clearXSS(request.getParameter("innerFindOption"), "");
        String innerFindWord = clearXSS(Encoder.toJava(request.getParameter("innerFindWord")), "");
        
        tx.begin();

        TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
        String regID = totDoc.getUser(pm).getId();
        String docName = totDoc.getName();

        tx.rollback();

        MenuBean modifyMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/doc_modify.jsp?docID=" + docID + "&docType=" + docType + "&strPage=" + strPage + "&method=GET&findOption=" + findOption + "&findWord=" + URLEncoder.encode(MString.checkNull(findWord),"UTF-8"));
        MenuBean reportsMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/reports/report_list.jsp?docID=" + docID + "&docType=" + docType + "&strPage=" + strPage + "&method=GET&findOption=" + findOption + "&findWord=" + URLEncoder.encode(MString.checkNull(findWord),"UTF-8"));
        MenuBean totReportsMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_reports/total_reports.jsp?docID=" + docID + "&docType=" + docType + "&reportID=" + reportID + "&strPage=" + strPage + "&method=GET&findOption=" + findOption + "&findWord=" + URLEncoder.encode(MString.checkNull(findWord),"UTF-8"));
        MenuBean totReportMenu = new MenuBean(request, "/totsys/totper/mydocbox/prssbox/tot_report/total_report.jsp?docID=" + docID + "&docType=" + docType);
%>
<HTML>
    <HEAD>
        <TITLE><%=Moumi.getTitle()%></TITLE>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=euc-kr">
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/tabs.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <script language="javascript">
            function modify() {
                if ("<%=regID%>" == "<%=usID%>" || <%=sysAuth%> == "<%=Moumi.SYSADM%>" || <%=sysAuth%> == "<%=Moumi.SUB_SYSADM%>") {
                    location.href = "<%= modifyMenu.getUrl()%>";
                } else {
                    alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.docModify")%>');
                }
            }
        </script>   
    </HEAD>
    <body style='' BGCOLOR="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0"
          MARGINWIDTH="0" MARGINHEIGHT="0">
        <div>
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
                <jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true" />
            </table>
        </div>
        <div id="header">
            <ul id="primary">
                <li><a href="#" onclick="modify();"><%= modifyMenu%></a></li>
                <li><a href="<%= reportsMenu.getUrl()%>"><%= reportsMenu%></a></li>
                <li><span class="kecttep_menu_focous"><%= totReportsMenu%></span></li>
                <!--li><a href="<%= totReportMenu.getUrl()%>"><%= totReportMenu%></a></li-->
            </ul>
        </div>
        <div id="main">
            <div id="contents">


                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                    <jsp:include page="/totsys/common/inc/documents/tot_reports/total_reports.jsp" flush="true">
                        <jsp:param name="docID" value="<%= docID%>" />
                        <jsp:param name="strPage" value="<%= strPage%>" />
                        <jsp:param name="findOption" value="<%= findOption%>" />
                        <jsp:param name="findWord" value="<%= URLEncoder.encode(MString.checkNull(findWord),"UTF-8")%>" />   
                        <jsp:param name="searchDepth" value="<%= searchDepth%>" /> 
                        <jsp:param name="innerStrPage" value="<%= innerStrPage%>" />
                        <jsp:param name="innerFindOption" value="<%= innerFindOption%>" />
                        <jsp:param name="innerFindWord" value="<%= URLEncoder.encode(MString.checkNull(innerFindWord),"UTF-8")%>" />   
                        <jsp:param name="listType" value="" /> 
                        <jsp:param name="docType" value="<%= docType%>" />
                        <jsp:param name="reportID" value="<%= reportID%>" />
                        <jsp:param name="stDate" value="<%= stDate%>" /> 
                        <jsp:param name="edDate" value="<%= edDate%>" />
                    </jsp:include>
                </table>
            </div>
        </div>

        <!------------------------------- top menu start ------------------------------->
        <%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
        <!------------------------------- top menu end ------------------------------->
    </BODY>
</HTML>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
