
<%		/**
     * **********************************************************@@ Program Name
     * : doc_regist.jsp Description	: ////  Author	: ũ Create
     * Date	: 2010.11.26 History	:
     * @@***********************************************************
     */
%>

<%@ page contentType="text/html; charset=euc-kr"
         import="java.util.Calendar"
         import="java.net.URLEncoder"
         import="java.util.Date"
         import="java.text.SimpleDateFormat"
         import="kr.co.kihyun.beans.user.HttpSSOLogin"
         import="kr.co.kihyun.lang.Encoder"
         import="kr.co.kihyun.lang.MString"
         import="kr.co.kihyun.lang.MInteger"
         import="kr.co.kihyun.lang.MLong"
         import="kr.co.kihyun.moumi.MoumiConfig"
         import="kr.co.kihyun.moumi.doc.MDoc"
         import="kr.co.kihyun.lang.StringConverter"
         import="kr.co.kihyun.text.html.TagFilter"
         import="javax.jdo.PersistenceManager"
         import="javax.jdo.Transaction"
         import="kr.co.kihyun.beans.entity.util.*"
         import="kr.co.kihyun.beans.entity.*"
         import="kr.co.kihyun.beans.entity.TotDocType"
         %>
<%@ page import="java.util.Map.Entry"%>
<%@ page import="java.util.List"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp" %>

<%		PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
    Transaction tx = pm.currentTransaction();
    try {
        /**
         * ******** session userId *********
         */
        String usID = HttpSSOLogin.getLoginID(request);
        String deptID = HttpSSOLogin.getDeptID(request);

        /**
         * ********** Parameter values ***********
         */
        Long reportID = MLong.parseLong(request.getParameter("reportID"), null);
        String totType = clearXSS(request.getParameter("totType"), "");
        Long downDocID = MLong.parseLong(request.getParameter("downDocID"), null);
        String boxName = MString.checkNull(request.getParameter("boxName"));
        if (MString.isNull(totType) || totType.equals("")) {
            totType = "1step";
        }
        String tmpMagam = MString.checkNull(request.getParameter("tmpMagam"));

        String strPage = clearXSS(request.getParameter("strPage"),"");
        String findOption = clearXSS(request.getParameter("findOption"),null);
        String findWord = clearXSS(Encoder.toJava(request.getParameter("findWord")),null);
        
        TotReport totReport = pm.getObjectById(TotReport.class, reportID);

        String usrFilenames = "";
        String svrFilenames = "";
        int fileCount = 0;

        tx.begin();

        /**
         * **** Doc list data get *****
         */
        TotDoc totDoc = totReport.getTotDoc();
        String docName = totDoc.getName();
        String docForm = totDoc.getForm();
        String regID = totDoc.getUser(pm).getId();
        Date startDate = totDoc.getStartDate();
        Date endDate = totDoc.getEndDate();
        AccessAuth accAuth = totDoc.getAccessAuth();
        TotDoc.TotRange totRange = totDoc.getTotRange();

        Board board = totDoc.getBoard();
        for (Entry<String, List<Byte>> entry : board.getAttachments().entrySet()) {
            usrFilenames += entry.getKey() + ";";
            svrFilenames += entry.getKey() + ";";
        }

        fileCount = board.getAttachments().size();

        tx.rollback();

        /**
         * ******** ,  , ,  *********
         */
        String stDate = startDate == null ? "" : new SimpleDateFormat("yyyy-MM-dd").format(startDate);
        String stTime = startDate == null ? "" : new SimpleDateFormat("HH").format(startDate);
        String edDate = new SimpleDateFormat("yyyy-MM-dd").format(endDate);
        String edTime = new SimpleDateFormat("HH").format(endDate);
%>

<HTML>
    <HEAD>

        <TITLE><%=MoumiConfig.getTitle()%></TITLE>
        <link rel="stylesheet" href="/totsys/common/css/text.css" type="text/css">
        <script src="/totsys/common/js/rollover.js"></script>
        <script src="/totsys/common/js/util.js"></script>
        <script src="/totsys/common/js/calendar.js"></script>
        <script src="/totsys/common/js/drag.js"></script>
        <script src="/totsys/common/js/date.js"></script>
        <SCRIPT type="text/javascript" src='/totsys/common/js/mouse.js'></SCRIPT>
        <SCRIPT LANGUAGE='javascript' src='/totsys/common/js/editor.js'></SCRIPT>
        <link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
        <link rel="stylesheet" href="/totsys/common/css/tabs.css" type="text/css">
        <link href="/totsys/common/css/SquareButtons.css" rel="stylesheet" type="text/css">
        
        <script type="text/javascript" src="/totsys/common/js/jquery-1.6.2.min.js"></script>
        <script type="text/javascript" src="/totsys/common/js/jquery.custom.indicator.js"></script>
        
        <SCRIPT language=javascript>
            /*
            *  ̵óϴ Լ
            */
           function fn_goToList() {
               document.listForm.submit();
           }
            function setValue() {
                if ("<%= docName%>" != "") {
                    dform.docName.value = "<%= docName%>";
                    dform.accAuth["<%= accAuth.ordinal()%>"].checked = true;
                    dform.stDate.value = "<%= stDate%>";
                    dform.stTime.value = "<%= stTime%>";
                    dform.edDate.value = "<%= edDate%>";
                    dform.edTime.value = "<%= edTime%>";
                }
            }

            function formSubmit() {
                //ban lower case var ext = fn.substring(fn.indexOf('.')+1,fn.length).toLowerCase();
                if (dform.docName.value == '') {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.dataNameCheck")%>');
                    dform.docName.focus();
                    return;
                    //}else if (containsChars(dform.docName,'/?"<>|!,*&^%$#@~;')) {
                } else if (containsChars(dform.docName, '/|^$#@')) {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.dataNameSymboleCheck")%>');
                    dform.docName.focus();
                    return;
                } else if (dform.accAuth[0].checked == false && dform.accAuth[1].checked == false && dform.accAuth[2].checked == false && dform.accAuth[3].checked == false) {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.docAuth")%>');
                    return;
                } else if ((dform.stDate.value == '') || (dform.stTime.value == '')) {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.startDateCheck")%>');
                    dform.stDate.focus();
                    return;
                } else if ((dform.edDate.value == '') || (dform.edTime.value == '')) {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.endDateCheck")%>');
                    dform.edDate.focus();
                    return;
                } else if (isDateTrue(dform.stDate.value, dform.stTime.value, dform.edDate.value, dform.edTime.value)) {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.startEndDateCheck")%>');
                    return;
                } else if (dform.stDate.value < '<%=stDate%>') {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.notTotdocStartDate")%>');
                            return;
                } else if (dform.edDate.value > '<%=edDate%>') {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.notTotdocEndDate")%>');
                    return;
//                                }else if(dform.edTime.value > '<--%=edTime%>'){
//                                        alert('<--%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.notTotdocEndDate")%>');
//                                        dform.edTime.focus();
//                                        return;
                } else if (dform.deptIDs.value.length == '') {
                    alert('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.deptComp")%>');
                    deptSelect();
                    return;
                }/*else if(dform.totRange[0].checked==true && dform.handyName.value.length==0) {
                 alert('<--%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.docNumberCheck")%>');
                 dform.handyName.focus();
                 return;
                 }*/ else {
                    dform.copyForm.value = EditCtrl.document.body.innerHTML;

                    //dform.action="/totsys/requestDBG.jsp";
                    //dform.submit(); ̰͸ Ǯָ 鼷
                            //alert(dform.svrFilenames.value);
                    var messge = confirm('<%=MoumiConfig.getMessageBundle().getString("moumi.message.popup.confirmTocdocStartTrue")%>');
                    if (messge) {
                        var cfm = confirm('<%= MoumiConfig.getMessageBundle().getString("moumi.message.popup.confirmTocdocStart")%>');
                        if (cfm) {

                            dform.submit();
                            
                            // 2014.10.21 By YoungJun Cho. ( ۽ indicator )
                            $.customIndicator.show(window.self);
                        }
                    } else {
                        return;
                    }
                }
            }

            function isDateTrue(stDate, stTime, edDate, edTime) {
                if (stDate < edDate) {
                    return false;
                } else if (stDate == edDate) {
                    if (stTime < edTime)
                        return false;
                }
                return true;
            }

            function containsChars(input, chars) {
                for (var inx = 0; inx < input.value.length; inx++) {
                    if (chars.indexOf(input.value.charAt(inx)) != -1)
                        return true;
                }
                return false;
            }

            function insertForm() {
                        init();
                EditCtrl.document.body.innerHTML = '<%=StringConverter.toOneLine(TagFilter.convertSingle(docForm))%>';
            }

            function totRange1() {
                //alert(document.dform.totRange[0].value);
                document.dform.deptIDs.value = "";
                document.dform.deptNames.value = "";
                document.dform.deptTypes.value = "";
                document.dform.handyName.value = "";
                        document.dform.handyName.readOnly = false;
                document.dform.deptCountText.value = "<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.submitDevision")%>";
            }

            function totRange2() {
                //alert(document.dform.totRange[1].value);
                document.dform.deptIDs.value = "";
                document.dform.deptNames.value = "";
                document.dform.deptTypes.value = "";
                document.dform.handyName.value = "";
                document.dform.handyName.value = "<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.innerTot_doc")%>";
                document.dform.handyName.readOnly = true;
                document.dform.deptCountText.value = "<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.submitDevision")%>";
            }

            function showMsgAlert() {
                location.href = "/totsys/repoper/mydocbox/tempbox/<%if (downDocID == null) {%>report_regist.jsp<%} else {%>tot_report_regist.jsp<%}%>?reportID=<%= reportID%>&downDocID=<%= downDocID%>&deptID=<%=deptID%>&tmpMagam=<%=tmpMagam%>";
            }

            function showAlert() {
                location.href = "/totsys/repoper/mydocbox/tempbox/<%if (downDocID == null) {%>report_regist.jsp<%} else {%>tot_report_regist.jsp<%}%>?reportID=<%= reportID%>&downDocID=<%= downDocID%>&deptID=<%=deptID%>&tmpMagam=<%=tmpMagam%>";
            }
            
            /*
            * ڷԷ ̵óϴ Լ
            * @returns {undefined}
            */
           function fn_goToInputForm() {
               document.inputForm.submit();
           }

            function inputText() {
                window.open('./popup_input_form.jsp', 'makepoll', 'width=900,height=550,scrollbars=yes,resizable=yes,statusbar=yes');
            }

            function setStartNow() {
                dform.prss.value = 'PRSS';
                document.dform.stDate.value = '<%= stDate%>';
                document.dform.stTime.value = '<%= stTime%>';
                document.getElementById('startDate').style.display = 'none';
            }

            function setStartDate() {
                dform.prss.value = 'PRSS';
                document.dform.stDate.value = '<%= stDate%>';
                document.dform.stTime.value = '<%= stTime%>';
                document.getElementById('startDate').style.display = 'inline';
            }

            function setStartManually() {
                document.getElementById('startDate').style.display = 'none';
                dform.prss.value = 'REG';
                document.dform.stDate.value = '<%= stDate%>';
                document.dform.stTime.value = '<%= stTime%>';
            }

            function setEndDate() {
                document.getElementById('endDate').style.display = 'inline';
                document.getElementById('submitLimit').style.display = 'none';
            }

            function setSubmitLimit() {
                document.getElementById('endDate').style.display = 'none';
                document.getElementById('submitLimit').style.display = 'inline';
                dform.submitLimit.focus();
            }

            function validateSubmitLimit() {
                if (isNaN(dform.submitLimit.value)) {
                    alert('ڸ ԷϽñ ٶϴ.');
                    dform.submitLimit.value = 0;
                }
            }

            function setWriteLimit() {
                document.getElementById('endDate').style.display = 'none';
                document.getElementById('submitLimit').style.display = 'none';
            }

            function setEndManually() {
                document.getElementById('endDate').style.display = 'none';
                document.getElementById('submitLimit').style.display = 'none';
            }

        </SCRIPT>
    <OBJECT id=fleck classid=CLSID:F5BE8BD2-7DE6-11D0-91FE-00C04FD701A5></OBJECT>
    <SCRIPT language="javascript">
        function deptSelect() {
            var urlname = "/totsys/common/web/report_dept/new_dept_list2.jsp?formName=dform&section=1&deptIDs=" + dform.deptIDs.value + "&deptNames=" + dform.deptNames.value + "&deptTypes=" + dform.deptTypes.value;
            var height = screen.height;
            var width = screen.width;
            var leftpos = width / 2 - 350;
            var toppos = height / 2 - 350;
            alert('ڽ  û/ӱ ڷḦ Է   ϼž մϴ');
            post = window.open(urlname, "post", "width=900, height=600, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left=" + leftpos + ",top=" + toppos);
            post.focus();
        }
        
        //2014.11.07 : Add by KWON,HAN
        function deptSelect2() {
            
            alert('ڽ  û/ӱ ڷḦ Է   ϼž մϴ');
            
            //2014.11.07 : Delete, Add by KWON,HAN
            //etc2.deptIDs.value=dform.deptIDs.value;
            //etc2.deptTypes.value=dform.deptTypes.value;
            ////etc2.deptNames.value=dform.deptNames.value;
            //etc2.deptNames.value = encodeURL(dform.deptNames.value);
            etc2.deptCount.value = dform.deptCount.value;
            //===============================

            var height = screen.height;
            var width = screen.width;
            var leftpos = width / 2 - 350;
            var toppos = height / 2 - 350;
            post2= window.open("","post2","width=900,height=600,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,left="+leftpos+",top="+toppos);
            etc2.target="post2";
            etc2.submit();
        }
                
    </SCRIPT>
</HEAD>

<body style='' BGCOLOR="#FFFFFF" onload="setValue();dform.docName.focus();">
<form name="listForm" method="post" action="/totsys/repoper/mydocbox/returnbox/report_list.jsp">
    <input type="hidden" name="strPage" value="<%= strPage %>">
    <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
    <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">
</form>
<form name="inputForm" method="post" action="/totsys/repoper/mydocbox/tempbox/report_regist.jsp"">
    <input type="hidden" name="reportID" value="<%= reportID %>">
    <input type="hidden" name="totperInfo" value="true">
    <input type="hidden" name="tmpMagam" value="<%= tmpMagam %>">
    <input type="hidden" name="strPage" value="<%= strPage %>">
    <input type="hidden" name="findOption" value="<%=MString.checkNull(findOption)%>">
    <input type="hidden" name="findWord" value="<%=MString.checkNull(findWord)%>">
</form>
    <div>
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <jsp:include page="/totsys/common/inc/totper/top/top.jsp" flush="true" />
            <jsp:include page="/totsys/common/inc/title/title.jsp" flush="true" />
        </table>
    </div>

    <div id="header">
        <ul id="primary">
            <!--	<li>
                              <a
                              href="/totsys/repoper/mydocbox/returnbox/report_view.jsp?reportID=<%= reportID%>&boxName=<%= boxName%>"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.information")%>
                              </a>
                              </li>-->
            <li>
                <a href="#" onClick='fn_goToInputForm();'>
                    <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.doc")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.input")%>
                </a>
            </li>
            <%if (MoumiConfig.is2Step()) {%>
            <li>
                <span class="kecttep_menu_focous"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.subDocRegist")%></span>
            </li>
            <%}%>
        </ul>
    </div>

    <div id="main">
        <div id="contents">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                
                <tr valign="middle" class="toolbar">
                    <td align="left">
                        <table border="0" cellspacing="0" cellpadding="0">
                            <tr>
                                <td>
                                    <!--<img src="/totsys/common/images/bt_list.gif" alt="" />-->
                                    <a href="#" onclick="fn_goToList();">
                                        <img src="/totsys/common/images/bt_doc_list.gif" alt="<%= MoumiConfig.getMessageBundle().getString("moumi.message.doc")%><%= MoumiConfig.getMessageBundle().getString("moumi.message.button.boardList")%>" />
                                    </a>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

                <!-------------------------------    ------------------------------->
                <jsp:include page="/totsys/common/inc/totper/totper.jsp" flush="true">
                    <jsp:param name="docID" value='<%= totReport.getTotDoc().getId()%>' />
                </jsp:include>
                <!-------------------------------    ------------------------------->

                <tr nowrap height="10">
                    <td height="10"></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>

                <tr>
                    <td colspan="4">
                        <table border="0" width="100%" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="width: 14"><img src="/totsys/common/images/ico_3.gif"></td>
                                <td class="kecttep_title" style="padding-left: 5" align="left" width="100%">
                                    <%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.doc")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.registrition")%>
                                </td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td height="3"></td>
                            </tr>
                        </table>
                    </td>
                </tr>

                <tr>
                    <td colspan="4">
                        <form name="etc2" method="post2" action="/totsys/common/web/report_dept/new_dept_list2.jsp">
                            <input type="hidden" name="formName" value="dform">
                            <input type="hidden" name="section" value="1">
                            <input type="hidden" name="deptTypes">
                            <input type="hidden" name="deptNames">
                            <input type="hidden"	name="deptIDs">
                            <input type="hidden" name="deptCount">
                        </form>
                        
                        <!----     ---->
                        <!--form name="dform" action="/totsys/common/web/report_dept/dept_list_subReg.jsp" method="post"-->
                        <form name="dform" action="/servlet/kr.co.kihyun.beans.totsys.doc.HttpSubDocRegist" method="post">
                            <input type="hidden" name="docGroupID" value="<%= MDoc.TOT_DOC%>">
                            <input type="hidden" name="prss" value="PRSS">
                            <input type="hidden" name="copyForm">
                            <input type="hidden" name="deptIDs">
                            <input type="hidden" name="deptNames">
                            <input type="hidden" name="deptCount">
                            <input type="hidden" name="reportID" value="<%= reportID%>">
                            <input type="hidden" name="docForm" value='<%=StringConverter.toOneLine(TagFilter.convertSingle(docForm))%>'>
                            <input type="hidden" name="stDate" value="<%=stDate%>">
                            <input type="hidden" name="stTime" value="<%=stTime%>">
                            <input type="hidden" name="choice">
                            <input type="hidden" name="userIDs">
                            <input type="hidden" name="deptTypes">
                            <INPUT type="hidden" name="notify" value="<%= totDoc.getBoard().getContents()%>">
                            <input type="hidden" name="fileCount" value="<%=fileCount%>">
                            <input type="hidden" name="usrFilenames" value="<%=usrFilenames%>">
                            <input type="hidden" name="svrFilenames" value="<%=svrFilenames%>">
                            <input type="hidden" name="fileInfos"> <!--ŸƲ-->
                            <table border="1px" class="kecttep_list_table" width="100%" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td class="kecttep_tdmenu" width="137" nowrap style="padding-left: 20px;">
                                        <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.doc")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.name")%>
                                    </td>
                                    <td class="kecttep_last_graytd" style="padding-left: 10px; padding-right: 10px; "width="375"nowrap>
                                        <input name="docName" type="text" class="inputtxt" size="60">
                                    </td>
                                    <td class="kecttep_tdmenu" width="150" nowrap style="padding-left: 20px;">
                                        <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.executionCode")%>
                                    </td>
                                    <td class="kecttep_last_graytd" style="padding-left: 10px; " nowrap>
                                        <%= HttpSSOLogin.getDeptName(request)%>
<!--                                        <input name="execNum" type="text" class="inputtxt" style="width: 60px">
                                        (<input name="execDate" type="text" size="10"
                                                readonly onclick="showSetWin('dform.execDate');"
                                                style="cursor: hand;" class="inputtxt"><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.day")%>&nbsp;
                                        <a href="#" onclick="showSetWin('dform.execDate');">
                                            <img src="/totsys/common/images/date.gif" align="middle">
                                        </a>)-->
                                    </td>
                                </tr>

                                <tr>
                                    <td class="kecttep_tdmenu" style="width: 150px; padding-left: 20px;">
                                        <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.submit")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.devision")%>
                                    </td>
                                    <td class="kecttep_last_graytd" style="padding-left: 10px;" nowrap>
                                        <table border=0 cellpadding=0 cellspacing=0>
                                            <tr valign="middle">
                                                <td > <!--  -->
                                                    <a href="#" onClick="javascript:deptSelect2();">
                                                        <img src="/totsys/common/images/bt_dept_select2.gif" height="24" alt="<%=MoumiConfig.getMessageBundle().getString("moumi.message.button_large.submitDept")%>" />
                                                    </a>
                                                </td>
                                                <td>
                                                    <input name="deptCountText"
                                                           type="text"
                                                           style="width: 200px; border: 0; color: black; padding-top: 3px; padding-left: 2px;"
                                                           value="&nbsp;<%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.submitDevision")%>"
                                                           align="middle">
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="kecttep_tdmenu" style="width: 120px; padding-left: 20px;" nowrap>
                                        <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.input")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.trick")%>
                                    </td>
                                    <td class="kecttep_last_graytd" style="padding-left: 10px;">
                                        <a href="#" onClick="javascript:inputText();">
                                            <img src="/totsys/common/images/bt_psd.gif" alt="<%=MoumiConfig.getMessageBundle().getString("moumi.message.button_large.inputWrite")%>" />
                                        </a>
                                    </td>
                                </tr>

                                <tr>
                                    <td class="kecttep_tdmenu" style="width: 120px; padding-left: 20px;" nowrap>
                                        <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.doc")%><%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.public")%>
                                    </td>
                                    <td colspan="3" class="kecttep_last_graytd" style="padding-left: 10px;" nowrap>
                                        <label for="" onmouseover="balloon_on('  ڸ ڷ ',this,5,0)" onmouseout="balloon_off()">
                                            <input name="accAuth" value="0" type="radio"<%= "0".equals(accAuth) ? " checked" : ""%>>
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.personal")%>&nbsp;&nbsp;
                                        </label>
                                        <label for="" onmouseover="balloon_on('  ڿ  μ ڿ ڷ ',this,5,0)" onmouseout="balloon_off()">
                                            <input name="accAuth" value="1" type="radio"<%= "1".equals(accAuth) ? " checked" : ""%>>
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.devision")%>&nbsp;&nbsp;
                                        </label>
                                        <label for="" onmouseover="balloon_on('Ҽ ڿ ڷ ',this,5,0)" onmouseout="balloon_off()">
                                            <input name="accAuth" value="2" type="radio"<%= "2".equals(accAuth) ? " checked" : ""%>>
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.foundation.head")%>&nbsp;&nbsp;
                                        </label>
<!--                                        <label for="" onmouseover="balloon_on('ü  ڿ  ڷ (б )',this,5,0)" onmouseout="balloon_off()">
                                            <input name="accAuth" value="3" type="radio"<%= "3".equals(accAuth) ? " checked" : ""%>>
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.all")%>&nbsp;&nbsp;
                                        </label>-->
                                    </td>
                                </tr>

                                <tr>
                                    <td class="kecttep_tdmenu" style="width: 120px; padding-left: 20px;" nowrap >
                                        <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.endMethod")%>
                                    </td>
                                    <td colspan="3" class="kecttep_last_graytd" style="padding-left: 10px;" nowrap>
                                        
                                        <!--//   -->
                                        <label for="">
                                            <input type="radio" name="acceptanceLimitStrategy" onclick="setEndDate();" value="<%= LimitByDeadlineStrategy.class.getSimpleName()%>" checked />
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.endScheduled")%>
                                        </label><!--   //-->
                                        
                                        <!--//  Է -->
                                        <span id="endDate" style="display: inline; vertical-align: top;">
                                            &nbsp;
                                            <input name="edDate" type="text" size="10" value="<%=edDate%>" readonly onclick="showSetWin('dform.edDate');" style="cursor: pointer;" class="inputtxt" />
                                            <span style="display: inline-block; vertical-align: top; padding-top: 3px;">
                                                <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.day")%>&nbsp;
                                            </span>
                                            <a href="#" onclick="showSetWin('dform.edDate');">
                                                <img src="/totsys/common/images/date.gif" />
                                            </a>&nbsp;
                                            <input name="edTime" type="text" size="3" maxlength="2" value="<%=edTime%>" onclick="this.focus(); this.select();" onBlur="checkNum(this, '2'); checkMaxNum(this, 00, 23);" class="inputtxt" />
                                            <span style="display: inline-block; vertical-align: top; padding-top: 3px;">
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.time")%>
                                            </span>
                                        </span><!--  Է //-->
                                        
                                        <!--//   -->
                                        <label for="">
                                            &nbsp;
                                            <input type="radio" name="acceptanceLimitStrategy" onclick="setSubmitLimit();" value="<%= LimitBySubmitDateStrategy.class.getSimpleName()%>" />
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.endBySubmitCount")%>
                                        </label><!--   //-->
                                        
                                        <!--//  Է -->
                                        <label for="">
                                        <span id="submitLimit" style="display: none;">
                                            &nbsp;
                                            <input type="text" name="submitLimit" onfocus="this.select();" onblur="checkNum(this, '2');" class="inputtxt" style="width: 2em; text-align: right;" value="0"/>
                                            <%= MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.coporation")%>
                                        </span>
                                        </label><!--  Է //-->
                                        
                                        <!--//   -->
                                        <label for="">
                                            &nbsp;
                                            <input type="radio" name="acceptanceLimitStrategy" onclick="setEndManually();" value="<%= UnlimitStrategy.class.getSimpleName()%>" />
                                            <%=MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.endManually")%>
                                        </label><!--   //-->
                                    </td>
                                </tr>
                            </table>
                        </form>
                    </td>
                </tr>
                <!----   ---->

                <tr>
                    <td colspan="4" height="200" style="border: 1px solid black;">
                        <form name="gocomp0" action="/Mail-bin/send_mail.frame" method=post>
                            <input type="hidden" name=What value=0>
                            <input type="hidden" name=BODY>
                            <input type="hidden" name=CMD value=''>
                            <input type="hidden" name=MSGID value=''>
                            <input type="hidden" name=TO>
                            <input type="hidden" name=CC>
                            <input type="hidden" name=BCC>
                            <input type="hidden" name=SUBJECT>
                            <input type="hidden" name=XSUBJECT value=''>
                            <input type="hidden" name=PID value='11295'>
                        </form>

                        <FORM name=Mail_Form target=_parent method=post
                              action="/Mail-bin/start_mail/simplehtml">
                            <input type="hidden" name=SENDACTION value="">
                            <input type="hidden" name=RESV_Y value="">
                            <input type="hidden" name=RESV_M value="">
                            <input type="hidden" name=RESV_D value="">
                            <input type="hidden" name=RESV_H value="">
                            <input type="hidden" name=ISLINEANS value="">
                            <input type="hidden" name=PID value="11295">
                            <input type="hidden" name=MSGID value=>
                            <input type="hidden" name=LINKURL value="">
                            <input type="hidden" name=LINKCOMMENT value="">
                            <input type="hidden" name=KEYWORD value="">
                            <input type="hidden" name=KEYTYPE value="">
                            <input type="hidden" name=FOLDER value="">
                            <input type="hidden" name=mpage value="">
                            <input type="hidden" name=UseCompose value="">
                            <iframe id='i_fontcolor'
                                    style='background-color: #ffffff; border: 1px double #BFBFBF; cursor: hand; position: absolute; visibility: hidden;'
                                    scrolling=no frameborder=0 width=120 height=120></iframe>
                            <iframe
                                id='i_backcolor'
                                style='background-color: #ffffff; border: 1px double #BFBFBF; cursor: hand; position: absolute; visibility: hidden;'
                                scrolling=no frameborder=0 width=120 height=120></iframe>
                            <iframe
                                id='i_image'
                                style='color: #000000; background-color: #efefef; border: 1px double #BFBFBF; cursor: default; position: absolute; visibility: hidden;'
                                scrolling=no frameborder=0 width=325 height=85></iframe>
                            <iframe
                                id='i_link'
                                style='color: #000000; background-color: #efefef; border: 1px double #BFBFBF; cursor: default; position: absolute; visibility: hidden;'
                                scrolling=no frameborder=0 width=325 height=70></iframe>
                            <iframe
                                id='i_emoticon'
                                style='background-color: #efefef; border: 1px double #BFBFBF; cursor: hand; position: absolute; visibility: hidden;'
                                scrolling=no frameborder=0 width=125 height=125>
                            </iframe>

                            <div id='editctrl' style='display: block; width: auto; height: auto;'>
                                <iframe
                                    name='EditCtrl' width='100%' height='100%' scrolling='YES'
                                    onfocus='layeroff();' onblur='nowkong.SaveSelection();'
                                    frameborder="0" disabled>
                                </iframe>
                            </div>
                            <input type="hidden" name=FORSAVE
                                   value="&lt;HEAD&gt;
                                   &lt;STYLE&gt;
                                   P {margin-top:2px;margin-bottom:2px;}
                                   &lt;/STYLE&gt;
                                   &lt;/HEAD&gt;
                                   &lt;BODY oncontextmenu='return false;' style='background-color: ; background-image: url(); ' topmargin=11 leftmargin=11&gt;
                                   &lt;/BODY&gt;">
                            <input type="hidden" name=BODY value="">
                            <input type="hidden" name=BODYBG value="">
                            <input type="hidden" name=BODYBGC value="">
                        </FORM>
                        <SCRIPT>
                            init();
                            insertForm();
                        </SCRIPT>
                    </td>
                </tr>
                <tr>
                    <td colspan="4" align="center" valign="top" style="padding-top: 11px;">
                        <!---- , ܰ ---->
                        <table height="25" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td>
                                    <a href="#" onclick="formSubmit();" name="bt_next">
                                        <img src="/totsys/common/images/bt_input_write.gif" alt="<%= MoumiConfig.getMessageBundle().getString("moumi.message.button_large.startNow")%>"/>
                                    </a>
                                </td>
                                <td width="10">&nbsp;</td>
                                <td>
                                    <a href="#" onclick="history.go(-7);">
                                        <img src="/totsys/common/images/bt_cancle.gif" alt="<%=MoumiConfig.getMessageBundle().getString("moumi.message.button_large.cancel")%>" />
                                    </a>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <!------------------------------- top menu start ------------------------------->
    <%@ include file="/totsys/common/inc/buttom/buttom.jsp"%>
    <!------------------------------- top menu end ------------------------------->
</BODY>
<div id="SetWin" style="position: absolute; Visibility: hidden; width: 100px; height: 100px; background: silver; border: 1px #333333 solid; line-height: 1.4em; padding: 3px 3px"></div>
</HTML>
<%
    } catch (Exception ex) {
        ex.printStackTrace();
        out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
    } finally {
        /**
         * ******** session doc info reset *********
         */
        MDoc.initSession(session);
        if (tx.isActive()) {
            tx.rollback();
        }
        pm.close();
    }
%>
